// tslint:disable
/**
 * Webitel engine API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 20.12.0
 * Contact: support@webitel.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import * as globalImportUrl from 'url';
import globalAxios from 'axios';
// Some imports not used depending on template conditions
// @ts-ignore
import { BASE_PATH, BaseAPI, RequiredError, } from '../base';
/**
 * MemberServiceApi - axios parameter creator
 * @export
 */
export const MemberServiceApiAxiosParamCreator = function (configuration) {
    return {
        /**
         *
         * @param {string} attemptId
         * @param {EngineAttemptCallbackRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        attemptCallback: async (attemptId, body, options = {}) => {
            // verify required parameter 'attemptId' is not null or undefined
            if (attemptId === null || attemptId === undefined) {
                throw new RequiredError('attemptId', 'Required parameter attemptId was null or undefined when calling attemptCallback.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling attemptCallback.');
            }
            const localVarPath = `/call_center/attempts/{attempt_id}`.replace(`{${'attempt_id'}}`, encodeURIComponent(String(attemptId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'PATCH',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {string} memberId
         * @param {string} attemptId
         * @param {EngineAttemptResultRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        attemptResult: async (queueId, memberId, attemptId, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling attemptResult.');
            }
            // verify required parameter 'memberId' is not null or undefined
            if (memberId === null || memberId === undefined) {
                throw new RequiredError('memberId', 'Required parameter memberId was null or undefined when calling attemptResult.');
            }
            // verify required parameter 'attemptId' is not null or undefined
            if (attemptId === null || attemptId === undefined) {
                throw new RequiredError('attemptId', 'Required parameter attemptId was null or undefined when calling attemptResult.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling attemptResult.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members/{member_id}/attempts/{attempt_id}`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'member_id'}}`, encodeURIComponent(String(memberId)))
                .replace(`{${'attempt_id'}}`, encodeURIComponent(String(attemptId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'PATCH',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @param {string} attemptId
         * @param {EngineAttemptRenewalResultRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        attemptsRenewalResult: async (attemptId, body, options = {}) => {
            // verify required parameter 'attemptId' is not null or undefined
            if (attemptId === null || attemptId === undefined) {
                throw new RequiredError('attemptId', 'Required parameter attemptId was null or undefined when calling attemptsRenewalResult.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling attemptsRenewalResult.');
            }
            const localVarPath = `/call_center/queues/attempts/{attempt_id}/renewal`.replace(`{${'attempt_id'}}`, encodeURIComponent(String(attemptId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'PATCH',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary Offline queue
         * @param {string} queueId
         * @param {string} memberId
         * @param {EngineCreateAttemptRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createAttempt: async (queueId, memberId, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createAttempt.');
            }
            // verify required parameter 'memberId' is not null or undefined
            if (memberId === null || memberId === undefined) {
                throw new RequiredError('memberId', 'Required parameter memberId was null or undefined when calling createAttempt.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling createAttempt.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members/{member_id}/attempts`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'member_id'}}`, encodeURIComponent(String(memberId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'POST',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary Create Member
         * @param {string} queueId
         * @param {EngineCreateMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createMember: async (queueId, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createMember.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling createMember.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members`.replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'POST',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary Create Member
         * @param {string} queueId
         * @param {EngineCreateMemberBulkRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createMemberBulk: async (queueId, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createMemberBulk.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling createMemberBulk.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members/bulk`.replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'POST',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary DeleteMember
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteMember: async (queueId, id, domainId, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling deleteMember.');
            }
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteMember.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members/{id}`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'id'}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'DELETE',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            if (domainId !== undefined) {
                localVarQueryParameter['domain_id'] = domainId;
            }
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary DeleteMembers
         * @param {string} queueId
         * @param {EngineDeleteMembersRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteMembers: async (queueId, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling deleteMembers.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling deleteMembers.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members`.replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'DELETE',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary Patch Member
         * @param {string} queueId
         * @param {string} id
         * @param {EnginePatchMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        patchMember: async (queueId, id, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling patchMember.');
            }
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchMember.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchMember.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members/{id}`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'id'}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'PATCH',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary ReadQueueRouting
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        readMember: async (queueId, id, domainId, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling readMember.');
            }
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id', 'Required parameter id was null or undefined when calling readMember.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members/{id}`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'id'}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'GET',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            if (domainId !== undefined) {
                localVarQueryParameter['domain_id'] = domainId;
            }
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary ResetMembers
         * @param {string} queueId
         * @param {EngineResetMembersRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        resetMembers: async (queueId, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling resetMembers.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling resetMembers.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members/reset`.replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'PATCH',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary SearchAttempts
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [joinedAtFrom]
         * @param {string} [joinedAtTo]
         * @param {Array<string>} [id]
         * @param {Array<string>} [queueId]
         * @param {Array<string>} [bucketId]
         * @param {Array<string>} [memberId]
         * @param {Array<string>} [agentId]
         * @param {string} [result]
         * @param {Array<string>} [fields]
         * @param {string} [sort]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchAttempts: async (page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options = {}) => {
            const localVarPath = `/call_center/queues/attempts/active`;
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'GET',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }
            if (size !== undefined) {
                localVarQueryParameter['size'] = size;
            }
            if (joinedAtFrom !== undefined) {
                localVarQueryParameter['joined_at.from'] = joinedAtFrom;
            }
            if (joinedAtTo !== undefined) {
                localVarQueryParameter['joined_at.to'] = joinedAtTo;
            }
            if (id) {
                localVarQueryParameter['id'] = id;
            }
            if (queueId) {
                localVarQueryParameter['queue_id'] = queueId;
            }
            if (bucketId) {
                localVarQueryParameter['bucket_id'] = bucketId;
            }
            if (memberId) {
                localVarQueryParameter['member_id'] = memberId;
            }
            if (agentId) {
                localVarQueryParameter['agent_id'] = agentId;
            }
            if (result !== undefined) {
                localVarQueryParameter['result'] = result;
            }
            if (fields) {
                localVarQueryParameter['fields'] = fields;
            }
            if (sort !== undefined) {
                localVarQueryParameter['sort'] = sort;
            }
            if (domainId !== undefined) {
                localVarQueryParameter['domain_id'] = domainId;
            }
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary SearchMemberAttempts
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [joinedAtFrom]
         * @param {string} [joinedAtTo]
         * @param {Array<string>} [id]
         * @param {Array<string>} [queueId]
         * @param {Array<string>} [bucketId]
         * @param {Array<string>} [memberId]
         * @param {Array<string>} [agentId]
         * @param {string} [result]
         * @param {Array<string>} [fields]
         * @param {string} [sort]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchAttemptsHistory: async (page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options = {}) => {
            const localVarPath = `/call_center/queues/attempts/history`;
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'GET',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }
            if (size !== undefined) {
                localVarQueryParameter['size'] = size;
            }
            if (joinedAtFrom !== undefined) {
                localVarQueryParameter['joined_at.from'] = joinedAtFrom;
            }
            if (joinedAtTo !== undefined) {
                localVarQueryParameter['joined_at.to'] = joinedAtTo;
            }
            if (id) {
                localVarQueryParameter['id'] = id;
            }
            if (queueId) {
                localVarQueryParameter['queue_id'] = queueId;
            }
            if (bucketId) {
                localVarQueryParameter['bucket_id'] = bucketId;
            }
            if (memberId) {
                localVarQueryParameter['member_id'] = memberId;
            }
            if (agentId) {
                localVarQueryParameter['agent_id'] = agentId;
            }
            if (result !== undefined) {
                localVarQueryParameter['result'] = result;
            }
            if (fields) {
                localVarQueryParameter['fields'] = fields;
            }
            if (sort !== undefined) {
                localVarQueryParameter['sort'] = sort;
            }
            if (domainId !== undefined) {
                localVarQueryParameter['domain_id'] = domainId;
            }
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary SearchMemberAttempts
         * @param {string} queueId
         * @param {string} memberId
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchMemberAttempts: async (queueId, memberId, domainId, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling searchMemberAttempts.');
            }
            // verify required parameter 'memberId' is not null or undefined
            if (memberId === null || memberId === undefined) {
                throw new RequiredError('memberId', 'Required parameter memberId was null or undefined when calling searchMemberAttempts.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members/{member_id}/attempts`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'member_id'}}`, encodeURIComponent(String(memberId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'GET',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            if (domainId !== undefined) {
                localVarQueryParameter['domain_id'] = domainId;
            }
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary List of Member
         * @param {string} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchMemberInQueue: async (queueId, page, size, domainId, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling searchMemberInQueue.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members`.replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'GET',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }
            if (size !== undefined) {
                localVarQueryParameter['size'] = size;
            }
            if (domainId !== undefined) {
                localVarQueryParameter['domain_id'] = domainId;
            }
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary Search of Member
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [id]
         * @param {string} [queueId]
         * @param {number} [bucketId]
         * @param {string} [destination]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchMembers: async (page, size, id, queueId, bucketId, destination, domainId, options = {}) => {
            const localVarPath = `/call_center/members`;
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'GET',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }
            if (size !== undefined) {
                localVarQueryParameter['size'] = size;
            }
            if (id !== undefined) {
                localVarQueryParameter['id'] = id;
            }
            if (queueId !== undefined) {
                localVarQueryParameter['queue_id'] = queueId;
            }
            if (bucketId !== undefined) {
                localVarQueryParameter['bucket_id'] = bucketId;
            }
            if (destination !== undefined) {
                localVarQueryParameter['destination'] = destination;
            }
            if (domainId !== undefined) {
                localVarQueryParameter['domain_id'] = domainId;
            }
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @summary UpdateMember
         * @param {string} queueId
         * @param {string} id
         * @param {EngineUpdateMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateMember: async (queueId, id, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling updateMember.');
            }
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateMember.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateMember.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/members/{id}`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'id'}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'PUT',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    };
};
/**
 * MemberServiceApi - functional programming interface
 * @export
 */
export const MemberServiceApiFp = function (configuration) {
    return {
        /**
         *
         * @param {string} attemptId
         * @param {EngineAttemptCallbackRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async attemptCallback(attemptId, body, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).attemptCallback(attemptId, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {string} memberId
         * @param {string} attemptId
         * @param {EngineAttemptResultRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async attemptResult(queueId, memberId, attemptId, body, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).attemptResult(queueId, memberId, attemptId, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @param {string} attemptId
         * @param {EngineAttemptRenewalResultRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async attemptsRenewalResult(attemptId, body, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).attemptsRenewalResult(attemptId, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary Offline queue
         * @param {string} queueId
         * @param {string} memberId
         * @param {EngineCreateAttemptRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async createAttempt(queueId, memberId, body, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).createAttempt(queueId, memberId, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary Create Member
         * @param {string} queueId
         * @param {EngineCreateMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async createMember(queueId, body, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).createMember(queueId, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary Create Member
         * @param {string} queueId
         * @param {EngineCreateMemberBulkRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async createMemberBulk(queueId, body, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).createMemberBulk(queueId, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary DeleteMember
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async deleteMember(queueId, id, domainId, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).deleteMember(queueId, id, domainId, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary DeleteMembers
         * @param {string} queueId
         * @param {EngineDeleteMembersRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async deleteMembers(queueId, body, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).deleteMembers(queueId, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary Patch Member
         * @param {string} queueId
         * @param {string} id
         * @param {EnginePatchMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async patchMember(queueId, id, body, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).patchMember(queueId, id, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary ReadQueueRouting
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async readMember(queueId, id, domainId, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).readMember(queueId, id, domainId, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary ResetMembers
         * @param {string} queueId
         * @param {EngineResetMembersRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async resetMembers(queueId, body, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).resetMembers(queueId, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary SearchAttempts
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [joinedAtFrom]
         * @param {string} [joinedAtTo]
         * @param {Array<string>} [id]
         * @param {Array<string>} [queueId]
         * @param {Array<string>} [bucketId]
         * @param {Array<string>} [memberId]
         * @param {Array<string>} [agentId]
         * @param {string} [result]
         * @param {Array<string>} [fields]
         * @param {string} [sort]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async searchAttempts(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).searchAttempts(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary SearchMemberAttempts
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [joinedAtFrom]
         * @param {string} [joinedAtTo]
         * @param {Array<string>} [id]
         * @param {Array<string>} [queueId]
         * @param {Array<string>} [bucketId]
         * @param {Array<string>} [memberId]
         * @param {Array<string>} [agentId]
         * @param {string} [result]
         * @param {Array<string>} [fields]
         * @param {string} [sort]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async searchAttemptsHistory(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).searchAttemptsHistory(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary SearchMemberAttempts
         * @param {string} queueId
         * @param {string} memberId
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async searchMemberAttempts(queueId, memberId, domainId, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).searchMemberAttempts(queueId, memberId, domainId, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary List of Member
         * @param {string} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async searchMemberInQueue(queueId, page, size, domainId, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).searchMemberInQueue(queueId, page, size, domainId, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary Search of Member
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [id]
         * @param {string} [queueId]
         * @param {number} [bucketId]
         * @param {string} [destination]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async searchMembers(page, size, id, queueId, bucketId, destination, domainId, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).searchMembers(page, size, id, queueId, bucketId, destination, domainId, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @summary UpdateMember
         * @param {string} queueId
         * @param {string} id
         * @param {EngineUpdateMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async updateMember(queueId, id, body, options) {
            const localVarAxiosArgs = await MemberServiceApiAxiosParamCreator(configuration).updateMember(queueId, id, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
    };
};
/**
 * MemberServiceApi - factory interface
 * @export
 */
export const MemberServiceApiFactory = function (configuration, basePath, axios) {
    return {
        /**
         *
         * @param {string} attemptId
         * @param {EngineAttemptCallbackRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        attemptCallback(attemptId, body, options) {
            return MemberServiceApiFp(configuration)
                .attemptCallback(attemptId, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @param {number} queueId
         * @param {string} memberId
         * @param {string} attemptId
         * @param {EngineAttemptResultRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        attemptResult(queueId, memberId, attemptId, body, options) {
            return MemberServiceApiFp(configuration)
                .attemptResult(queueId, memberId, attemptId, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @param {string} attemptId
         * @param {EngineAttemptRenewalResultRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        attemptsRenewalResult(attemptId, body, options) {
            return MemberServiceApiFp(configuration)
                .attemptsRenewalResult(attemptId, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Offline queue
         * @param {string} queueId
         * @param {string} memberId
         * @param {EngineCreateAttemptRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createAttempt(queueId, memberId, body, options) {
            return MemberServiceApiFp(configuration)
                .createAttempt(queueId, memberId, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Create Member
         * @param {string} queueId
         * @param {EngineCreateMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createMember(queueId, body, options) {
            return MemberServiceApiFp(configuration)
                .createMember(queueId, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Create Member
         * @param {string} queueId
         * @param {EngineCreateMemberBulkRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createMemberBulk(queueId, body, options) {
            return MemberServiceApiFp(configuration)
                .createMemberBulk(queueId, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary DeleteMember
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteMember(queueId, id, domainId, options) {
            return MemberServiceApiFp(configuration)
                .deleteMember(queueId, id, domainId, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary DeleteMembers
         * @param {string} queueId
         * @param {EngineDeleteMembersRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteMembers(queueId, body, options) {
            return MemberServiceApiFp(configuration)
                .deleteMembers(queueId, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Patch Member
         * @param {string} queueId
         * @param {string} id
         * @param {EnginePatchMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        patchMember(queueId, id, body, options) {
            return MemberServiceApiFp(configuration)
                .patchMember(queueId, id, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary ReadQueueRouting
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        readMember(queueId, id, domainId, options) {
            return MemberServiceApiFp(configuration)
                .readMember(queueId, id, domainId, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary ResetMembers
         * @param {string} queueId
         * @param {EngineResetMembersRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        resetMembers(queueId, body, options) {
            return MemberServiceApiFp(configuration)
                .resetMembers(queueId, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary SearchAttempts
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [joinedAtFrom]
         * @param {string} [joinedAtTo]
         * @param {Array<string>} [id]
         * @param {Array<string>} [queueId]
         * @param {Array<string>} [bucketId]
         * @param {Array<string>} [memberId]
         * @param {Array<string>} [agentId]
         * @param {string} [result]
         * @param {Array<string>} [fields]
         * @param {string} [sort]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchAttempts(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
            return MemberServiceApiFp(configuration)
                .searchAttempts(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary SearchMemberAttempts
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [joinedAtFrom]
         * @param {string} [joinedAtTo]
         * @param {Array<string>} [id]
         * @param {Array<string>} [queueId]
         * @param {Array<string>} [bucketId]
         * @param {Array<string>} [memberId]
         * @param {Array<string>} [agentId]
         * @param {string} [result]
         * @param {Array<string>} [fields]
         * @param {string} [sort]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchAttemptsHistory(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
            return MemberServiceApiFp(configuration)
                .searchAttemptsHistory(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary SearchMemberAttempts
         * @param {string} queueId
         * @param {string} memberId
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchMemberAttempts(queueId, memberId, domainId, options) {
            return MemberServiceApiFp(configuration)
                .searchMemberAttempts(queueId, memberId, domainId, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary List of Member
         * @param {string} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchMemberInQueue(queueId, page, size, domainId, options) {
            return MemberServiceApiFp(configuration)
                .searchMemberInQueue(queueId, page, size, domainId, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary Search of Member
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [id]
         * @param {string} [queueId]
         * @param {number} [bucketId]
         * @param {string} [destination]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchMembers(page, size, id, queueId, bucketId, destination, domainId, options) {
            return MemberServiceApiFp(configuration)
                .searchMembers(page, size, id, queueId, bucketId, destination, domainId, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @summary UpdateMember
         * @param {string} queueId
         * @param {string} id
         * @param {EngineUpdateMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateMember(queueId, id, body, options) {
            return MemberServiceApiFp(configuration)
                .updateMember(queueId, id, body, options)
                .then((request) => request(axios, basePath));
        },
    };
};
/**
 * MemberServiceApi - object-oriented interface
 * @export
 * @class MemberServiceApi
 * @extends {BaseAPI}
 */
export class MemberServiceApi extends BaseAPI {
    /**
     *
     * @param {string} attemptId
     * @param {EngineAttemptCallbackRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    attemptCallback(attemptId, body, options) {
        return MemberServiceApiFp(this.configuration)
            .attemptCallback(attemptId, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @param {number} queueId
     * @param {string} memberId
     * @param {string} attemptId
     * @param {EngineAttemptResultRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    attemptResult(queueId, memberId, attemptId, body, options) {
        return MemberServiceApiFp(this.configuration)
            .attemptResult(queueId, memberId, attemptId, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @param {string} attemptId
     * @param {EngineAttemptRenewalResultRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    attemptsRenewalResult(attemptId, body, options) {
        return MemberServiceApiFp(this.configuration)
            .attemptsRenewalResult(attemptId, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Offline queue
     * @param {string} queueId
     * @param {string} memberId
     * @param {EngineCreateAttemptRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    createAttempt(queueId, memberId, body, options) {
        return MemberServiceApiFp(this.configuration)
            .createAttempt(queueId, memberId, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Create Member
     * @param {string} queueId
     * @param {EngineCreateMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    createMember(queueId, body, options) {
        return MemberServiceApiFp(this.configuration)
            .createMember(queueId, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Create Member
     * @param {string} queueId
     * @param {EngineCreateMemberBulkRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    createMemberBulk(queueId, body, options) {
        return MemberServiceApiFp(this.configuration)
            .createMemberBulk(queueId, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary DeleteMember
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    deleteMember(queueId, id, domainId, options) {
        return MemberServiceApiFp(this.configuration)
            .deleteMember(queueId, id, domainId, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary DeleteMembers
     * @param {string} queueId
     * @param {EngineDeleteMembersRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    deleteMembers(queueId, body, options) {
        return MemberServiceApiFp(this.configuration)
            .deleteMembers(queueId, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Patch Member
     * @param {string} queueId
     * @param {string} id
     * @param {EnginePatchMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    patchMember(queueId, id, body, options) {
        return MemberServiceApiFp(this.configuration)
            .patchMember(queueId, id, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary ReadQueueRouting
     * @param {string} queueId
     * @param {string} id
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    readMember(queueId, id, domainId, options) {
        return MemberServiceApiFp(this.configuration)
            .readMember(queueId, id, domainId, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary ResetMembers
     * @param {string} queueId
     * @param {EngineResetMembersRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    resetMembers(queueId, body, options) {
        return MemberServiceApiFp(this.configuration)
            .resetMembers(queueId, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary SearchAttempts
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [joinedAtFrom]
     * @param {string} [joinedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [bucketId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [agentId]
     * @param {string} [result]
     * @param {Array<string>} [fields]
     * @param {string} [sort]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    searchAttempts(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
        return MemberServiceApiFp(this.configuration)
            .searchAttempts(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary SearchMemberAttempts
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [joinedAtFrom]
     * @param {string} [joinedAtTo]
     * @param {Array<string>} [id]
     * @param {Array<string>} [queueId]
     * @param {Array<string>} [bucketId]
     * @param {Array<string>} [memberId]
     * @param {Array<string>} [agentId]
     * @param {string} [result]
     * @param {Array<string>} [fields]
     * @param {string} [sort]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    searchAttemptsHistory(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
        return MemberServiceApiFp(this.configuration)
            .searchAttemptsHistory(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary SearchMemberAttempts
     * @param {string} queueId
     * @param {string} memberId
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    searchMemberAttempts(queueId, memberId, domainId, options) {
        return MemberServiceApiFp(this.configuration)
            .searchMemberAttempts(queueId, memberId, domainId, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary List of Member
     * @param {string} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    searchMemberInQueue(queueId, page, size, domainId, options) {
        return MemberServiceApiFp(this.configuration)
            .searchMemberInQueue(queueId, page, size, domainId, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary Search of Member
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [id]
     * @param {string} [queueId]
     * @param {number} [bucketId]
     * @param {string} [destination]
     * @param {string} [domainId]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    searchMembers(page, size, id, queueId, bucketId, destination, domainId, options) {
        return MemberServiceApiFp(this.configuration)
            .searchMembers(page, size, id, queueId, bucketId, destination, domainId, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @summary UpdateMember
     * @param {string} queueId
     * @param {string} id
     * @param {EngineUpdateMemberRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof MemberServiceApi
     */
    updateMember(queueId, id, body, options) {
        return MemberServiceApiFp(this.configuration)
            .updateMember(queueId, id, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
}
//# sourceMappingURL=member-service-api.js.map