// tslint:disable
/**
 * Webitel engine API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 20.12.0
 * Contact: support@webitel.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */
import * as globalImportUrl from 'url';
import globalAxios from 'axios';
// Some imports not used depending on template conditions
// @ts-ignore
import { BASE_PATH, BaseAPI, RequiredError, } from '../base';
/**
 * QueueHookServiceApi - axios parameter creator
 * @export
 */
export const QueueHookServiceApiAxiosParamCreator = function (configuration) {
    return {
        /**
         *
         * @param {number} queueId
         * @param {EngineCreateQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createQueueHook: async (queueId, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createQueueHook.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling createQueueHook.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/hooks`.replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'POST',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteQueueHook: async (queueId, id, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling deleteQueueHook.');
            }
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteQueueHook.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/hooks/{id}`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'id'}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'DELETE',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {EnginePatchQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        patchQueueHook: async (queueId, id, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling patchQueueHook.');
            }
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchQueueHook.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchQueueHook.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/hooks/{id}`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'id'}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'PATCH',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        readQueueHook: async (queueId, id, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling readQueueHook.');
            }
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id', 'Required parameter id was null or undefined when calling readQueueHook.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/hooks/{id}`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'id'}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'GET',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {Array<number>} [schemaId]
         * @param {Array<string>} [event]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchQueueHook: async (queueId, page, size, q, sort, fields, id, schemaId, event, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling searchQueueHook.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/hooks`.replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'GET',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            if (page !== undefined) {
                localVarQueryParameter['page'] = page;
            }
            if (size !== undefined) {
                localVarQueryParameter['size'] = size;
            }
            if (q !== undefined) {
                localVarQueryParameter['q'] = q;
            }
            if (sort !== undefined) {
                localVarQueryParameter['sort'] = sort;
            }
            if (fields) {
                localVarQueryParameter['fields'] = fields;
            }
            if (id) {
                localVarQueryParameter['id'] = id;
            }
            if (schemaId) {
                localVarQueryParameter['schema_id'] = schemaId;
            }
            if (event) {
                localVarQueryParameter['event'] = event;
            }
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {EngineUpdateQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateQueueHook: async (queueId, id, body, options = {}) => {
            // verify required parameter 'queueId' is not null or undefined
            if (queueId === null || queueId === undefined) {
                throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling updateQueueHook.');
            }
            // verify required parameter 'id' is not null or undefined
            if (id === null || id === undefined) {
                throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateQueueHook.');
            }
            // verify required parameter 'body' is not null or undefined
            if (body === null || body === undefined) {
                throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateQueueHook.');
            }
            const localVarPath = `/call_center/queues/{queue_id}/hooks/{id}`
                .replace(`{${'queue_id'}}`, encodeURIComponent(String(queueId)))
                .replace(`{${'id'}}`, encodeURIComponent(String(id)));
            const localVarUrlObj = globalImportUrl.parse(localVarPath, true);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }
            const localVarRequestOptions = {
                method: 'PUT',
                ...baseOptions,
                ...options,
            };
            const localVarHeaderParameter = {};
            const localVarQueryParameter = {};
            // authentication AccessToken required
            if (configuration && configuration.apiKey) {
                const localVarApiKeyValue = typeof configuration.apiKey === 'function'
                    ? await configuration.apiKey('X-Webitel-Access')
                    : await configuration.apiKey;
                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
            }
            localVarHeaderParameter['Content-Type'] = 'application/json';
            localVarUrlObj.query = {
                ...localVarUrlObj.query,
                ...localVarQueryParameter,
                ...options.query,
            };
            // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
            delete localVarUrlObj.search;
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {
                ...localVarHeaderParameter,
                ...headersFromBaseOptions,
                ...options.headers,
            };
            const needsSerialization = typeof body !== 'string' ||
                localVarRequestOptions.headers['Content-Type'] === 'application/json';
            localVarRequestOptions.data = needsSerialization
                ? JSON.stringify(body !== undefined ? body : {})
                : body || '';
            return {
                url: globalImportUrl.format(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    };
};
/**
 * QueueHookServiceApi - functional programming interface
 * @export
 */
export const QueueHookServiceApiFp = function (configuration) {
    return {
        /**
         *
         * @param {number} queueId
         * @param {EngineCreateQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async createQueueHook(queueId, body, options) {
            const localVarAxiosArgs = await QueueHookServiceApiAxiosParamCreator(configuration).createQueueHook(queueId, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async deleteQueueHook(queueId, id, options) {
            const localVarAxiosArgs = await QueueHookServiceApiAxiosParamCreator(configuration).deleteQueueHook(queueId, id, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {EnginePatchQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async patchQueueHook(queueId, id, body, options) {
            const localVarAxiosArgs = await QueueHookServiceApiAxiosParamCreator(configuration).patchQueueHook(queueId, id, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async readQueueHook(queueId, id, options) {
            const localVarAxiosArgs = await QueueHookServiceApiAxiosParamCreator(configuration).readQueueHook(queueId, id, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {Array<number>} [schemaId]
         * @param {Array<string>} [event]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async searchQueueHook(queueId, page, size, q, sort, fields, id, schemaId, event, options) {
            const localVarAxiosArgs = await QueueHookServiceApiAxiosParamCreator(configuration).searchQueueHook(queueId, page, size, q, sort, fields, id, schemaId, event, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {EngineUpdateQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async updateQueueHook(queueId, id, body, options) {
            const localVarAxiosArgs = await QueueHookServiceApiAxiosParamCreator(configuration).updateQueueHook(queueId, id, body, options);
            return (axios = globalAxios, basePath = BASE_PATH) => {
                const axiosRequestArgs = {
                    ...localVarAxiosArgs.options,
                    url: basePath + localVarAxiosArgs.url,
                };
                return axios.request(axiosRequestArgs);
            };
        },
    };
};
/**
 * QueueHookServiceApi - factory interface
 * @export
 */
export const QueueHookServiceApiFactory = function (configuration, basePath, axios) {
    return {
        /**
         *
         * @param {number} queueId
         * @param {EngineCreateQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createQueueHook(queueId, body, options) {
            return QueueHookServiceApiFp(configuration)
                .createQueueHook(queueId, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteQueueHook(queueId, id, options) {
            return QueueHookServiceApiFp(configuration)
                .deleteQueueHook(queueId, id, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {EnginePatchQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        patchQueueHook(queueId, id, body, options) {
            return QueueHookServiceApiFp(configuration)
                .patchQueueHook(queueId, id, body, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        readQueueHook(queueId, id, options) {
            return QueueHookServiceApiFp(configuration)
                .readQueueHook(queueId, id, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @param {number} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {Array<number>} [schemaId]
         * @param {Array<string>} [event]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        searchQueueHook(queueId, page, size, q, sort, fields, id, schemaId, event, options) {
            return QueueHookServiceApiFp(configuration)
                .searchQueueHook(queueId, page, size, q, sort, fields, id, schemaId, event, options)
                .then((request) => request(axios, basePath));
        },
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {EngineUpdateQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        updateQueueHook(queueId, id, body, options) {
            return QueueHookServiceApiFp(configuration)
                .updateQueueHook(queueId, id, body, options)
                .then((request) => request(axios, basePath));
        },
    };
};
/**
 * QueueHookServiceApi - object-oriented interface
 * @export
 * @class QueueHookServiceApi
 * @extends {BaseAPI}
 */
export class QueueHookServiceApi extends BaseAPI {
    /**
     *
     * @param {number} queueId
     * @param {EngineCreateQueueHookRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueHookServiceApi
     */
    createQueueHook(queueId, body, options) {
        return QueueHookServiceApiFp(this.configuration)
            .createQueueHook(queueId, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @param {number} queueId
     * @param {number} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueHookServiceApi
     */
    deleteQueueHook(queueId, id, options) {
        return QueueHookServiceApiFp(this.configuration)
            .deleteQueueHook(queueId, id, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @param {number} queueId
     * @param {number} id
     * @param {EnginePatchQueueHookRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueHookServiceApi
     */
    patchQueueHook(queueId, id, body, options) {
        return QueueHookServiceApiFp(this.configuration)
            .patchQueueHook(queueId, id, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @param {number} queueId
     * @param {number} id
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueHookServiceApi
     */
    readQueueHook(queueId, id, options) {
        return QueueHookServiceApiFp(this.configuration)
            .readQueueHook(queueId, id, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @param {number} queueId
     * @param {number} [page]
     * @param {number} [size]
     * @param {string} [q]
     * @param {string} [sort]
     * @param {Array<string>} [fields]
     * @param {Array<number>} [id]
     * @param {Array<number>} [schemaId]
     * @param {Array<string>} [event]
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueHookServiceApi
     */
    searchQueueHook(queueId, page, size, q, sort, fields, id, schemaId, event, options) {
        return QueueHookServiceApiFp(this.configuration)
            .searchQueueHook(queueId, page, size, q, sort, fields, id, schemaId, event, options)
            .then((request) => request(this.axios, this.basePath));
    }
    /**
     *
     * @param {number} queueId
     * @param {number} id
     * @param {EngineUpdateQueueHookRequest} body
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof QueueHookServiceApi
     */
    updateQueueHook(queueId, id, body, options) {
        return QueueHookServiceApiFp(this.configuration)
            .updateQueueHook(queueId, id, body, options)
            .then((request) => request(this.axios, this.basePath));
    }
}
//# sourceMappingURL=queue-hook-service-api.js.map