import { __awaiter, __extends, __generator } from "tslib";
import dcopy from 'deep-copy';
import sanitizer from '../../_shared/utils/sanitizer';
import BaseUpdaterApiConsumer from '../base-updater-api-consumer/base-updater-api-consumer';
var EndpointUpdaterApiConsumer = /** @class */ (function (_super) {
    __extends(EndpointUpdaterApiConsumer, _super);
    function EndpointUpdaterApiConsumer(_a, params) {
        var baseUrl = _a.baseUrl, instance = _a.instance;
        if (params === void 0) { params = {}; }
        var _this = _super.call(this, params) || this;
        _this.instance = instance;
        _this.baseUrl = baseUrl;
        if (params.nestedUrl)
            _this.nestedUrl = params.nestedUrl;
        return _this;
    }
    EndpointUpdaterApiConsumer.prototype.updateItem = function (_a) {
        var itemId = _a.itemId, itemInstance = _a.itemInstance;
        var itemCopy = dcopy(itemInstance);
        if (this.preRequestHandler) {
            itemCopy = this.preRequestHandler(itemCopy);
        }
        if (this.fieldsToSend) {
            itemCopy = sanitizer(itemCopy, this.fieldsToSend);
        }
        return this._updateItem({ id: itemId, item: itemCopy });
    };
    EndpointUpdaterApiConsumer.prototype.updateNestedItem = function (_a) {
        var parentId = _a.parentId, itemId = _a.itemId, itemInstance = _a.itemInstance;
        var itemCopy = dcopy(itemInstance);
        if (this.preRequestHandler) {
            itemCopy = this.preRequestHandler(itemCopy);
        }
        if (this.fieldsToSend) {
            itemCopy = sanitizer(itemCopy, this.fieldsToSend);
        }
        var baseUrl = this.baseUrl + "/" + parentId + "/" + this.nestedUrl;
        return this._updateItem({ id: itemId, item: itemCopy }, baseUrl);
    };
    EndpointUpdaterApiConsumer.prototype._updateItem = function (_a, baseUrl) {
        var id = _a.id, item = _a.item;
        if (baseUrl === void 0) { baseUrl = this.baseUrl; }
        return __awaiter(this, void 0, void 0, function () {
            var updUrl, response, err_1;
            return __generator(this, function (_b) {
                switch (_b.label) {
                    case 0:
                        updUrl = baseUrl + "/" + id;
                        _b.label = 1;
                    case 1:
                        _b.trys.push([1, 3, , 4]);
                        return [4 /*yield*/, this.instance.put(updUrl, item)];
                    case 2:
                        response = _b.sent();
                        return [2 /*return*/, this.responseHandler(response)];
                    case 3:
                        err_1 = _b.sent();
                        throw err_1;
                    case 4: return [2 /*return*/];
                }
            });
        });
    };
    return EndpointUpdaterApiConsumer;
}(BaseUpdaterApiConsumer));
export default EndpointUpdaterApiConsumer;
//# sourceMappingURL=endpoint-updater-api-consumer.js.map