(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('tslib'), require('url'), require('axios'), require('ee-ts'), require('jssip')) :
    typeof define === 'function' && define.amd ? define(['exports', 'tslib', 'url', 'axios', 'ee-ts', 'jssip'], factory) :
    (global = global || self, factory(global.WebitelSdk = {}, global.tslib, global.globalImportUrl, global.globalAxios, global.eeTs, global.JsSip));
}(this, function (exports, tslib, globalImportUrl, globalAxios, eeTs, JsSip) { 'use strict';

    globalAxios = globalAxios && globalAxios.hasOwnProperty('default') ? globalAxios['default'] : globalAxios;

    // tslint:disable
    var BASE_PATH = 'https://dev.webitel.com/api'.replace(/\/+$/, '');
    /**
     *
     * @export
     * @class BaseAPI
     */
    var BaseAPI = /** @class */ (function () {
        function BaseAPI(configuration, basePath, axios) {
            if (basePath === void 0) { basePath = BASE_PATH; }
            if (axios === void 0) { axios = globalAxios; }
            this.basePath = basePath;
            this.axios = axios;
            if (configuration) {
                this.configuration = configuration;
                this.basePath = configuration.basePath || this.basePath;
            }
        }
        return BaseAPI;
    }());
    /**
     *
     * @export
     * @class RequiredError
     * @extends {Error}
     */
    var RequiredError = /** @class */ (function (_super) {
        tslib.__extends(RequiredError, _super);
        function RequiredError(field, msg) {
            var _this = _super.call(this, msg) || this;
            _this.field = field;
            _this.name = 'RequiredError';
            return _this;
        }
        return RequiredError;
    }(Error));

    // tslint:disable
    /**
     * AgentPauseCauseServiceApi - axios parameter creator
     * @export
     */
    var AgentPauseCauseServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @param {EngineCreateAgentPauseCauseRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgentPauseCause: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createAgentPauseCause.');
                                }
                                localVarPath = "/call_center/pause_causes";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgentPauseCause: function (id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteAgentPauseCause.');
                                }
                                localVarPath = "/call_center/pause_causes/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {EnginePatchAgentPauseCauseRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchAgentPauseCause: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchAgentPauseCause.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchAgentPauseCause.');
                                }
                                localVarPath = "/call_center/pause_causes/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgentPauseCause: function (id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readAgentPauseCause.');
                                }
                                localVarPath = "/call_center/pause_causes/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentPauseCause: function (page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/pause_causes";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {EngineUpdateAgentPauseCauseRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentPauseCause: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateAgentPauseCause.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateAgentPauseCause.');
                                }
                                localVarPath = "/call_center/pause_causes/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * AgentPauseCauseServiceApi - functional programming interface
     * @export
     */
    var AgentPauseCauseServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @param {EngineCreateAgentPauseCauseRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgentPauseCause: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentPauseCauseServiceApiAxiosParamCreator(configuration).createAgentPauseCause(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgentPauseCause: function (id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentPauseCauseServiceApiAxiosParamCreator(configuration).deleteAgentPauseCause(id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {EnginePatchAgentPauseCauseRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchAgentPauseCause: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentPauseCauseServiceApiAxiosParamCreator(configuration).patchAgentPauseCause(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgentPauseCause: function (id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentPauseCauseServiceApiAxiosParamCreator(configuration).readAgentPauseCause(id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentPauseCause: function (page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentPauseCauseServiceApiAxiosParamCreator(configuration).searchAgentPauseCause(page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {EngineUpdateAgentPauseCauseRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentPauseCause: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentPauseCauseServiceApiAxiosParamCreator(configuration).updateAgentPauseCause(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * AgentPauseCauseServiceApi - factory interface
     * @export
     */
    var AgentPauseCauseServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @param {EngineCreateAgentPauseCauseRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgentPauseCause: function (body, options) {
                return AgentPauseCauseServiceApiFp(configuration)
                    .createAgentPauseCause(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgentPauseCause: function (id, options) {
                return AgentPauseCauseServiceApiFp(configuration)
                    .deleteAgentPauseCause(id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} id
             * @param {EnginePatchAgentPauseCauseRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchAgentPauseCause: function (id, body, options) {
                return AgentPauseCauseServiceApiFp(configuration)
                    .patchAgentPauseCause(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgentPauseCause: function (id, options) {
                return AgentPauseCauseServiceApiFp(configuration)
                    .readAgentPauseCause(id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentPauseCause: function (page, size, q, sort, fields, id, options) {
                return AgentPauseCauseServiceApiFp(configuration)
                    .searchAgentPauseCause(page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} id
             * @param {EngineUpdateAgentPauseCauseRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentPauseCause: function (id, body, options) {
                return AgentPauseCauseServiceApiFp(configuration)
                    .updateAgentPauseCause(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * AgentPauseCauseServiceApi - object-oriented interface
     * @export
     * @class AgentPauseCauseServiceApi
     * @extends {BaseAPI}
     */
    var AgentPauseCauseServiceApi = /** @class */ (function (_super) {
        tslib.__extends(AgentPauseCauseServiceApi, _super);
        function AgentPauseCauseServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @param {EngineCreateAgentPauseCauseRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentPauseCauseServiceApi
         */
        AgentPauseCauseServiceApi.prototype.createAgentPauseCause = function (body, options) {
            var _this = this;
            return AgentPauseCauseServiceApiFp(this.configuration)
                .createAgentPauseCause(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentPauseCauseServiceApi
         */
        AgentPauseCauseServiceApi.prototype.deleteAgentPauseCause = function (id, options) {
            var _this = this;
            return AgentPauseCauseServiceApiFp(this.configuration)
                .deleteAgentPauseCause(id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} id
         * @param {EnginePatchAgentPauseCauseRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentPauseCauseServiceApi
         */
        AgentPauseCauseServiceApi.prototype.patchAgentPauseCause = function (id, body, options) {
            var _this = this;
            return AgentPauseCauseServiceApiFp(this.configuration)
                .patchAgentPauseCause(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentPauseCauseServiceApi
         */
        AgentPauseCauseServiceApi.prototype.readAgentPauseCause = function (id, options) {
            var _this = this;
            return AgentPauseCauseServiceApiFp(this.configuration)
                .readAgentPauseCause(id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentPauseCauseServiceApi
         */
        AgentPauseCauseServiceApi.prototype.searchAgentPauseCause = function (page, size, q, sort, fields, id, options) {
            var _this = this;
            return AgentPauseCauseServiceApiFp(this.configuration)
                .searchAgentPauseCause(page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} id
         * @param {EngineUpdateAgentPauseCauseRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentPauseCauseServiceApi
         */
        AgentPauseCauseServiceApi.prototype.updateAgentPauseCause = function (id, body, options) {
            var _this = this;
            return AgentPauseCauseServiceApiFp(this.configuration)
                .updateAgentPauseCause(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return AgentPauseCauseServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * AgentServiceApi - axios parameter creator
     * @export
     */
    var AgentServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @param {number} agentId
             * @param {EngineAgentSetStateRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            agentSetState: function (agentId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling agentSetState.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling agentSetState.');
                                }
                                localVarPath = "/call_center/agents/{agent_id}/states/waiting".replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} agentId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            agentStateHistory: function (agentId, page, size, timeFrom, timeTo, q, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling agentStateHistory.');
                                }
                                localVarPath = "/call_center/agents/{agent_id}/states/history".replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (timeFrom !== undefined) {
                                    localVarQueryParameter['time_from'] = timeFrom;
                                }
                                if (timeTo !== undefined) {
                                    localVarQueryParameter['time_to'] = timeTo;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create Agent
             * @param {EngineCreateAgentRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgent: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createAgent.');
                                }
                                localVarPath = "/call_center/agents";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove Agent
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgent: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteAgent.');
                                }
                                localVarPath = "/call_center/agents/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update Agent
             * @param {string} id
             * @param {EnginePatchAgentRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchAgent: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchAgent.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchAgent.');
                                }
                                localVarPath = "/call_center/agents/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Agent item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgent: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readAgent.');
                                }
                                localVarPath = "/call_center/agents/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of Agent
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<string>} [id]
             * @param {Array<string>} [allowChannels]
             * @param {Array<number>} [supervisorId]
             * @param {Array<number>} [teamId]
             * @param {Array<number>} [regionId]
             * @param {Array<number>} [auditorId]
             * @param {boolean} [isSupervisor]
             * @param {Array<number>} [skillId]
             * @param {Array<number>} [queueId]
             * @param {boolean} [notSupervisor]
             * @param {Array<string>} [userId]
             * @param {Array<string>} [extension]
             * @param {Array<number>} [notTeamId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgent: function (page, size, q, sort, fields, id, allowChannels, supervisorId, teamId, regionId, auditorId, isSupervisor, skillId, queueId, notSupervisor, userId, extension, notTeamId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/agents";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (allowChannels) {
                                    localVarQueryParameter['allow_channels'] = allowChannels;
                                }
                                if (supervisorId) {
                                    localVarQueryParameter['supervisor_id'] = supervisorId;
                                }
                                if (teamId) {
                                    localVarQueryParameter['team_id'] = teamId;
                                }
                                if (regionId) {
                                    localVarQueryParameter['region_id'] = regionId;
                                }
                                if (auditorId) {
                                    localVarQueryParameter['auditor_id'] = auditorId;
                                }
                                if (isSupervisor !== undefined) {
                                    localVarQueryParameter['is_supervisor'] = isSupervisor;
                                }
                                if (skillId) {
                                    localVarQueryParameter['skill_id'] = skillId;
                                }
                                if (queueId) {
                                    localVarQueryParameter['queue_id'] = queueId;
                                }
                                if (notSupervisor !== undefined) {
                                    localVarQueryParameter['not_supervisor'] = notSupervisor;
                                }
                                if (userId) {
                                    localVarQueryParameter['user_id'] = userId;
                                }
                                if (extension) {
                                    localVarQueryParameter['extension'] = extension;
                                }
                                if (notTeamId) {
                                    localVarQueryParameter['not_team_id'] = notTeamId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {Array<number>} [agentId]
             * @param {string} [domainId]
             * @param {string} [q]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentCallStatistics: function (page, size, timeFrom, timeTo, agentId, domainId, q, fields, sort, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/agents/reports/call";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (timeFrom !== undefined) {
                                    localVarQueryParameter['time.from'] = timeFrom;
                                }
                                if (timeTo !== undefined) {
                                    localVarQueryParameter['time.to'] = timeTo;
                                }
                                if (agentId) {
                                    localVarQueryParameter['agent_id'] = agentId;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentInQueue: function (id, page, size, q, sort, fields, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling searchAgentInQueue.');
                                }
                                localVarPath = "/call_center/agents/{id}/queues".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} agentId
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentInQueueStatistics: function (agentId, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling searchAgentInQueueStatistics.');
                                }
                                localVarPath = "/call_center/agents/{agent_id}/statistics/queues".replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary todo deprecated ?
             * @param {string} id
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentInTeam: function (id, page, size, q, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling searchAgentInTeam.');
                                }
                                localVarPath = "/call_center/agents/{id}/teams".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {Array<string>} [agentId]
             * @param {string} [sort]
             * @param {string} [domainId]
             * @param {string} [fromId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentStateHistory: function (page, size, joinedAtFrom, joinedAtTo, agentId, sort, domainId, fromId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/agents/states/history";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (joinedAtFrom !== undefined) {
                                    localVarQueryParameter['joined_at.from'] = joinedAtFrom;
                                }
                                if (joinedAtTo !== undefined) {
                                    localVarQueryParameter['joined_at.to'] = joinedAtTo;
                                }
                                if (agentId) {
                                    localVarQueryParameter['agent_id'] = agentId;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                if (fromId !== undefined) {
                                    localVarQueryParameter['from_id'] = fromId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<string>} [agentId]
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {Array<string>} [status]
             * @param {Array<number>} [queueId]
             * @param {Array<number>} [teamId]
             * @param {string} [utilizationFrom]
             * @param {string} [utilizationTo]
             * @param {boolean} [hasCall]
             * @param {Array<number>} [skillId]
             * @param {Array<number>} [regionId]
             * @param {Array<number>} [supervisorId]
             * @param {Array<string>} [auditorId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentStatusStatistic: function (page, size, q, sort, fields, agentId, timeFrom, timeTo, status, queueId, teamId, utilizationFrom, utilizationTo, hasCall, skillId, regionId, supervisorId, auditorId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/agents/reports/status";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (agentId) {
                                    localVarQueryParameter['agent_id'] = agentId;
                                }
                                if (timeFrom !== undefined) {
                                    localVarQueryParameter['time.from'] = timeFrom;
                                }
                                if (timeTo !== undefined) {
                                    localVarQueryParameter['time.to'] = timeTo;
                                }
                                if (status) {
                                    localVarQueryParameter['status'] = status;
                                }
                                if (queueId) {
                                    localVarQueryParameter['queue_id'] = queueId;
                                }
                                if (teamId) {
                                    localVarQueryParameter['team_id'] = teamId;
                                }
                                if (utilizationFrom !== undefined) {
                                    localVarQueryParameter['utilization.from'] = utilizationFrom;
                                }
                                if (utilizationTo !== undefined) {
                                    localVarQueryParameter['utilization.to'] = utilizationTo;
                                }
                                if (hasCall !== undefined) {
                                    localVarQueryParameter['has_call'] = hasCall;
                                }
                                if (skillId) {
                                    localVarQueryParameter['skill_id'] = skillId;
                                }
                                if (regionId) {
                                    localVarQueryParameter['region_id'] = regionId;
                                }
                                if (supervisorId) {
                                    localVarQueryParameter['supervisor_id'] = supervisorId;
                                }
                                if (auditorId) {
                                    localVarQueryParameter['auditor_id'] = auditorId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} agentId
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentStatusStatisticItem: function (agentId, timeFrom, timeTo, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling searchAgentStatusStatisticItem.');
                                }
                                localVarPath = "/call_center/agents/reports/status/{agent_id}".replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (timeFrom !== undefined) {
                                    localVarQueryParameter['time.from'] = timeFrom;
                                }
                                if (timeTo !== undefined) {
                                    localVarQueryParameter['time.to'] = timeTo;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchLookupAgentNotExistsUser
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchLookupUsersAgentNotExists: function (page, size, q, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/lookups/agents/users";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} agentId
             * @param {boolean} [allowChange]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchPauseCauseForAgent: function (agentId, allowChange, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling searchPauseCauseForAgent.');
                                }
                                localVarPath = "/call_center/agents/{agent_id}/pause_causes".replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (allowChange !== undefined) {
                                    localVarQueryParameter['allow_change'] = allowChange;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update Agent
             * @param {string} id
             * @param {EngineUpdateAgentRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgent: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateAgent.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateAgent.');
                                }
                                localVarPath = "/call_center/agents/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Change agent status
             * @param {string} id
             * @param {EngineAgentStatusRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentStatus: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateAgentStatus.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateAgentStatus.');
                                }
                                localVarPath = "/call_center/agents/{id}/status".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * AgentServiceApi - functional programming interface
     * @export
     */
    var AgentServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @param {number} agentId
             * @param {EngineAgentSetStateRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            agentSetState: function (agentId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).agentSetState(agentId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} agentId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            agentStateHistory: function (agentId, page, size, timeFrom, timeTo, q, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).agentStateHistory(agentId, page, size, timeFrom, timeTo, q, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create Agent
             * @param {EngineCreateAgentRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgent: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).createAgent(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove Agent
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgent: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).deleteAgent(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update Agent
             * @param {string} id
             * @param {EnginePatchAgentRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchAgent: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).patchAgent(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Agent item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgent: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).readAgent(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of Agent
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<string>} [id]
             * @param {Array<string>} [allowChannels]
             * @param {Array<number>} [supervisorId]
             * @param {Array<number>} [teamId]
             * @param {Array<number>} [regionId]
             * @param {Array<number>} [auditorId]
             * @param {boolean} [isSupervisor]
             * @param {Array<number>} [skillId]
             * @param {Array<number>} [queueId]
             * @param {boolean} [notSupervisor]
             * @param {Array<string>} [userId]
             * @param {Array<string>} [extension]
             * @param {Array<number>} [notTeamId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgent: function (page, size, q, sort, fields, id, allowChannels, supervisorId, teamId, regionId, auditorId, isSupervisor, skillId, queueId, notSupervisor, userId, extension, notTeamId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).searchAgent(page, size, q, sort, fields, id, allowChannels, supervisorId, teamId, regionId, auditorId, isSupervisor, skillId, queueId, notSupervisor, userId, extension, notTeamId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {Array<number>} [agentId]
             * @param {string} [domainId]
             * @param {string} [q]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentCallStatistics: function (page, size, timeFrom, timeTo, agentId, domainId, q, fields, sort, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).searchAgentCallStatistics(page, size, timeFrom, timeTo, agentId, domainId, q, fields, sort, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentInQueue: function (id, page, size, q, sort, fields, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).searchAgentInQueue(id, page, size, q, sort, fields, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} agentId
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentInQueueStatistics: function (agentId, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).searchAgentInQueueStatistics(agentId, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary todo deprecated ?
             * @param {string} id
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentInTeam: function (id, page, size, q, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).searchAgentInTeam(id, page, size, q, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {Array<string>} [agentId]
             * @param {string} [sort]
             * @param {string} [domainId]
             * @param {string} [fromId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentStateHistory: function (page, size, joinedAtFrom, joinedAtTo, agentId, sort, domainId, fromId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).searchAgentStateHistory(page, size, joinedAtFrom, joinedAtTo, agentId, sort, domainId, fromId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<string>} [agentId]
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {Array<string>} [status]
             * @param {Array<number>} [queueId]
             * @param {Array<number>} [teamId]
             * @param {string} [utilizationFrom]
             * @param {string} [utilizationTo]
             * @param {boolean} [hasCall]
             * @param {Array<number>} [skillId]
             * @param {Array<number>} [regionId]
             * @param {Array<number>} [supervisorId]
             * @param {Array<string>} [auditorId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentStatusStatistic: function (page, size, q, sort, fields, agentId, timeFrom, timeTo, status, queueId, teamId, utilizationFrom, utilizationTo, hasCall, skillId, regionId, supervisorId, auditorId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).searchAgentStatusStatistic(page, size, q, sort, fields, agentId, timeFrom, timeTo, status, queueId, teamId, utilizationFrom, utilizationTo, hasCall, skillId, regionId, supervisorId, auditorId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} agentId
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentStatusStatisticItem: function (agentId, timeFrom, timeTo, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).searchAgentStatusStatisticItem(agentId, timeFrom, timeTo, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchLookupAgentNotExistsUser
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchLookupUsersAgentNotExists: function (page, size, q, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).searchLookupUsersAgentNotExists(page, size, q, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} agentId
             * @param {boolean} [allowChange]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchPauseCauseForAgent: function (agentId, allowChange, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).searchPauseCauseForAgent(agentId, allowChange, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update Agent
             * @param {string} id
             * @param {EngineUpdateAgentRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgent: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).updateAgent(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Change agent status
             * @param {string} id
             * @param {EngineAgentStatusRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentStatus: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentServiceApiAxiosParamCreator(configuration).updateAgentStatus(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * AgentServiceApi - factory interface
     * @export
     */
    var AgentServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @param {number} agentId
             * @param {EngineAgentSetStateRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            agentSetState: function (agentId, body, options) {
                return AgentServiceApiFp(configuration)
                    .agentSetState(agentId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} agentId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            agentStateHistory: function (agentId, page, size, timeFrom, timeTo, q, domainId, options) {
                return AgentServiceApiFp(configuration)
                    .agentStateHistory(agentId, page, size, timeFrom, timeTo, q, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Create Agent
             * @param {EngineCreateAgentRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgent: function (body, options) {
                return AgentServiceApiFp(configuration)
                    .createAgent(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove Agent
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgent: function (id, domainId, options) {
                return AgentServiceApiFp(configuration)
                    .deleteAgent(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update Agent
             * @param {string} id
             * @param {EnginePatchAgentRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchAgent: function (id, body, options) {
                return AgentServiceApiFp(configuration)
                    .patchAgent(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Agent item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgent: function (id, domainId, options) {
                return AgentServiceApiFp(configuration)
                    .readAgent(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of Agent
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<string>} [id]
             * @param {Array<string>} [allowChannels]
             * @param {Array<number>} [supervisorId]
             * @param {Array<number>} [teamId]
             * @param {Array<number>} [regionId]
             * @param {Array<number>} [auditorId]
             * @param {boolean} [isSupervisor]
             * @param {Array<number>} [skillId]
             * @param {Array<number>} [queueId]
             * @param {boolean} [notSupervisor]
             * @param {Array<string>} [userId]
             * @param {Array<string>} [extension]
             * @param {Array<number>} [notTeamId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgent: function (page, size, q, sort, fields, id, allowChannels, supervisorId, teamId, regionId, auditorId, isSupervisor, skillId, queueId, notSupervisor, userId, extension, notTeamId, options) {
                return AgentServiceApiFp(configuration)
                    .searchAgent(page, size, q, sort, fields, id, allowChannels, supervisorId, teamId, regionId, auditorId, isSupervisor, skillId, queueId, notSupervisor, userId, extension, notTeamId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {Array<number>} [agentId]
             * @param {string} [domainId]
             * @param {string} [q]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentCallStatistics: function (page, size, timeFrom, timeTo, agentId, domainId, q, fields, sort, options) {
                return AgentServiceApiFp(configuration)
                    .searchAgentCallStatistics(page, size, timeFrom, timeTo, agentId, domainId, q, fields, sort, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} id
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentInQueue: function (id, page, size, q, sort, fields, options) {
                return AgentServiceApiFp(configuration)
                    .searchAgentInQueue(id, page, size, q, sort, fields, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} agentId
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentInQueueStatistics: function (agentId, domainId, options) {
                return AgentServiceApiFp(configuration)
                    .searchAgentInQueueStatistics(agentId, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary todo deprecated ?
             * @param {string} id
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentInTeam: function (id, page, size, q, domainId, options) {
                return AgentServiceApiFp(configuration)
                    .searchAgentInTeam(id, page, size, q, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {Array<string>} [agentId]
             * @param {string} [sort]
             * @param {string} [domainId]
             * @param {string} [fromId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentStateHistory: function (page, size, joinedAtFrom, joinedAtTo, agentId, sort, domainId, fromId, options) {
                return AgentServiceApiFp(configuration)
                    .searchAgentStateHistory(page, size, joinedAtFrom, joinedAtTo, agentId, sort, domainId, fromId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<string>} [agentId]
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {Array<string>} [status]
             * @param {Array<number>} [queueId]
             * @param {Array<number>} [teamId]
             * @param {string} [utilizationFrom]
             * @param {string} [utilizationTo]
             * @param {boolean} [hasCall]
             * @param {Array<number>} [skillId]
             * @param {Array<number>} [regionId]
             * @param {Array<number>} [supervisorId]
             * @param {Array<string>} [auditorId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentStatusStatistic: function (page, size, q, sort, fields, agentId, timeFrom, timeTo, status, queueId, teamId, utilizationFrom, utilizationTo, hasCall, skillId, regionId, supervisorId, auditorId, options) {
                return AgentServiceApiFp(configuration)
                    .searchAgentStatusStatistic(page, size, q, sort, fields, agentId, timeFrom, timeTo, status, queueId, teamId, utilizationFrom, utilizationTo, hasCall, skillId, regionId, supervisorId, auditorId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} agentId
             * @param {string} [timeFrom]
             * @param {string} [timeTo]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentStatusStatisticItem: function (agentId, timeFrom, timeTo, options) {
                return AgentServiceApiFp(configuration)
                    .searchAgentStatusStatisticItem(agentId, timeFrom, timeTo, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary SearchLookupAgentNotExistsUser
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchLookupUsersAgentNotExists: function (page, size, q, domainId, options) {
                return AgentServiceApiFp(configuration)
                    .searchLookupUsersAgentNotExists(page, size, q, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} agentId
             * @param {boolean} [allowChange]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchPauseCauseForAgent: function (agentId, allowChange, options) {
                return AgentServiceApiFp(configuration)
                    .searchPauseCauseForAgent(agentId, allowChange, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update Agent
             * @param {string} id
             * @param {EngineUpdateAgentRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgent: function (id, body, options) {
                return AgentServiceApiFp(configuration)
                    .updateAgent(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Change agent status
             * @param {string} id
             * @param {EngineAgentStatusRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentStatus: function (id, body, options) {
                return AgentServiceApiFp(configuration)
                    .updateAgentStatus(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * AgentServiceApi - object-oriented interface
     * @export
     * @class AgentServiceApi
     * @extends {BaseAPI}
     */
    var AgentServiceApi = /** @class */ (function (_super) {
        tslib.__extends(AgentServiceApi, _super);
        function AgentServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @param {number} agentId
         * @param {EngineAgentSetStateRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.agentSetState = function (agentId, body, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .agentSetState(agentId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} agentId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [timeFrom]
         * @param {string} [timeTo]
         * @param {string} [q]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.agentStateHistory = function (agentId, page, size, timeFrom, timeTo, q, domainId, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .agentStateHistory(agentId, page, size, timeFrom, timeTo, q, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Create Agent
         * @param {EngineCreateAgentRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.createAgent = function (body, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .createAgent(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove Agent
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.deleteAgent = function (id, domainId, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .deleteAgent(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update Agent
         * @param {string} id
         * @param {EnginePatchAgentRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.patchAgent = function (id, body, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .patchAgent(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Agent item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.readAgent = function (id, domainId, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .readAgent(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of Agent
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<string>} [id]
         * @param {Array<string>} [allowChannels]
         * @param {Array<number>} [supervisorId]
         * @param {Array<number>} [teamId]
         * @param {Array<number>} [regionId]
         * @param {Array<number>} [auditorId]
         * @param {boolean} [isSupervisor]
         * @param {Array<number>} [skillId]
         * @param {Array<number>} [queueId]
         * @param {boolean} [notSupervisor]
         * @param {Array<string>} [userId]
         * @param {Array<string>} [extension]
         * @param {Array<number>} [notTeamId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.searchAgent = function (page, size, q, sort, fields, id, allowChannels, supervisorId, teamId, regionId, auditorId, isSupervisor, skillId, queueId, notSupervisor, userId, extension, notTeamId, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .searchAgent(page, size, q, sort, fields, id, allowChannels, supervisorId, teamId, regionId, auditorId, isSupervisor, skillId, queueId, notSupervisor, userId, extension, notTeamId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [timeFrom]
         * @param {string} [timeTo]
         * @param {Array<number>} [agentId]
         * @param {string} [domainId]
         * @param {string} [q]
         * @param {Array<string>} [fields]
         * @param {string} [sort]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.searchAgentCallStatistics = function (page, size, timeFrom, timeTo, agentId, domainId, q, fields, sort, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .searchAgentCallStatistics(page, size, timeFrom, timeTo, agentId, domainId, q, fields, sort, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} id
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.searchAgentInQueue = function (id, page, size, q, sort, fields, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .searchAgentInQueue(id, page, size, q, sort, fields, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} agentId
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.searchAgentInQueueStatistics = function (agentId, domainId, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .searchAgentInQueueStatistics(agentId, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary todo deprecated ?
         * @param {string} id
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.searchAgentInTeam = function (id, page, size, q, domainId, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .searchAgentInTeam(id, page, size, q, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [joinedAtFrom]
         * @param {string} [joinedAtTo]
         * @param {Array<string>} [agentId]
         * @param {string} [sort]
         * @param {string} [domainId]
         * @param {string} [fromId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.searchAgentStateHistory = function (page, size, joinedAtFrom, joinedAtTo, agentId, sort, domainId, fromId, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .searchAgentStateHistory(page, size, joinedAtFrom, joinedAtTo, agentId, sort, domainId, fromId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<string>} [agentId]
         * @param {string} [timeFrom]
         * @param {string} [timeTo]
         * @param {Array<string>} [status]
         * @param {Array<number>} [queueId]
         * @param {Array<number>} [teamId]
         * @param {string} [utilizationFrom]
         * @param {string} [utilizationTo]
         * @param {boolean} [hasCall]
         * @param {Array<number>} [skillId]
         * @param {Array<number>} [regionId]
         * @param {Array<number>} [supervisorId]
         * @param {Array<string>} [auditorId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.searchAgentStatusStatistic = function (page, size, q, sort, fields, agentId, timeFrom, timeTo, status, queueId, teamId, utilizationFrom, utilizationTo, hasCall, skillId, regionId, supervisorId, auditorId, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .searchAgentStatusStatistic(page, size, q, sort, fields, agentId, timeFrom, timeTo, status, queueId, teamId, utilizationFrom, utilizationTo, hasCall, skillId, regionId, supervisorId, auditorId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} agentId
         * @param {string} [timeFrom]
         * @param {string} [timeTo]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.searchAgentStatusStatisticItem = function (agentId, timeFrom, timeTo, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .searchAgentStatusStatisticItem(agentId, timeFrom, timeTo, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary SearchLookupAgentNotExistsUser
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.searchLookupUsersAgentNotExists = function (page, size, q, domainId, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .searchLookupUsersAgentNotExists(page, size, q, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} agentId
         * @param {boolean} [allowChange]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.searchPauseCauseForAgent = function (agentId, allowChange, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .searchPauseCauseForAgent(agentId, allowChange, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update Agent
         * @param {string} id
         * @param {EngineUpdateAgentRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.updateAgent = function (id, body, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .updateAgent(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Change agent status
         * @param {string} id
         * @param {EngineAgentStatusRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentServiceApi
         */
        AgentServiceApi.prototype.updateAgentStatus = function (id, body, options) {
            var _this = this;
            return AgentServiceApiFp(this.configuration)
                .updateAgentStatus(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return AgentServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * AgentSkillServiceApi - axios parameter creator
     * @export
     */
    var AgentSkillServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create AgentSkill
             * @param {string} agentId
             * @param {EngineCreateAgentSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgentSkill: function (agentId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling createAgentSkill.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createAgentSkill.');
                                }
                                localVarPath = "/call_center/agents/{agent_id}/skills".replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove AgentSkill
             * @param {string} agentId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgentSkill: function (agentId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling deleteAgentSkill.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteAgentSkill.');
                                }
                                localVarPath = "/call_center/agents/{agent_id}/skills/{id}"
                                    .replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} agentId
             * @param {string} id
             * @param {EnginePatchAgentSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchAgentSkill: function (agentId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling patchAgentSkill.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchAgentSkill.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchAgentSkill.');
                                }
                                localVarPath = "/call_center/agents/{agent_id}/skills/{id}"
                                    .replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary AgentSkill item
             * @param {string} agentId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgentSkill: function (agentId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling readAgentSkill.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readAgentSkill.');
                                }
                                localVarPath = "/call_center/agents/{agent_id}/skills/{id}"
                                    .replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of AgentSkill
             * @param {string} agentId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentSkill: function (agentId, page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling searchAgentSkill.');
                                }
                                localVarPath = "/call_center/agents/{agent_id}/skills".replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchLookupAgentNotExistsSkill
             * @param {string} agentId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchLookupAgentNotExistsSkill: function (agentId, page, size, q, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling searchLookupAgentNotExistsSkill.');
                                }
                                localVarPath = "/call_center/lookups/agents/skills/{agent_id}".replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update AgentSkill
             * @param {string} agentId
             * @param {string} id
             * @param {EngineUpdateAgentSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentSkill: function (agentId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'agentId' is not null or undefined
                                if (agentId === null || agentId === undefined) {
                                    throw new RequiredError('agentId', 'Required parameter agentId was null or undefined when calling updateAgentSkill.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateAgentSkill.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateAgentSkill.');
                                }
                                localVarPath = "/call_center/agents/{agent_id}/skills/{id}"
                                    .replace("{" + 'agent_id' + "}", encodeURIComponent(String(agentId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * AgentSkillServiceApi - functional programming interface
     * @export
     */
    var AgentSkillServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create AgentSkill
             * @param {string} agentId
             * @param {EngineCreateAgentSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgentSkill: function (agentId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentSkillServiceApiAxiosParamCreator(configuration).createAgentSkill(agentId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove AgentSkill
             * @param {string} agentId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgentSkill: function (agentId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentSkillServiceApiAxiosParamCreator(configuration).deleteAgentSkill(agentId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} agentId
             * @param {string} id
             * @param {EnginePatchAgentSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchAgentSkill: function (agentId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentSkillServiceApiAxiosParamCreator(configuration).patchAgentSkill(agentId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary AgentSkill item
             * @param {string} agentId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgentSkill: function (agentId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentSkillServiceApiAxiosParamCreator(configuration).readAgentSkill(agentId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of AgentSkill
             * @param {string} agentId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentSkill: function (agentId, page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentSkillServiceApiAxiosParamCreator(configuration).searchAgentSkill(agentId, page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchLookupAgentNotExistsSkill
             * @param {string} agentId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchLookupAgentNotExistsSkill: function (agentId, page, size, q, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentSkillServiceApiAxiosParamCreator(configuration).searchLookupAgentNotExistsSkill(agentId, page, size, q, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update AgentSkill
             * @param {string} agentId
             * @param {string} id
             * @param {EngineUpdateAgentSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentSkill: function (agentId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentSkillServiceApiAxiosParamCreator(configuration).updateAgentSkill(agentId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * AgentSkillServiceApi - factory interface
     * @export
     */
    var AgentSkillServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create AgentSkill
             * @param {string} agentId
             * @param {EngineCreateAgentSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgentSkill: function (agentId, body, options) {
                return AgentSkillServiceApiFp(configuration)
                    .createAgentSkill(agentId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove AgentSkill
             * @param {string} agentId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgentSkill: function (agentId, id, domainId, options) {
                return AgentSkillServiceApiFp(configuration)
                    .deleteAgentSkill(agentId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} agentId
             * @param {string} id
             * @param {EnginePatchAgentSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchAgentSkill: function (agentId, id, body, options) {
                return AgentSkillServiceApiFp(configuration)
                    .patchAgentSkill(agentId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary AgentSkill item
             * @param {string} agentId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgentSkill: function (agentId, id, domainId, options) {
                return AgentSkillServiceApiFp(configuration)
                    .readAgentSkill(agentId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of AgentSkill
             * @param {string} agentId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentSkill: function (agentId, page, size, q, sort, fields, id, options) {
                return AgentSkillServiceApiFp(configuration)
                    .searchAgentSkill(agentId, page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary SearchLookupAgentNotExistsSkill
             * @param {string} agentId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchLookupAgentNotExistsSkill: function (agentId, page, size, q, domainId, options) {
                return AgentSkillServiceApiFp(configuration)
                    .searchLookupAgentNotExistsSkill(agentId, page, size, q, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update AgentSkill
             * @param {string} agentId
             * @param {string} id
             * @param {EngineUpdateAgentSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentSkill: function (agentId, id, body, options) {
                return AgentSkillServiceApiFp(configuration)
                    .updateAgentSkill(agentId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * AgentSkillServiceApi - object-oriented interface
     * @export
     * @class AgentSkillServiceApi
     * @extends {BaseAPI}
     */
    var AgentSkillServiceApi = /** @class */ (function (_super) {
        tslib.__extends(AgentSkillServiceApi, _super);
        function AgentSkillServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create AgentSkill
         * @param {string} agentId
         * @param {EngineCreateAgentSkillRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentSkillServiceApi
         */
        AgentSkillServiceApi.prototype.createAgentSkill = function (agentId, body, options) {
            var _this = this;
            return AgentSkillServiceApiFp(this.configuration)
                .createAgentSkill(agentId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove AgentSkill
         * @param {string} agentId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentSkillServiceApi
         */
        AgentSkillServiceApi.prototype.deleteAgentSkill = function (agentId, id, domainId, options) {
            var _this = this;
            return AgentSkillServiceApiFp(this.configuration)
                .deleteAgentSkill(agentId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} agentId
         * @param {string} id
         * @param {EnginePatchAgentSkillRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentSkillServiceApi
         */
        AgentSkillServiceApi.prototype.patchAgentSkill = function (agentId, id, body, options) {
            var _this = this;
            return AgentSkillServiceApiFp(this.configuration)
                .patchAgentSkill(agentId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary AgentSkill item
         * @param {string} agentId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentSkillServiceApi
         */
        AgentSkillServiceApi.prototype.readAgentSkill = function (agentId, id, domainId, options) {
            var _this = this;
            return AgentSkillServiceApiFp(this.configuration)
                .readAgentSkill(agentId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of AgentSkill
         * @param {string} agentId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentSkillServiceApi
         */
        AgentSkillServiceApi.prototype.searchAgentSkill = function (agentId, page, size, q, sort, fields, id, options) {
            var _this = this;
            return AgentSkillServiceApiFp(this.configuration)
                .searchAgentSkill(agentId, page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary SearchLookupAgentNotExistsSkill
         * @param {string} agentId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentSkillServiceApi
         */
        AgentSkillServiceApi.prototype.searchLookupAgentNotExistsSkill = function (agentId, page, size, q, domainId, options) {
            var _this = this;
            return AgentSkillServiceApiFp(this.configuration)
                .searchLookupAgentNotExistsSkill(agentId, page, size, q, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update AgentSkill
         * @param {string} agentId
         * @param {string} id
         * @param {EngineUpdateAgentSkillRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentSkillServiceApi
         */
        AgentSkillServiceApi.prototype.updateAgentSkill = function (agentId, id, body, options) {
            var _this = this;
            return AgentSkillServiceApiFp(this.configuration)
                .updateAgentSkill(agentId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return AgentSkillServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * AgentTeamServiceApi - axios parameter creator
     * @export
     */
    var AgentTeamServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create AgentTeam
             * @param {EngineCreateAgentTeamRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgentTeam: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createAgentTeam.');
                                }
                                localVarPath = "/call_center/teams";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove AgentTeam
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgentTeam: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteAgentTeam.');
                                }
                                localVarPath = "/call_center/teams/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary AgentTeam item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgentTeam: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readAgentTeam.');
                                }
                                localVarPath = "/call_center/teams/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of AgentTeam
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {Array<string>} [strategy]
             * @param {Array<number>} [adminId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentTeam: function (page, size, q, sort, fields, id, strategy, adminId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/teams";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (strategy) {
                                    localVarQueryParameter['strategy'] = strategy;
                                }
                                if (adminId) {
                                    localVarQueryParameter['admin_id'] = adminId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update AgentTeam
             * @param {string} id
             * @param {EngineUpdateAgentTeamRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentTeam: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateAgentTeam.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateAgentTeam.');
                                }
                                localVarPath = "/call_center/teams/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * AgentTeamServiceApi - functional programming interface
     * @export
     */
    var AgentTeamServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create AgentTeam
             * @param {EngineCreateAgentTeamRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgentTeam: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentTeamServiceApiAxiosParamCreator(configuration).createAgentTeam(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove AgentTeam
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgentTeam: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentTeamServiceApiAxiosParamCreator(configuration).deleteAgentTeam(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary AgentTeam item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgentTeam: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentTeamServiceApiAxiosParamCreator(configuration).readAgentTeam(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of AgentTeam
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {Array<string>} [strategy]
             * @param {Array<number>} [adminId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentTeam: function (page, size, q, sort, fields, id, strategy, adminId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentTeamServiceApiAxiosParamCreator(configuration).searchAgentTeam(page, size, q, sort, fields, id, strategy, adminId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update AgentTeam
             * @param {string} id
             * @param {EngineUpdateAgentTeamRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentTeam: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, AgentTeamServiceApiAxiosParamCreator(configuration).updateAgentTeam(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * AgentTeamServiceApi - factory interface
     * @export
     */
    var AgentTeamServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create AgentTeam
             * @param {EngineCreateAgentTeamRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAgentTeam: function (body, options) {
                return AgentTeamServiceApiFp(configuration)
                    .createAgentTeam(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove AgentTeam
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteAgentTeam: function (id, domainId, options) {
                return AgentTeamServiceApiFp(configuration)
                    .deleteAgentTeam(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary AgentTeam item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readAgentTeam: function (id, domainId, options) {
                return AgentTeamServiceApiFp(configuration)
                    .readAgentTeam(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of AgentTeam
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {Array<string>} [strategy]
             * @param {Array<number>} [adminId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAgentTeam: function (page, size, q, sort, fields, id, strategy, adminId, options) {
                return AgentTeamServiceApiFp(configuration)
                    .searchAgentTeam(page, size, q, sort, fields, id, strategy, adminId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update AgentTeam
             * @param {string} id
             * @param {EngineUpdateAgentTeamRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateAgentTeam: function (id, body, options) {
                return AgentTeamServiceApiFp(configuration)
                    .updateAgentTeam(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * AgentTeamServiceApi - object-oriented interface
     * @export
     * @class AgentTeamServiceApi
     * @extends {BaseAPI}
     */
    var AgentTeamServiceApi = /** @class */ (function (_super) {
        tslib.__extends(AgentTeamServiceApi, _super);
        function AgentTeamServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create AgentTeam
         * @param {EngineCreateAgentTeamRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentTeamServiceApi
         */
        AgentTeamServiceApi.prototype.createAgentTeam = function (body, options) {
            var _this = this;
            return AgentTeamServiceApiFp(this.configuration)
                .createAgentTeam(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove AgentTeam
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentTeamServiceApi
         */
        AgentTeamServiceApi.prototype.deleteAgentTeam = function (id, domainId, options) {
            var _this = this;
            return AgentTeamServiceApiFp(this.configuration)
                .deleteAgentTeam(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary AgentTeam item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentTeamServiceApi
         */
        AgentTeamServiceApi.prototype.readAgentTeam = function (id, domainId, options) {
            var _this = this;
            return AgentTeamServiceApiFp(this.configuration)
                .readAgentTeam(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of AgentTeam
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {Array<string>} [strategy]
         * @param {Array<number>} [adminId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentTeamServiceApi
         */
        AgentTeamServiceApi.prototype.searchAgentTeam = function (page, size, q, sort, fields, id, strategy, adminId, options) {
            var _this = this;
            return AgentTeamServiceApiFp(this.configuration)
                .searchAgentTeam(page, size, q, sort, fields, id, strategy, adminId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update AgentTeam
         * @param {string} id
         * @param {EngineUpdateAgentTeamRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof AgentTeamServiceApi
         */
        AgentTeamServiceApi.prototype.updateAgentTeam = function (id, body, options) {
            var _this = this;
            return AgentTeamServiceApiFp(this.configuration)
                .updateAgentTeam(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return AgentTeamServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * BackendProfileServiceApi - axios parameter creator
     * @export
     */
    var BackendProfileServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create BackendProfile
             * @param {StorageCreateBackendProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createBackendProfile: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createBackendProfile.');
                                }
                                localVarPath = "/storage/backend_profiles";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove BackendProfile
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteBackendProfile: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteBackendProfile.');
                                }
                                localVarPath = "/storage/backend_profiles/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch BackendProfile
             * @param {string} id
             * @param {StoragePatchBackendProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchBackendProfile: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchBackendProfile.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchBackendProfile.');
                                }
                                localVarPath = "/storage/backend_profiles/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary BackendProfile item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readBackendProfile: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readBackendProfile.');
                                }
                                localVarPath = "/storage/backend_profiles/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of BackendProfile
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchBackendProfile: function (page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/storage/backend_profiles";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update BackendProfile
             * @param {string} id
             * @param {StorageUpdateBackendProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateBackendProfile: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateBackendProfile.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateBackendProfile.');
                                }
                                localVarPath = "/storage/backend_profiles/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * BackendProfileServiceApi - functional programming interface
     * @export
     */
    var BackendProfileServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create BackendProfile
             * @param {StorageCreateBackendProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createBackendProfile: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BackendProfileServiceApiAxiosParamCreator(configuration).createBackendProfile(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove BackendProfile
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteBackendProfile: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BackendProfileServiceApiAxiosParamCreator(configuration).deleteBackendProfile(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch BackendProfile
             * @param {string} id
             * @param {StoragePatchBackendProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchBackendProfile: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BackendProfileServiceApiAxiosParamCreator(configuration).patchBackendProfile(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary BackendProfile item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readBackendProfile: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BackendProfileServiceApiAxiosParamCreator(configuration).readBackendProfile(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of BackendProfile
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchBackendProfile: function (page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BackendProfileServiceApiAxiosParamCreator(configuration).searchBackendProfile(page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update BackendProfile
             * @param {string} id
             * @param {StorageUpdateBackendProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateBackendProfile: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BackendProfileServiceApiAxiosParamCreator(configuration).updateBackendProfile(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * BackendProfileServiceApi - factory interface
     * @export
     */
    var BackendProfileServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create BackendProfile
             * @param {StorageCreateBackendProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createBackendProfile: function (body, options) {
                return BackendProfileServiceApiFp(configuration)
                    .createBackendProfile(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove BackendProfile
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteBackendProfile: function (id, domainId, options) {
                return BackendProfileServiceApiFp(configuration)
                    .deleteBackendProfile(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Patch BackendProfile
             * @param {string} id
             * @param {StoragePatchBackendProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchBackendProfile: function (id, body, options) {
                return BackendProfileServiceApiFp(configuration)
                    .patchBackendProfile(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary BackendProfile item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readBackendProfile: function (id, domainId, options) {
                return BackendProfileServiceApiFp(configuration)
                    .readBackendProfile(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of BackendProfile
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchBackendProfile: function (page, size, q, sort, fields, id, options) {
                return BackendProfileServiceApiFp(configuration)
                    .searchBackendProfile(page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update BackendProfile
             * @param {string} id
             * @param {StorageUpdateBackendProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateBackendProfile: function (id, body, options) {
                return BackendProfileServiceApiFp(configuration)
                    .updateBackendProfile(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * BackendProfileServiceApi - object-oriented interface
     * @export
     * @class BackendProfileServiceApi
     * @extends {BaseAPI}
     */
    var BackendProfileServiceApi = /** @class */ (function (_super) {
        tslib.__extends(BackendProfileServiceApi, _super);
        function BackendProfileServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create BackendProfile
         * @param {StorageCreateBackendProfileRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BackendProfileServiceApi
         */
        BackendProfileServiceApi.prototype.createBackendProfile = function (body, options) {
            var _this = this;
            return BackendProfileServiceApiFp(this.configuration)
                .createBackendProfile(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove BackendProfile
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BackendProfileServiceApi
         */
        BackendProfileServiceApi.prototype.deleteBackendProfile = function (id, domainId, options) {
            var _this = this;
            return BackendProfileServiceApiFp(this.configuration)
                .deleteBackendProfile(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Patch BackendProfile
         * @param {string} id
         * @param {StoragePatchBackendProfileRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BackendProfileServiceApi
         */
        BackendProfileServiceApi.prototype.patchBackendProfile = function (id, body, options) {
            var _this = this;
            return BackendProfileServiceApiFp(this.configuration)
                .patchBackendProfile(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary BackendProfile item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BackendProfileServiceApi
         */
        BackendProfileServiceApi.prototype.readBackendProfile = function (id, domainId, options) {
            var _this = this;
            return BackendProfileServiceApiFp(this.configuration)
                .readBackendProfile(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of BackendProfile
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BackendProfileServiceApi
         */
        BackendProfileServiceApi.prototype.searchBackendProfile = function (page, size, q, sort, fields, id, options) {
            var _this = this;
            return BackendProfileServiceApiFp(this.configuration)
                .searchBackendProfile(page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update BackendProfile
         * @param {string} id
         * @param {StorageUpdateBackendProfileRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BackendProfileServiceApi
         */
        BackendProfileServiceApi.prototype.updateBackendProfile = function (id, body, options) {
            var _this = this;
            return BackendProfileServiceApiFp(this.configuration)
                .updateBackendProfile(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return BackendProfileServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * BucketServiceApi - axios parameter creator
     * @export
     */
    var BucketServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create Bucket
             * @param {EngineCreateBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createBucket: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createBucket.');
                                }
                                localVarPath = "/call_center/buckets";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove Bucket
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteBucket: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteBucket.');
                                }
                                localVarPath = "/call_center/buckets/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Bucket item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readBucket: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readBucket.');
                                }
                                localVarPath = "/call_center/buckets/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of Bucket
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchBucket: function (page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/buckets";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update Bucket
             * @param {string} id
             * @param {EngineUpdateBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateBucket: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateBucket.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateBucket.');
                                }
                                localVarPath = "/call_center/buckets/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * BucketServiceApi - functional programming interface
     * @export
     */
    var BucketServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create Bucket
             * @param {EngineCreateBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createBucket: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BucketServiceApiAxiosParamCreator(configuration).createBucket(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove Bucket
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteBucket: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BucketServiceApiAxiosParamCreator(configuration).deleteBucket(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Bucket item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readBucket: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BucketServiceApiAxiosParamCreator(configuration).readBucket(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of Bucket
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchBucket: function (page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BucketServiceApiAxiosParamCreator(configuration).searchBucket(page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update Bucket
             * @param {string} id
             * @param {EngineUpdateBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateBucket: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, BucketServiceApiAxiosParamCreator(configuration).updateBucket(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * BucketServiceApi - factory interface
     * @export
     */
    var BucketServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create Bucket
             * @param {EngineCreateBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createBucket: function (body, options) {
                return BucketServiceApiFp(configuration)
                    .createBucket(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove Bucket
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteBucket: function (id, domainId, options) {
                return BucketServiceApiFp(configuration)
                    .deleteBucket(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Bucket item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readBucket: function (id, domainId, options) {
                return BucketServiceApiFp(configuration)
                    .readBucket(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of Bucket
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchBucket: function (page, size, q, sort, fields, id, options) {
                return BucketServiceApiFp(configuration)
                    .searchBucket(page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update Bucket
             * @param {string} id
             * @param {EngineUpdateBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateBucket: function (id, body, options) {
                return BucketServiceApiFp(configuration)
                    .updateBucket(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * BucketServiceApi - object-oriented interface
     * @export
     * @class BucketServiceApi
     * @extends {BaseAPI}
     */
    var BucketServiceApi = /** @class */ (function (_super) {
        tslib.__extends(BucketServiceApi, _super);
        function BucketServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create Bucket
         * @param {EngineCreateBucketRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BucketServiceApi
         */
        BucketServiceApi.prototype.createBucket = function (body, options) {
            var _this = this;
            return BucketServiceApiFp(this.configuration)
                .createBucket(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove Bucket
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BucketServiceApi
         */
        BucketServiceApi.prototype.deleteBucket = function (id, domainId, options) {
            var _this = this;
            return BucketServiceApiFp(this.configuration)
                .deleteBucket(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Bucket item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BucketServiceApi
         */
        BucketServiceApi.prototype.readBucket = function (id, domainId, options) {
            var _this = this;
            return BucketServiceApiFp(this.configuration)
                .readBucket(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of Bucket
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BucketServiceApi
         */
        BucketServiceApi.prototype.searchBucket = function (page, size, q, sort, fields, id, options) {
            var _this = this;
            return BucketServiceApiFp(this.configuration)
                .searchBucket(page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update Bucket
         * @param {string} id
         * @param {EngineUpdateBucketRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof BucketServiceApi
         */
        BucketServiceApi.prototype.updateBucket = function (id, body, options) {
            var _this = this;
            return BucketServiceApiFp(this.configuration)
                .updateBucket(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return BucketServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * CalendarServiceApi - axios parameter creator
     * @export
     */
    var CalendarServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create calendar
             * @param {EngineCreateCalendarRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCalendar: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createCalendar.');
                                }
                                localVarPath = "/calendars";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove calendar
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteCalendar: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteCalendar.');
                                }
                                localVarPath = "/calendars/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Calendar item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readCalendar: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readCalendar.');
                                }
                                localVarPath = "/calendars/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of calendar
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchCalendar: function (page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/calendars";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List timezones
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchTimezones: function (page, size, q, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/calendars/timezones";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update calendar
             * @param {string} id
             * @param {EngineUpdateCalendarRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateCalendar: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateCalendar.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateCalendar.');
                                }
                                localVarPath = "/calendars/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * CalendarServiceApi - functional programming interface
     * @export
     */
    var CalendarServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create calendar
             * @param {EngineCreateCalendarRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCalendar: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CalendarServiceApiAxiosParamCreator(configuration).createCalendar(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove calendar
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteCalendar: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CalendarServiceApiAxiosParamCreator(configuration).deleteCalendar(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Calendar item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readCalendar: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CalendarServiceApiAxiosParamCreator(configuration).readCalendar(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of calendar
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchCalendar: function (page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CalendarServiceApiAxiosParamCreator(configuration).searchCalendar(page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List timezones
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchTimezones: function (page, size, q, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CalendarServiceApiAxiosParamCreator(configuration).searchTimezones(page, size, q, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update calendar
             * @param {string} id
             * @param {EngineUpdateCalendarRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateCalendar: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CalendarServiceApiAxiosParamCreator(configuration).updateCalendar(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * CalendarServiceApi - factory interface
     * @export
     */
    var CalendarServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create calendar
             * @param {EngineCreateCalendarRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCalendar: function (body, options) {
                return CalendarServiceApiFp(configuration)
                    .createCalendar(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove calendar
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteCalendar: function (id, domainId, options) {
                return CalendarServiceApiFp(configuration)
                    .deleteCalendar(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Calendar item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readCalendar: function (id, domainId, options) {
                return CalendarServiceApiFp(configuration)
                    .readCalendar(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of calendar
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchCalendar: function (page, size, q, sort, fields, id, options) {
                return CalendarServiceApiFp(configuration)
                    .searchCalendar(page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List timezones
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchTimezones: function (page, size, q, options) {
                return CalendarServiceApiFp(configuration)
                    .searchTimezones(page, size, q, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update calendar
             * @param {string} id
             * @param {EngineUpdateCalendarRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateCalendar: function (id, body, options) {
                return CalendarServiceApiFp(configuration)
                    .updateCalendar(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * CalendarServiceApi - object-oriented interface
     * @export
     * @class CalendarServiceApi
     * @extends {BaseAPI}
     */
    var CalendarServiceApi = /** @class */ (function (_super) {
        tslib.__extends(CalendarServiceApi, _super);
        function CalendarServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create calendar
         * @param {EngineCreateCalendarRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CalendarServiceApi
         */
        CalendarServiceApi.prototype.createCalendar = function (body, options) {
            var _this = this;
            return CalendarServiceApiFp(this.configuration)
                .createCalendar(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove calendar
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CalendarServiceApi
         */
        CalendarServiceApi.prototype.deleteCalendar = function (id, domainId, options) {
            var _this = this;
            return CalendarServiceApiFp(this.configuration)
                .deleteCalendar(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Calendar item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CalendarServiceApi
         */
        CalendarServiceApi.prototype.readCalendar = function (id, domainId, options) {
            var _this = this;
            return CalendarServiceApiFp(this.configuration)
                .readCalendar(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of calendar
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CalendarServiceApi
         */
        CalendarServiceApi.prototype.searchCalendar = function (page, size, q, sort, fields, id, options) {
            var _this = this;
            return CalendarServiceApiFp(this.configuration)
                .searchCalendar(page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List timezones
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CalendarServiceApi
         */
        CalendarServiceApi.prototype.searchTimezones = function (page, size, q, options) {
            var _this = this;
            return CalendarServiceApiFp(this.configuration)
                .searchTimezones(page, size, q, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update calendar
         * @param {string} id
         * @param {EngineUpdateCalendarRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CalendarServiceApi
         */
        CalendarServiceApi.prototype.updateCalendar = function (id, body, options) {
            var _this = this;
            return CalendarServiceApiFp(this.configuration)
                .updateCalendar(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return CalendarServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * CallServiceApi - axios parameter creator
     * @export
     */
    var CallServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @param {EngineAggregateHistoryCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            aggregateHistoryCall: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling aggregateHistoryCall.');
                                }
                                localVarPath = "/calls/history/aggregate";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineBlindTransferCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            blindTransferCall: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling blindTransferCall.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling blindTransferCall.');
                                }
                                localVarPath = "/calls/active/{id}/transfer".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create e call
             * @param {EngineCreateCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCall: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createCall.');
                                }
                                localVarPath = "/calls";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} callId
             * @param {EngineCreateCallAnnotationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCallAnnotation: function (callId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'callId' is not null or undefined
                                if (callId === null || callId === undefined) {
                                    throw new RequiredError('callId', 'Required parameter callId was null or undefined when calling createCallAnnotation.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createCallAnnotation.');
                                }
                                localVarPath = "/calls/history/{call_id}/annotation".replace("{" + 'call_id' + "}", encodeURIComponent(String(callId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} callId
             * @param {string} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteCallAnnotation: function (callId, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'callId' is not null or undefined
                                if (callId === null || callId === undefined) {
                                    throw new RequiredError('callId', 'Required parameter callId was null or undefined when calling deleteCallAnnotation.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteCallAnnotation.');
                                }
                                localVarPath = "/calls/history/{call_id}/annotation/{id}"
                                    .replace("{" + 'call_id' + "}", encodeURIComponent(String(callId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineDtmfCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            dtmfCall: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling dtmfCall.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling dtmfCall.');
                                }
                                localVarPath = "/calls/active/{id}/dtmf".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineEavesdropCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            eavesdropCall: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling eavesdropCall.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling eavesdropCall.');
                                }
                                localVarPath = "/calls/active/{id}/eavesdrop".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineHangupCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            hangupCall: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling hangupCall.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling hangupCall.');
                                }
                                localVarPath = "/calls/active/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineUserCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            holdCall: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling holdCall.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling holdCall.');
                                }
                                localVarPath = "/calls/active/{id}/hold".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Call item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readCall: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readCall.');
                                }
                                localVarPath = "/calls/active/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {string} [createdAtFrom]
             * @param {string} [createdAtTo]
             * @param {Array<string>} [userId]
             * @param {Array<string>} [agentId]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [teamId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [gatewayId]
             * @param {string} [durationFrom]
             * @param {string} [durationTo]
             * @param {boolean} [skipParent]
             * @param {string} [parentId]
             * @param {Array<string>} [cause]
             * @param {boolean} [existsFile]
             * @param {string} [domainId]
             * @param {string} [number]
             * @param {Array<string>} [direction]
             * @param {string} [answeredAtFrom]
             * @param {string} [answeredAtTo]
             * @param {boolean} [missed]
             * @param {string} [storedAtFrom]
             * @param {string} [storedAtTo]
             * @param {Array<string>} [supervisorId]
             * @param {Array<string>} [state]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchActiveCall: function (page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, existsFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, supervisorId, state, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/calls/active";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (createdAtFrom !== undefined) {
                                    localVarQueryParameter['created_at.from'] = createdAtFrom;
                                }
                                if (createdAtTo !== undefined) {
                                    localVarQueryParameter['created_at.to'] = createdAtTo;
                                }
                                if (userId) {
                                    localVarQueryParameter['user_id'] = userId;
                                }
                                if (agentId) {
                                    localVarQueryParameter['agent_id'] = agentId;
                                }
                                if (queueId) {
                                    localVarQueryParameter['queue_id'] = queueId;
                                }
                                if (teamId) {
                                    localVarQueryParameter['team_id'] = teamId;
                                }
                                if (memberId) {
                                    localVarQueryParameter['member_id'] = memberId;
                                }
                                if (gatewayId) {
                                    localVarQueryParameter['gateway_id'] = gatewayId;
                                }
                                if (durationFrom !== undefined) {
                                    localVarQueryParameter['duration.from'] = durationFrom;
                                }
                                if (durationTo !== undefined) {
                                    localVarQueryParameter['duration.to'] = durationTo;
                                }
                                if (skipParent !== undefined) {
                                    localVarQueryParameter['skip_parent'] = skipParent;
                                }
                                if (parentId !== undefined) {
                                    localVarQueryParameter['parent_id'] = parentId;
                                }
                                if (cause) {
                                    localVarQueryParameter['cause'] = cause;
                                }
                                if (existsFile !== undefined) {
                                    localVarQueryParameter['exists_file'] = existsFile;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                if (number !== undefined) {
                                    localVarQueryParameter['number'] = number;
                                }
                                if (direction) {
                                    localVarQueryParameter['direction'] = direction;
                                }
                                if (answeredAtFrom !== undefined) {
                                    localVarQueryParameter['answered_at.from'] = answeredAtFrom;
                                }
                                if (answeredAtTo !== undefined) {
                                    localVarQueryParameter['answered_at.to'] = answeredAtTo;
                                }
                                if (missed !== undefined) {
                                    localVarQueryParameter['missed'] = missed;
                                }
                                if (storedAtFrom !== undefined) {
                                    localVarQueryParameter['stored_at.from'] = storedAtFrom;
                                }
                                if (storedAtTo !== undefined) {
                                    localVarQueryParameter['stored_at.to'] = storedAtTo;
                                }
                                if (supervisorId) {
                                    localVarQueryParameter['supervisor_id'] = supervisorId;
                                }
                                if (state) {
                                    localVarQueryParameter['state'] = state;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of call
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {string} [createdAtFrom]
             * @param {string} [createdAtTo]
             * @param {Array<string>} [userId]
             * @param {Array<string>} [agentId]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [teamId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [gatewayId]
             * @param {string} [durationFrom]
             * @param {string} [durationTo]
             * @param {boolean} [skipParent]
             * @param {string} [parentId]
             * @param {Array<string>} [cause]
             * @param {boolean} [hasFile]
             * @param {string} [domainId]
             * @param {string} [number]
             * @param {string} [direction]
             * @param {string} [answeredAtFrom]
             * @param {string} [answeredAtTo]
             * @param {boolean} [missed]
             * @param {string} [storedAtFrom]
             * @param {string} [storedAtTo]
             * @param {Array<string>} [id]
             * @param {Array<string>} [transferFrom]
             * @param {Array<string>} [transferTo]
             * @param {Array<string>} [dependencyId]
             * @param {Array<string>} [tags]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchHistoryCall: function (page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, hasFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, id, transferFrom, transferTo, dependencyId, tags, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/calls/history";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (createdAtFrom !== undefined) {
                                    localVarQueryParameter['created_at.from'] = createdAtFrom;
                                }
                                if (createdAtTo !== undefined) {
                                    localVarQueryParameter['created_at.to'] = createdAtTo;
                                }
                                if (userId) {
                                    localVarQueryParameter['user_id'] = userId;
                                }
                                if (agentId) {
                                    localVarQueryParameter['agent_id'] = agentId;
                                }
                                if (queueId) {
                                    localVarQueryParameter['queue_id'] = queueId;
                                }
                                if (teamId) {
                                    localVarQueryParameter['team_id'] = teamId;
                                }
                                if (memberId) {
                                    localVarQueryParameter['member_id'] = memberId;
                                }
                                if (gatewayId) {
                                    localVarQueryParameter['gateway_id'] = gatewayId;
                                }
                                if (durationFrom !== undefined) {
                                    localVarQueryParameter['duration.from'] = durationFrom;
                                }
                                if (durationTo !== undefined) {
                                    localVarQueryParameter['duration.to'] = durationTo;
                                }
                                if (skipParent !== undefined) {
                                    localVarQueryParameter['skip_parent'] = skipParent;
                                }
                                if (parentId !== undefined) {
                                    localVarQueryParameter['parent_id'] = parentId;
                                }
                                if (cause) {
                                    localVarQueryParameter['cause'] = cause;
                                }
                                if (hasFile !== undefined) {
                                    localVarQueryParameter['has_file'] = hasFile;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                if (number !== undefined) {
                                    localVarQueryParameter['number'] = number;
                                }
                                if (direction !== undefined) {
                                    localVarQueryParameter['direction'] = direction;
                                }
                                if (answeredAtFrom !== undefined) {
                                    localVarQueryParameter['answered_at.from'] = answeredAtFrom;
                                }
                                if (answeredAtTo !== undefined) {
                                    localVarQueryParameter['answered_at.to'] = answeredAtTo;
                                }
                                if (missed !== undefined) {
                                    localVarQueryParameter['missed'] = missed;
                                }
                                if (storedAtFrom !== undefined) {
                                    localVarQueryParameter['stored_at.from'] = storedAtFrom;
                                }
                                if (storedAtTo !== undefined) {
                                    localVarQueryParameter['stored_at.to'] = storedAtTo;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (transferFrom) {
                                    localVarQueryParameter['transfer_from'] = transferFrom;
                                }
                                if (transferTo) {
                                    localVarQueryParameter['transfer_to'] = transferTo;
                                }
                                if (dependencyId) {
                                    localVarQueryParameter['dependency_id'] = dependencyId;
                                }
                                if (tags) {
                                    localVarQueryParameter['tags'] = tags;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineUserCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            unHoldCall: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling unHoldCall.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling unHoldCall.');
                                }
                                localVarPath = "/calls/active/{id}/unhold".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} callId
             * @param {string} id
             * @param {EngineUpdateCallAnnotationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateCallAnnotation: function (callId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'callId' is not null or undefined
                                if (callId === null || callId === undefined) {
                                    throw new RequiredError('callId', 'Required parameter callId was null or undefined when calling updateCallAnnotation.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateCallAnnotation.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateCallAnnotation.');
                                }
                                localVarPath = "/calls/history/{call_id}/annotation/{id}"
                                    .replace("{" + 'call_id' + "}", encodeURIComponent(String(callId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * CallServiceApi - functional programming interface
     * @export
     */
    var CallServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @param {EngineAggregateHistoryCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            aggregateHistoryCall: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).aggregateHistoryCall(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineBlindTransferCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            blindTransferCall: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).blindTransferCall(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create e call
             * @param {EngineCreateCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCall: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).createCall(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} callId
             * @param {EngineCreateCallAnnotationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCallAnnotation: function (callId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).createCallAnnotation(callId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} callId
             * @param {string} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteCallAnnotation: function (callId, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).deleteCallAnnotation(callId, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineDtmfCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            dtmfCall: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).dtmfCall(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineEavesdropCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            eavesdropCall: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).eavesdropCall(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineHangupCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            hangupCall: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).hangupCall(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineUserCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            holdCall: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).holdCall(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Call item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readCall: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).readCall(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {string} [createdAtFrom]
             * @param {string} [createdAtTo]
             * @param {Array<string>} [userId]
             * @param {Array<string>} [agentId]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [teamId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [gatewayId]
             * @param {string} [durationFrom]
             * @param {string} [durationTo]
             * @param {boolean} [skipParent]
             * @param {string} [parentId]
             * @param {Array<string>} [cause]
             * @param {boolean} [existsFile]
             * @param {string} [domainId]
             * @param {string} [number]
             * @param {Array<string>} [direction]
             * @param {string} [answeredAtFrom]
             * @param {string} [answeredAtTo]
             * @param {boolean} [missed]
             * @param {string} [storedAtFrom]
             * @param {string} [storedAtTo]
             * @param {Array<string>} [supervisorId]
             * @param {Array<string>} [state]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchActiveCall: function (page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, existsFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, supervisorId, state, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).searchActiveCall(page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, existsFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, supervisorId, state, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of call
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {string} [createdAtFrom]
             * @param {string} [createdAtTo]
             * @param {Array<string>} [userId]
             * @param {Array<string>} [agentId]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [teamId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [gatewayId]
             * @param {string} [durationFrom]
             * @param {string} [durationTo]
             * @param {boolean} [skipParent]
             * @param {string} [parentId]
             * @param {Array<string>} [cause]
             * @param {boolean} [hasFile]
             * @param {string} [domainId]
             * @param {string} [number]
             * @param {string} [direction]
             * @param {string} [answeredAtFrom]
             * @param {string} [answeredAtTo]
             * @param {boolean} [missed]
             * @param {string} [storedAtFrom]
             * @param {string} [storedAtTo]
             * @param {Array<string>} [id]
             * @param {Array<string>} [transferFrom]
             * @param {Array<string>} [transferTo]
             * @param {Array<string>} [dependencyId]
             * @param {Array<string>} [tags]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchHistoryCall: function (page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, hasFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, id, transferFrom, transferTo, dependencyId, tags, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).searchHistoryCall(page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, hasFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, id, transferFrom, transferTo, dependencyId, tags, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} id
             * @param {EngineUserCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            unHoldCall: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).unHoldCall(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} callId
             * @param {string} id
             * @param {EngineUpdateCallAnnotationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateCallAnnotation: function (callId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CallServiceApiAxiosParamCreator(configuration).updateCallAnnotation(callId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * CallServiceApi - factory interface
     * @export
     */
    var CallServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @param {EngineAggregateHistoryCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            aggregateHistoryCall: function (body, options) {
                return CallServiceApiFp(configuration)
                    .aggregateHistoryCall(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} id
             * @param {EngineBlindTransferCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            blindTransferCall: function (id, body, options) {
                return CallServiceApiFp(configuration)
                    .blindTransferCall(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Create e call
             * @param {EngineCreateCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCall: function (body, options) {
                return CallServiceApiFp(configuration)
                    .createCall(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} callId
             * @param {EngineCreateCallAnnotationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCallAnnotation: function (callId, body, options) {
                return CallServiceApiFp(configuration)
                    .createCallAnnotation(callId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} callId
             * @param {string} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteCallAnnotation: function (callId, id, options) {
                return CallServiceApiFp(configuration)
                    .deleteCallAnnotation(callId, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} id
             * @param {EngineDtmfCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            dtmfCall: function (id, body, options) {
                return CallServiceApiFp(configuration)
                    .dtmfCall(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} id
             * @param {EngineEavesdropCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            eavesdropCall: function (id, body, options) {
                return CallServiceApiFp(configuration)
                    .eavesdropCall(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} id
             * @param {EngineHangupCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            hangupCall: function (id, body, options) {
                return CallServiceApiFp(configuration)
                    .hangupCall(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} id
             * @param {EngineUserCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            holdCall: function (id, body, options) {
                return CallServiceApiFp(configuration)
                    .holdCall(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Call item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readCall: function (id, domainId, options) {
                return CallServiceApiFp(configuration)
                    .readCall(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {string} [createdAtFrom]
             * @param {string} [createdAtTo]
             * @param {Array<string>} [userId]
             * @param {Array<string>} [agentId]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [teamId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [gatewayId]
             * @param {string} [durationFrom]
             * @param {string} [durationTo]
             * @param {boolean} [skipParent]
             * @param {string} [parentId]
             * @param {Array<string>} [cause]
             * @param {boolean} [existsFile]
             * @param {string} [domainId]
             * @param {string} [number]
             * @param {Array<string>} [direction]
             * @param {string} [answeredAtFrom]
             * @param {string} [answeredAtTo]
             * @param {boolean} [missed]
             * @param {string} [storedAtFrom]
             * @param {string} [storedAtTo]
             * @param {Array<string>} [supervisorId]
             * @param {Array<string>} [state]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchActiveCall: function (page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, existsFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, supervisorId, state, options) {
                return CallServiceApiFp(configuration)
                    .searchActiveCall(page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, existsFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, supervisorId, state, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of call
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {string} [createdAtFrom]
             * @param {string} [createdAtTo]
             * @param {Array<string>} [userId]
             * @param {Array<string>} [agentId]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [teamId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [gatewayId]
             * @param {string} [durationFrom]
             * @param {string} [durationTo]
             * @param {boolean} [skipParent]
             * @param {string} [parentId]
             * @param {Array<string>} [cause]
             * @param {boolean} [hasFile]
             * @param {string} [domainId]
             * @param {string} [number]
             * @param {string} [direction]
             * @param {string} [answeredAtFrom]
             * @param {string} [answeredAtTo]
             * @param {boolean} [missed]
             * @param {string} [storedAtFrom]
             * @param {string} [storedAtTo]
             * @param {Array<string>} [id]
             * @param {Array<string>} [transferFrom]
             * @param {Array<string>} [transferTo]
             * @param {Array<string>} [dependencyId]
             * @param {Array<string>} [tags]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchHistoryCall: function (page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, hasFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, id, transferFrom, transferTo, dependencyId, tags, options) {
                return CallServiceApiFp(configuration)
                    .searchHistoryCall(page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, hasFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, id, transferFrom, transferTo, dependencyId, tags, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} id
             * @param {EngineUserCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            unHoldCall: function (id, body, options) {
                return CallServiceApiFp(configuration)
                    .unHoldCall(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} callId
             * @param {string} id
             * @param {EngineUpdateCallAnnotationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateCallAnnotation: function (callId, id, body, options) {
                return CallServiceApiFp(configuration)
                    .updateCallAnnotation(callId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * CallServiceApi - object-oriented interface
     * @export
     * @class CallServiceApi
     * @extends {BaseAPI}
     */
    var CallServiceApi = /** @class */ (function (_super) {
        tslib.__extends(CallServiceApi, _super);
        function CallServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @param {EngineAggregateHistoryCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.aggregateHistoryCall = function (body, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .aggregateHistoryCall(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} id
         * @param {EngineBlindTransferCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.blindTransferCall = function (id, body, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .blindTransferCall(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Create e call
         * @param {EngineCreateCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.createCall = function (body, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .createCall(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} callId
         * @param {EngineCreateCallAnnotationRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.createCallAnnotation = function (callId, body, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .createCallAnnotation(callId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} callId
         * @param {string} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.deleteCallAnnotation = function (callId, id, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .deleteCallAnnotation(callId, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} id
         * @param {EngineDtmfCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.dtmfCall = function (id, body, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .dtmfCall(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} id
         * @param {EngineEavesdropCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.eavesdropCall = function (id, body, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .eavesdropCall(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} id
         * @param {EngineHangupCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.hangupCall = function (id, body, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .hangupCall(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} id
         * @param {EngineUserCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.holdCall = function (id, body, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .holdCall(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Call item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.readCall = function (id, domainId, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .readCall(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {string} [createdAtFrom]
         * @param {string} [createdAtTo]
         * @param {Array<string>} [userId]
         * @param {Array<string>} [agentId]
         * @param {Array<string>} [queueId]
         * @param {Array<string>} [teamId]
         * @param {Array<string>} [memberId]
         * @param {Array<string>} [gatewayId]
         * @param {string} [durationFrom]
         * @param {string} [durationTo]
         * @param {boolean} [skipParent]
         * @param {string} [parentId]
         * @param {Array<string>} [cause]
         * @param {boolean} [existsFile]
         * @param {string} [domainId]
         * @param {string} [number]
         * @param {Array<string>} [direction]
         * @param {string} [answeredAtFrom]
         * @param {string} [answeredAtTo]
         * @param {boolean} [missed]
         * @param {string} [storedAtFrom]
         * @param {string} [storedAtTo]
         * @param {Array<string>} [supervisorId]
         * @param {Array<string>} [state]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.searchActiveCall = function (page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, existsFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, supervisorId, state, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .searchActiveCall(page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, existsFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, supervisorId, state, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of call
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {string} [createdAtFrom]
         * @param {string} [createdAtTo]
         * @param {Array<string>} [userId]
         * @param {Array<string>} [agentId]
         * @param {Array<string>} [queueId]
         * @param {Array<string>} [teamId]
         * @param {Array<string>} [memberId]
         * @param {Array<string>} [gatewayId]
         * @param {string} [durationFrom]
         * @param {string} [durationTo]
         * @param {boolean} [skipParent]
         * @param {string} [parentId]
         * @param {Array<string>} [cause]
         * @param {boolean} [hasFile]
         * @param {string} [domainId]
         * @param {string} [number]
         * @param {string} [direction]
         * @param {string} [answeredAtFrom]
         * @param {string} [answeredAtTo]
         * @param {boolean} [missed]
         * @param {string} [storedAtFrom]
         * @param {string} [storedAtTo]
         * @param {Array<string>} [id]
         * @param {Array<string>} [transferFrom]
         * @param {Array<string>} [transferTo]
         * @param {Array<string>} [dependencyId]
         * @param {Array<string>} [tags]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.searchHistoryCall = function (page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, hasFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, id, transferFrom, transferTo, dependencyId, tags, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .searchHistoryCall(page, size, q, sort, fields, createdAtFrom, createdAtTo, userId, agentId, queueId, teamId, memberId, gatewayId, durationFrom, durationTo, skipParent, parentId, cause, hasFile, domainId, number, direction, answeredAtFrom, answeredAtTo, missed, storedAtFrom, storedAtTo, id, transferFrom, transferTo, dependencyId, tags, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} id
         * @param {EngineUserCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.unHoldCall = function (id, body, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .unHoldCall(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} callId
         * @param {string} id
         * @param {EngineUpdateCallAnnotationRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CallServiceApi
         */
        CallServiceApi.prototype.updateCallAnnotation = function (callId, id, body, options) {
            var _this = this;
            return CallServiceApiFp(this.configuration)
                .updateCallAnnotation(callId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return CallServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * CommunicationTypeServiceApi - axios parameter creator
     * @export
     */
    var CommunicationTypeServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create CommunicationType
             * @param {EngineCommunicationTypeRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCommunicationType: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createCommunicationType.');
                                }
                                localVarPath = "/call_center/communication_type";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove CommunicationType
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteCommunicationType: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteCommunicationType.');
                                }
                                localVarPath = "/call_center/communication_type/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary CommunicationType item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readCommunicationType: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readCommunicationType.');
                                }
                                localVarPath = "/call_center/communication_type/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of CommunicationType
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchCommunicationType: function (page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/communication_type";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update CommunicationType
             * @param {string} id
             * @param {EngineUpdateCommunicationTypeRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateCommunicationType: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateCommunicationType.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateCommunicationType.');
                                }
                                localVarPath = "/call_center/communication_type/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * CommunicationTypeServiceApi - functional programming interface
     * @export
     */
    var CommunicationTypeServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create CommunicationType
             * @param {EngineCommunicationTypeRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCommunicationType: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CommunicationTypeServiceApiAxiosParamCreator(configuration).createCommunicationType(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove CommunicationType
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteCommunicationType: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CommunicationTypeServiceApiAxiosParamCreator(configuration).deleteCommunicationType(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary CommunicationType item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readCommunicationType: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CommunicationTypeServiceApiAxiosParamCreator(configuration).readCommunicationType(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of CommunicationType
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchCommunicationType: function (page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CommunicationTypeServiceApiAxiosParamCreator(configuration).searchCommunicationType(page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update CommunicationType
             * @param {string} id
             * @param {EngineUpdateCommunicationTypeRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateCommunicationType: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, CommunicationTypeServiceApiAxiosParamCreator(configuration).updateCommunicationType(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * CommunicationTypeServiceApi - factory interface
     * @export
     */
    var CommunicationTypeServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create CommunicationType
             * @param {EngineCommunicationTypeRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createCommunicationType: function (body, options) {
                return CommunicationTypeServiceApiFp(configuration)
                    .createCommunicationType(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove CommunicationType
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteCommunicationType: function (id, domainId, options) {
                return CommunicationTypeServiceApiFp(configuration)
                    .deleteCommunicationType(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary CommunicationType item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readCommunicationType: function (id, domainId, options) {
                return CommunicationTypeServiceApiFp(configuration)
                    .readCommunicationType(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of CommunicationType
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchCommunicationType: function (page, size, q, sort, fields, id, options) {
                return CommunicationTypeServiceApiFp(configuration)
                    .searchCommunicationType(page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update CommunicationType
             * @param {string} id
             * @param {EngineUpdateCommunicationTypeRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateCommunicationType: function (id, body, options) {
                return CommunicationTypeServiceApiFp(configuration)
                    .updateCommunicationType(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * CommunicationTypeServiceApi - object-oriented interface
     * @export
     * @class CommunicationTypeServiceApi
     * @extends {BaseAPI}
     */
    var CommunicationTypeServiceApi = /** @class */ (function (_super) {
        tslib.__extends(CommunicationTypeServiceApi, _super);
        function CommunicationTypeServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create CommunicationType
         * @param {EngineCommunicationTypeRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CommunicationTypeServiceApi
         */
        CommunicationTypeServiceApi.prototype.createCommunicationType = function (body, options) {
            var _this = this;
            return CommunicationTypeServiceApiFp(this.configuration)
                .createCommunicationType(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove CommunicationType
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CommunicationTypeServiceApi
         */
        CommunicationTypeServiceApi.prototype.deleteCommunicationType = function (id, domainId, options) {
            var _this = this;
            return CommunicationTypeServiceApiFp(this.configuration)
                .deleteCommunicationType(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary CommunicationType item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CommunicationTypeServiceApi
         */
        CommunicationTypeServiceApi.prototype.readCommunicationType = function (id, domainId, options) {
            var _this = this;
            return CommunicationTypeServiceApiFp(this.configuration)
                .readCommunicationType(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of CommunicationType
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CommunicationTypeServiceApi
         */
        CommunicationTypeServiceApi.prototype.searchCommunicationType = function (page, size, q, sort, fields, id, options) {
            var _this = this;
            return CommunicationTypeServiceApiFp(this.configuration)
                .searchCommunicationType(page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update CommunicationType
         * @param {string} id
         * @param {EngineUpdateCommunicationTypeRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof CommunicationTypeServiceApi
         */
        CommunicationTypeServiceApi.prototype.updateCommunicationType = function (id, body, options) {
            var _this = this;
            return CommunicationTypeServiceApiFp(this.configuration)
                .updateCommunicationType(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return CommunicationTypeServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * EmailProfileServiceApi - axios parameter creator
     * @export
     */
    var EmailProfileServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create EmailProfile
             * @param {EngineCreateEmailProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createEmailProfile: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createEmailProfile.');
                                }
                                localVarPath = "/email/profile";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove EmailProfile
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteEmailProfile: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteEmailProfile.');
                                }
                                localVarPath = "/email/profile/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary EmailProfile item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readEmailProfile: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readEmailProfile.');
                                }
                                localVarPath = "/email/profile/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Search EmailProfile
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchEmailProfile: function (page, size, q, sort, fields, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/email/profile";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update EmailProfile
             * @param {string} id
             * @param {EngineUpdateEmailProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateEmailProfile: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateEmailProfile.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateEmailProfile.');
                                }
                                localVarPath = "/email/profile/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * EmailProfileServiceApi - functional programming interface
     * @export
     */
    var EmailProfileServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create EmailProfile
             * @param {EngineCreateEmailProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createEmailProfile: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, EmailProfileServiceApiAxiosParamCreator(configuration).createEmailProfile(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove EmailProfile
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteEmailProfile: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, EmailProfileServiceApiAxiosParamCreator(configuration).deleteEmailProfile(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary EmailProfile item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readEmailProfile: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, EmailProfileServiceApiAxiosParamCreator(configuration).readEmailProfile(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Search EmailProfile
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchEmailProfile: function (page, size, q, sort, fields, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, EmailProfileServiceApiAxiosParamCreator(configuration).searchEmailProfile(page, size, q, sort, fields, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update EmailProfile
             * @param {string} id
             * @param {EngineUpdateEmailProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateEmailProfile: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, EmailProfileServiceApiAxiosParamCreator(configuration).updateEmailProfile(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * EmailProfileServiceApi - factory interface
     * @export
     */
    var EmailProfileServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create EmailProfile
             * @param {EngineCreateEmailProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createEmailProfile: function (body, options) {
                return EmailProfileServiceApiFp(configuration)
                    .createEmailProfile(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove EmailProfile
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteEmailProfile: function (id, domainId, options) {
                return EmailProfileServiceApiFp(configuration)
                    .deleteEmailProfile(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary EmailProfile item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readEmailProfile: function (id, domainId, options) {
                return EmailProfileServiceApiFp(configuration)
                    .readEmailProfile(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Search EmailProfile
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchEmailProfile: function (page, size, q, sort, fields, domainId, options) {
                return EmailProfileServiceApiFp(configuration)
                    .searchEmailProfile(page, size, q, sort, fields, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update EmailProfile
             * @param {string} id
             * @param {EngineUpdateEmailProfileRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateEmailProfile: function (id, body, options) {
                return EmailProfileServiceApiFp(configuration)
                    .updateEmailProfile(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * EmailProfileServiceApi - object-oriented interface
     * @export
     * @class EmailProfileServiceApi
     * @extends {BaseAPI}
     */
    var EmailProfileServiceApi = /** @class */ (function (_super) {
        tslib.__extends(EmailProfileServiceApi, _super);
        function EmailProfileServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create EmailProfile
         * @param {EngineCreateEmailProfileRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof EmailProfileServiceApi
         */
        EmailProfileServiceApi.prototype.createEmailProfile = function (body, options) {
            var _this = this;
            return EmailProfileServiceApiFp(this.configuration)
                .createEmailProfile(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove EmailProfile
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof EmailProfileServiceApi
         */
        EmailProfileServiceApi.prototype.deleteEmailProfile = function (id, domainId, options) {
            var _this = this;
            return EmailProfileServiceApiFp(this.configuration)
                .deleteEmailProfile(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary EmailProfile item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof EmailProfileServiceApi
         */
        EmailProfileServiceApi.prototype.readEmailProfile = function (id, domainId, options) {
            var _this = this;
            return EmailProfileServiceApiFp(this.configuration)
                .readEmailProfile(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Search EmailProfile
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof EmailProfileServiceApi
         */
        EmailProfileServiceApi.prototype.searchEmailProfile = function (page, size, q, sort, fields, domainId, options) {
            var _this = this;
            return EmailProfileServiceApiFp(this.configuration)
                .searchEmailProfile(page, size, q, sort, fields, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update EmailProfile
         * @param {string} id
         * @param {EngineUpdateEmailProfileRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof EmailProfileServiceApi
         */
        EmailProfileServiceApi.prototype.updateEmailProfile = function (id, body, options) {
            var _this = this;
            return EmailProfileServiceApiFp(this.configuration)
                .updateEmailProfile(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return EmailProfileServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * ListServiceApi - axios parameter creator
     * @export
     */
    var ListServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create List
             * @param {EngineCreateListRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createList: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createList.');
                                }
                                localVarPath = "/call_center/list";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create ListCommunication
             * @param {string} listId
             * @param {EngineCreateListCommunicationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createListCommunication: function (listId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'listId' is not null or undefined
                                if (listId === null || listId === undefined) {
                                    throw new RequiredError('listId', 'Required parameter listId was null or undefined when calling createListCommunication.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createListCommunication.');
                                }
                                localVarPath = "/call_center/list/{list_id}/communication".replace("{" + 'list_id' + "}", encodeURIComponent(String(listId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove list
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteList: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteList.');
                                }
                                localVarPath = "/call_center/list/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove ListCommunication
             * @param {string} listId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteListCommunication: function (listId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'listId' is not null or undefined
                                if (listId === null || listId === undefined) {
                                    throw new RequiredError('listId', 'Required parameter listId was null or undefined when calling deleteListCommunication.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteListCommunication.');
                                }
                                localVarPath = "/call_center/list/{list_id}/communication/{id}"
                                    .replace("{" + 'list_id' + "}", encodeURIComponent(String(listId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readList: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readList.');
                                }
                                localVarPath = "/call_center/list/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List item
             * @param {string} listId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readListCommunication: function (listId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'listId' is not null or undefined
                                if (listId === null || listId === undefined) {
                                    throw new RequiredError('listId', 'Required parameter listId was null or undefined when calling readListCommunication.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readListCommunication.');
                                }
                                localVarPath = "/call_center/list/{list_id}/communication/{id}"
                                    .replace("{" + 'list_id' + "}", encodeURIComponent(String(listId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of List
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchList: function (page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/list";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of List
             * @param {string} listId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchListCommunication: function (listId, page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'listId' is not null or undefined
                                if (listId === null || listId === undefined) {
                                    throw new RequiredError('listId', 'Required parameter listId was null or undefined when calling searchListCommunication.');
                                }
                                localVarPath = "/call_center/list/{list_id}/communication".replace("{" + 'list_id' + "}", encodeURIComponent(String(listId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update list
             * @param {string} id
             * @param {EngineUpdateListRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateList: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateList.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateList.');
                                }
                                localVarPath = "/call_center/list/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update ListCommunication
             * @param {string} listId
             * @param {string} id
             * @param {EngineUpdateListCommunicationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateListCommunication: function (listId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'listId' is not null or undefined
                                if (listId === null || listId === undefined) {
                                    throw new RequiredError('listId', 'Required parameter listId was null or undefined when calling updateListCommunication.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateListCommunication.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateListCommunication.');
                                }
                                localVarPath = "/call_center/list/{list_id}/communication/{id}"
                                    .replace("{" + 'list_id' + "}", encodeURIComponent(String(listId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * ListServiceApi - functional programming interface
     * @export
     */
    var ListServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create List
             * @param {EngineCreateListRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createList: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, ListServiceApiAxiosParamCreator(configuration).createList(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create ListCommunication
             * @param {string} listId
             * @param {EngineCreateListCommunicationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createListCommunication: function (listId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, ListServiceApiAxiosParamCreator(configuration).createListCommunication(listId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove list
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteList: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, ListServiceApiAxiosParamCreator(configuration).deleteList(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove ListCommunication
             * @param {string} listId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteListCommunication: function (listId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, ListServiceApiAxiosParamCreator(configuration).deleteListCommunication(listId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readList: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, ListServiceApiAxiosParamCreator(configuration).readList(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List item
             * @param {string} listId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readListCommunication: function (listId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, ListServiceApiAxiosParamCreator(configuration).readListCommunication(listId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of List
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchList: function (page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, ListServiceApiAxiosParamCreator(configuration).searchList(page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of List
             * @param {string} listId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchListCommunication: function (listId, page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, ListServiceApiAxiosParamCreator(configuration).searchListCommunication(listId, page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update list
             * @param {string} id
             * @param {EngineUpdateListRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateList: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, ListServiceApiAxiosParamCreator(configuration).updateList(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update ListCommunication
             * @param {string} listId
             * @param {string} id
             * @param {EngineUpdateListCommunicationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateListCommunication: function (listId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, ListServiceApiAxiosParamCreator(configuration).updateListCommunication(listId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * ListServiceApi - factory interface
     * @export
     */
    var ListServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create List
             * @param {EngineCreateListRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createList: function (body, options) {
                return ListServiceApiFp(configuration)
                    .createList(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Create ListCommunication
             * @param {string} listId
             * @param {EngineCreateListCommunicationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createListCommunication: function (listId, body, options) {
                return ListServiceApiFp(configuration)
                    .createListCommunication(listId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove list
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteList: function (id, domainId, options) {
                return ListServiceApiFp(configuration)
                    .deleteList(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove ListCommunication
             * @param {string} listId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteListCommunication: function (listId, id, domainId, options) {
                return ListServiceApiFp(configuration)
                    .deleteListCommunication(listId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readList: function (id, domainId, options) {
                return ListServiceApiFp(configuration)
                    .readList(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List item
             * @param {string} listId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readListCommunication: function (listId, id, domainId, options) {
                return ListServiceApiFp(configuration)
                    .readListCommunication(listId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of List
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchList: function (page, size, q, sort, fields, id, options) {
                return ListServiceApiFp(configuration)
                    .searchList(page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of List
             * @param {string} listId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchListCommunication: function (listId, page, size, q, sort, fields, id, options) {
                return ListServiceApiFp(configuration)
                    .searchListCommunication(listId, page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update list
             * @param {string} id
             * @param {EngineUpdateListRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateList: function (id, body, options) {
                return ListServiceApiFp(configuration)
                    .updateList(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update ListCommunication
             * @param {string} listId
             * @param {string} id
             * @param {EngineUpdateListCommunicationRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateListCommunication: function (listId, id, body, options) {
                return ListServiceApiFp(configuration)
                    .updateListCommunication(listId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * ListServiceApi - object-oriented interface
     * @export
     * @class ListServiceApi
     * @extends {BaseAPI}
     */
    var ListServiceApi = /** @class */ (function (_super) {
        tslib.__extends(ListServiceApi, _super);
        function ListServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create List
         * @param {EngineCreateListRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof ListServiceApi
         */
        ListServiceApi.prototype.createList = function (body, options) {
            var _this = this;
            return ListServiceApiFp(this.configuration)
                .createList(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Create ListCommunication
         * @param {string} listId
         * @param {EngineCreateListCommunicationRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof ListServiceApi
         */
        ListServiceApi.prototype.createListCommunication = function (listId, body, options) {
            var _this = this;
            return ListServiceApiFp(this.configuration)
                .createListCommunication(listId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove list
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof ListServiceApi
         */
        ListServiceApi.prototype.deleteList = function (id, domainId, options) {
            var _this = this;
            return ListServiceApiFp(this.configuration)
                .deleteList(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove ListCommunication
         * @param {string} listId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof ListServiceApi
         */
        ListServiceApi.prototype.deleteListCommunication = function (listId, id, domainId, options) {
            var _this = this;
            return ListServiceApiFp(this.configuration)
                .deleteListCommunication(listId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof ListServiceApi
         */
        ListServiceApi.prototype.readList = function (id, domainId, options) {
            var _this = this;
            return ListServiceApiFp(this.configuration)
                .readList(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List item
         * @param {string} listId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof ListServiceApi
         */
        ListServiceApi.prototype.readListCommunication = function (listId, id, domainId, options) {
            var _this = this;
            return ListServiceApiFp(this.configuration)
                .readListCommunication(listId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of List
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof ListServiceApi
         */
        ListServiceApi.prototype.searchList = function (page, size, q, sort, fields, id, options) {
            var _this = this;
            return ListServiceApiFp(this.configuration)
                .searchList(page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of List
         * @param {string} listId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof ListServiceApi
         */
        ListServiceApi.prototype.searchListCommunication = function (listId, page, size, q, sort, fields, id, options) {
            var _this = this;
            return ListServiceApiFp(this.configuration)
                .searchListCommunication(listId, page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update list
         * @param {string} id
         * @param {EngineUpdateListRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof ListServiceApi
         */
        ListServiceApi.prototype.updateList = function (id, body, options) {
            var _this = this;
            return ListServiceApiFp(this.configuration)
                .updateList(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update ListCommunication
         * @param {string} listId
         * @param {string} id
         * @param {EngineUpdateListCommunicationRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof ListServiceApi
         */
        ListServiceApi.prototype.updateListCommunication = function (listId, id, body, options) {
            var _this = this;
            return ListServiceApiFp(this.configuration)
                .updateListCommunication(listId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return ListServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * MediaFileServiceApi - axios parameter creator
     * @export
     */
    var MediaFileServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Remove MediaFile
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteMediaFile: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteMediaFile.');
                                }
                                localVarPath = "/storage/media/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary MediaFile item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readMediaFile: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readMediaFile.');
                                }
                                localVarPath = "/storage/media/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Search MediaFile
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMediaFile: function (page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/storage/media";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * MediaFileServiceApi - functional programming interface
     * @export
     */
    var MediaFileServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Remove MediaFile
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteMediaFile: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MediaFileServiceApiAxiosParamCreator(configuration).deleteMediaFile(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary MediaFile item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readMediaFile: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MediaFileServiceApiAxiosParamCreator(configuration).readMediaFile(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Search MediaFile
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMediaFile: function (page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MediaFileServiceApiAxiosParamCreator(configuration).searchMediaFile(page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * MediaFileServiceApi - factory interface
     * @export
     */
    var MediaFileServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Remove MediaFile
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteMediaFile: function (id, domainId, options) {
                return MediaFileServiceApiFp(configuration)
                    .deleteMediaFile(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary MediaFile item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readMediaFile: function (id, domainId, options) {
                return MediaFileServiceApiFp(configuration)
                    .readMediaFile(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Search MediaFile
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMediaFile: function (page, size, q, sort, fields, id, options) {
                return MediaFileServiceApiFp(configuration)
                    .searchMediaFile(page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * MediaFileServiceApi - object-oriented interface
     * @export
     * @class MediaFileServiceApi
     * @extends {BaseAPI}
     */
    var MediaFileServiceApi = /** @class */ (function (_super) {
        tslib.__extends(MediaFileServiceApi, _super);
        function MediaFileServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Remove MediaFile
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MediaFileServiceApi
         */
        MediaFileServiceApi.prototype.deleteMediaFile = function (id, domainId, options) {
            var _this = this;
            return MediaFileServiceApiFp(this.configuration)
                .deleteMediaFile(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary MediaFile item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MediaFileServiceApi
         */
        MediaFileServiceApi.prototype.readMediaFile = function (id, domainId, options) {
            var _this = this;
            return MediaFileServiceApiFp(this.configuration)
                .readMediaFile(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Search MediaFile
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MediaFileServiceApi
         */
        MediaFileServiceApi.prototype.searchMediaFile = function (page, size, q, sort, fields, id, options) {
            var _this = this;
            return MediaFileServiceApiFp(this.configuration)
                .searchMediaFile(page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return MediaFileServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * MemberServiceApi - axios parameter creator
     * @export
     */
    var MemberServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @param {string} attemptId
             * @param {EngineAttemptCallbackRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            attemptCallback: function (attemptId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'attemptId' is not null or undefined
                                if (attemptId === null || attemptId === undefined) {
                                    throw new RequiredError('attemptId', 'Required parameter attemptId was null or undefined when calling attemptCallback.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling attemptCallback.');
                                }
                                localVarPath = "/call_center/attempts/{attempt_id}".replace("{" + 'attempt_id' + "}", encodeURIComponent(String(attemptId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {string} memberId
             * @param {string} attemptId
             * @param {EngineAttemptResultRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            attemptResult: function (queueId, memberId, attemptId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling attemptResult.');
                                }
                                // verify required parameter 'memberId' is not null or undefined
                                if (memberId === null || memberId === undefined) {
                                    throw new RequiredError('memberId', 'Required parameter memberId was null or undefined when calling attemptResult.');
                                }
                                // verify required parameter 'attemptId' is not null or undefined
                                if (attemptId === null || attemptId === undefined) {
                                    throw new RequiredError('attemptId', 'Required parameter attemptId was null or undefined when calling attemptResult.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling attemptResult.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members/{member_id}/attempts/{attempt_id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'member_id' + "}", encodeURIComponent(String(memberId)))
                                    .replace("{" + 'attempt_id' + "}", encodeURIComponent(String(attemptId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} attemptId
             * @param {EngineAttemptRenewalResultRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            attemptsRenewalResult: function (attemptId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'attemptId' is not null or undefined
                                if (attemptId === null || attemptId === undefined) {
                                    throw new RequiredError('attemptId', 'Required parameter attemptId was null or undefined when calling attemptsRenewalResult.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling attemptsRenewalResult.');
                                }
                                localVarPath = "/call_center/queues/attempts/{attempt_id}/renewal".replace("{" + 'attempt_id' + "}", encodeURIComponent(String(attemptId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Offline queue
             * @param {string} queueId
             * @param {string} memberId
             * @param {EngineCreateAttemptRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAttempt: function (queueId, memberId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createAttempt.');
                                }
                                // verify required parameter 'memberId' is not null or undefined
                                if (memberId === null || memberId === undefined) {
                                    throw new RequiredError('memberId', 'Required parameter memberId was null or undefined when calling createAttempt.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createAttempt.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members/{member_id}/attempts"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'member_id' + "}", encodeURIComponent(String(memberId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create Member
             * @param {string} queueId
             * @param {EngineCreateMemberRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createMember: function (queueId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createMember.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createMember.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create Member
             * @param {string} queueId
             * @param {EngineCreateMemberBulkRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createMemberBulk: function (queueId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createMemberBulk.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createMemberBulk.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members/bulk".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary DeleteMember
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteMember: function (queueId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling deleteMember.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteMember.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary DeleteMembers
             * @param {string} queueId
             * @param {EngineDeleteMembersRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteMembers: function (queueId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling deleteMembers.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling deleteMembers.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch Member
             * @param {string} queueId
             * @param {string} id
             * @param {EnginePatchMemberRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchMember: function (queueId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling patchMember.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchMember.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchMember.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary ReadQueueRouting
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readMember: function (queueId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling readMember.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readMember.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary ResetMembers
             * @param {string} queueId
             * @param {EngineResetMembersRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            resetMembers: function (queueId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling resetMembers.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling resetMembers.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members/reset".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchAttempts
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {Array<string>} [id]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [bucketId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [agentId]
             * @param {string} [result]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAttempts: function (page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/queues/attempts/active";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (joinedAtFrom !== undefined) {
                                    localVarQueryParameter['joined_at.from'] = joinedAtFrom;
                                }
                                if (joinedAtTo !== undefined) {
                                    localVarQueryParameter['joined_at.to'] = joinedAtTo;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (queueId) {
                                    localVarQueryParameter['queue_id'] = queueId;
                                }
                                if (bucketId) {
                                    localVarQueryParameter['bucket_id'] = bucketId;
                                }
                                if (memberId) {
                                    localVarQueryParameter['member_id'] = memberId;
                                }
                                if (agentId) {
                                    localVarQueryParameter['agent_id'] = agentId;
                                }
                                if (result !== undefined) {
                                    localVarQueryParameter['result'] = result;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchMemberAttempts
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {Array<string>} [id]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [bucketId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [agentId]
             * @param {string} [result]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAttemptsHistory: function (page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/queues/attempts/history";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (joinedAtFrom !== undefined) {
                                    localVarQueryParameter['joined_at.from'] = joinedAtFrom;
                                }
                                if (joinedAtTo !== undefined) {
                                    localVarQueryParameter['joined_at.to'] = joinedAtTo;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (queueId) {
                                    localVarQueryParameter['queue_id'] = queueId;
                                }
                                if (bucketId) {
                                    localVarQueryParameter['bucket_id'] = bucketId;
                                }
                                if (memberId) {
                                    localVarQueryParameter['member_id'] = memberId;
                                }
                                if (agentId) {
                                    localVarQueryParameter['agent_id'] = agentId;
                                }
                                if (result !== undefined) {
                                    localVarQueryParameter['result'] = result;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchMemberAttempts
             * @param {string} queueId
             * @param {string} memberId
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMemberAttempts: function (queueId, memberId, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling searchMemberAttempts.');
                                }
                                // verify required parameter 'memberId' is not null or undefined
                                if (memberId === null || memberId === undefined) {
                                    throw new RequiredError('memberId', 'Required parameter memberId was null or undefined when calling searchMemberAttempts.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members/{member_id}/attempts"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'member_id' + "}", encodeURIComponent(String(memberId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of Member
             * @param {string} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMemberInQueue: function (queueId, page, size, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling searchMemberInQueue.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Search of Member
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [id]
             * @param {string} [queueId]
             * @param {number} [bucketId]
             * @param {string} [destination]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMembers: function (page, size, id, queueId, bucketId, destination, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/members";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (id !== undefined) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (queueId !== undefined) {
                                    localVarQueryParameter['queue_id'] = queueId;
                                }
                                if (bucketId !== undefined) {
                                    localVarQueryParameter['bucket_id'] = bucketId;
                                }
                                if (destination !== undefined) {
                                    localVarQueryParameter['destination'] = destination;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary UpdateMember
             * @param {string} queueId
             * @param {string} id
             * @param {EngineUpdateMemberRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateMember: function (queueId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling updateMember.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateMember.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateMember.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/members/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * MemberServiceApi - functional programming interface
     * @export
     */
    var MemberServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @param {string} attemptId
             * @param {EngineAttemptCallbackRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            attemptCallback: function (attemptId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).attemptCallback(attemptId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {string} memberId
             * @param {string} attemptId
             * @param {EngineAttemptResultRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            attemptResult: function (queueId, memberId, attemptId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).attemptResult(queueId, memberId, attemptId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {string} attemptId
             * @param {EngineAttemptRenewalResultRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            attemptsRenewalResult: function (attemptId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).attemptsRenewalResult(attemptId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Offline queue
             * @param {string} queueId
             * @param {string} memberId
             * @param {EngineCreateAttemptRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAttempt: function (queueId, memberId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).createAttempt(queueId, memberId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create Member
             * @param {string} queueId
             * @param {EngineCreateMemberRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createMember: function (queueId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).createMember(queueId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create Member
             * @param {string} queueId
             * @param {EngineCreateMemberBulkRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createMemberBulk: function (queueId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).createMemberBulk(queueId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary DeleteMember
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteMember: function (queueId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).deleteMember(queueId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary DeleteMembers
             * @param {string} queueId
             * @param {EngineDeleteMembersRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteMembers: function (queueId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).deleteMembers(queueId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch Member
             * @param {string} queueId
             * @param {string} id
             * @param {EnginePatchMemberRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchMember: function (queueId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).patchMember(queueId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary ReadQueueRouting
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readMember: function (queueId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).readMember(queueId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary ResetMembers
             * @param {string} queueId
             * @param {EngineResetMembersRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            resetMembers: function (queueId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).resetMembers(queueId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchAttempts
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {Array<string>} [id]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [bucketId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [agentId]
             * @param {string} [result]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAttempts: function (page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).searchAttempts(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchMemberAttempts
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {Array<string>} [id]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [bucketId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [agentId]
             * @param {string} [result]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAttemptsHistory: function (page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).searchAttemptsHistory(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchMemberAttempts
             * @param {string} queueId
             * @param {string} memberId
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMemberAttempts: function (queueId, memberId, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).searchMemberAttempts(queueId, memberId, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of Member
             * @param {string} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMemberInQueue: function (queueId, page, size, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).searchMemberInQueue(queueId, page, size, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Search of Member
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [id]
             * @param {string} [queueId]
             * @param {number} [bucketId]
             * @param {string} [destination]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMembers: function (page, size, id, queueId, bucketId, destination, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).searchMembers(page, size, id, queueId, bucketId, destination, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary UpdateMember
             * @param {string} queueId
             * @param {string} id
             * @param {EngineUpdateMemberRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateMember: function (queueId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, MemberServiceApiAxiosParamCreator(configuration).updateMember(queueId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * MemberServiceApi - factory interface
     * @export
     */
    var MemberServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @param {string} attemptId
             * @param {EngineAttemptCallbackRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            attemptCallback: function (attemptId, body, options) {
                return MemberServiceApiFp(configuration)
                    .attemptCallback(attemptId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {string} memberId
             * @param {string} attemptId
             * @param {EngineAttemptResultRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            attemptResult: function (queueId, memberId, attemptId, body, options) {
                return MemberServiceApiFp(configuration)
                    .attemptResult(queueId, memberId, attemptId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {string} attemptId
             * @param {EngineAttemptRenewalResultRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            attemptsRenewalResult: function (attemptId, body, options) {
                return MemberServiceApiFp(configuration)
                    .attemptsRenewalResult(attemptId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Offline queue
             * @param {string} queueId
             * @param {string} memberId
             * @param {EngineCreateAttemptRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createAttempt: function (queueId, memberId, body, options) {
                return MemberServiceApiFp(configuration)
                    .createAttempt(queueId, memberId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Create Member
             * @param {string} queueId
             * @param {EngineCreateMemberRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createMember: function (queueId, body, options) {
                return MemberServiceApiFp(configuration)
                    .createMember(queueId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Create Member
             * @param {string} queueId
             * @param {EngineCreateMemberBulkRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createMemberBulk: function (queueId, body, options) {
                return MemberServiceApiFp(configuration)
                    .createMemberBulk(queueId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary DeleteMember
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteMember: function (queueId, id, domainId, options) {
                return MemberServiceApiFp(configuration)
                    .deleteMember(queueId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary DeleteMembers
             * @param {string} queueId
             * @param {EngineDeleteMembersRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteMembers: function (queueId, body, options) {
                return MemberServiceApiFp(configuration)
                    .deleteMembers(queueId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Patch Member
             * @param {string} queueId
             * @param {string} id
             * @param {EnginePatchMemberRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchMember: function (queueId, id, body, options) {
                return MemberServiceApiFp(configuration)
                    .patchMember(queueId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary ReadQueueRouting
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readMember: function (queueId, id, domainId, options) {
                return MemberServiceApiFp(configuration)
                    .readMember(queueId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary ResetMembers
             * @param {string} queueId
             * @param {EngineResetMembersRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            resetMembers: function (queueId, body, options) {
                return MemberServiceApiFp(configuration)
                    .resetMembers(queueId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary SearchAttempts
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {Array<string>} [id]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [bucketId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [agentId]
             * @param {string} [result]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAttempts: function (page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
                return MemberServiceApiFp(configuration)
                    .searchAttempts(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary SearchMemberAttempts
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {Array<string>} [id]
             * @param {Array<string>} [queueId]
             * @param {Array<string>} [bucketId]
             * @param {Array<string>} [memberId]
             * @param {Array<string>} [agentId]
             * @param {string} [result]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchAttemptsHistory: function (page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
                return MemberServiceApiFp(configuration)
                    .searchAttemptsHistory(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary SearchMemberAttempts
             * @param {string} queueId
             * @param {string} memberId
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMemberAttempts: function (queueId, memberId, domainId, options) {
                return MemberServiceApiFp(configuration)
                    .searchMemberAttempts(queueId, memberId, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of Member
             * @param {string} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMemberInQueue: function (queueId, page, size, domainId, options) {
                return MemberServiceApiFp(configuration)
                    .searchMemberInQueue(queueId, page, size, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Search of Member
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [id]
             * @param {string} [queueId]
             * @param {number} [bucketId]
             * @param {string} [destination]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchMembers: function (page, size, id, queueId, bucketId, destination, domainId, options) {
                return MemberServiceApiFp(configuration)
                    .searchMembers(page, size, id, queueId, bucketId, destination, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary UpdateMember
             * @param {string} queueId
             * @param {string} id
             * @param {EngineUpdateMemberRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateMember: function (queueId, id, body, options) {
                return MemberServiceApiFp(configuration)
                    .updateMember(queueId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * MemberServiceApi - object-oriented interface
     * @export
     * @class MemberServiceApi
     * @extends {BaseAPI}
     */
    var MemberServiceApi = /** @class */ (function (_super) {
        tslib.__extends(MemberServiceApi, _super);
        function MemberServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @param {string} attemptId
         * @param {EngineAttemptCallbackRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.attemptCallback = function (attemptId, body, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .attemptCallback(attemptId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {string} memberId
         * @param {string} attemptId
         * @param {EngineAttemptResultRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.attemptResult = function (queueId, memberId, attemptId, body, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .attemptResult(queueId, memberId, attemptId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {string} attemptId
         * @param {EngineAttemptRenewalResultRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.attemptsRenewalResult = function (attemptId, body, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .attemptsRenewalResult(attemptId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Offline queue
         * @param {string} queueId
         * @param {string} memberId
         * @param {EngineCreateAttemptRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.createAttempt = function (queueId, memberId, body, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .createAttempt(queueId, memberId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Create Member
         * @param {string} queueId
         * @param {EngineCreateMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.createMember = function (queueId, body, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .createMember(queueId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Create Member
         * @param {string} queueId
         * @param {EngineCreateMemberBulkRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.createMemberBulk = function (queueId, body, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .createMemberBulk(queueId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary DeleteMember
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.deleteMember = function (queueId, id, domainId, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .deleteMember(queueId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary DeleteMembers
         * @param {string} queueId
         * @param {EngineDeleteMembersRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.deleteMembers = function (queueId, body, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .deleteMembers(queueId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Patch Member
         * @param {string} queueId
         * @param {string} id
         * @param {EnginePatchMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.patchMember = function (queueId, id, body, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .patchMember(queueId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary ReadQueueRouting
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.readMember = function (queueId, id, domainId, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .readMember(queueId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary ResetMembers
         * @param {string} queueId
         * @param {EngineResetMembersRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.resetMembers = function (queueId, body, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .resetMembers(queueId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary SearchAttempts
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [joinedAtFrom]
         * @param {string} [joinedAtTo]
         * @param {Array<string>} [id]
         * @param {Array<string>} [queueId]
         * @param {Array<string>} [bucketId]
         * @param {Array<string>} [memberId]
         * @param {Array<string>} [agentId]
         * @param {string} [result]
         * @param {Array<string>} [fields]
         * @param {string} [sort]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.searchAttempts = function (page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .searchAttempts(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary SearchMemberAttempts
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [joinedAtFrom]
         * @param {string} [joinedAtTo]
         * @param {Array<string>} [id]
         * @param {Array<string>} [queueId]
         * @param {Array<string>} [bucketId]
         * @param {Array<string>} [memberId]
         * @param {Array<string>} [agentId]
         * @param {string} [result]
         * @param {Array<string>} [fields]
         * @param {string} [sort]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.searchAttemptsHistory = function (page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .searchAttemptsHistory(page, size, joinedAtFrom, joinedAtTo, id, queueId, bucketId, memberId, agentId, result, fields, sort, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary SearchMemberAttempts
         * @param {string} queueId
         * @param {string} memberId
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.searchMemberAttempts = function (queueId, memberId, domainId, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .searchMemberAttempts(queueId, memberId, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of Member
         * @param {string} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.searchMemberInQueue = function (queueId, page, size, domainId, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .searchMemberInQueue(queueId, page, size, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Search of Member
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [id]
         * @param {string} [queueId]
         * @param {number} [bucketId]
         * @param {string} [destination]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.searchMembers = function (page, size, id, queueId, bucketId, destination, domainId, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .searchMembers(page, size, id, queueId, bucketId, destination, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary UpdateMember
         * @param {string} queueId
         * @param {string} id
         * @param {EngineUpdateMemberRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof MemberServiceApi
         */
        MemberServiceApi.prototype.updateMember = function (queueId, id, body, options) {
            var _this = this;
            return MemberServiceApiFp(this.configuration)
                .updateMember(queueId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return MemberServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * OutboundResourceGroupServiceApi - axios parameter creator
     * @export
     */
    var OutboundResourceGroupServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create OutboundResourceGroup
             * @param {EngineCreateOutboundResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResourceGroup: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createOutboundResourceGroup.');
                                }
                                localVarPath = "/call_center/resource_group";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create OutboundResourceGroup
             * @param {string} groupId
             * @param {EngineCreateOutboundResourceInGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResourceInGroup: function (groupId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'groupId' is not null or undefined
                                if (groupId === null || groupId === undefined) {
                                    throw new RequiredError('groupId', 'Required parameter groupId was null or undefined when calling createOutboundResourceInGroup.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createOutboundResourceInGroup.');
                                }
                                localVarPath = "/call_center/resource_group/{group_id}/resource".replace("{" + 'group_id' + "}", encodeURIComponent(String(groupId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove OutboundResourceGroup
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResourceGroup: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteOutboundResourceGroup.');
                                }
                                localVarPath = "/call_center/resource_group/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove OutboundResourceInGroup
             * @param {string} groupId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResourceInGroup: function (groupId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'groupId' is not null or undefined
                                if (groupId === null || groupId === undefined) {
                                    throw new RequiredError('groupId', 'Required parameter groupId was null or undefined when calling deleteOutboundResourceInGroup.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteOutboundResourceInGroup.');
                                }
                                localVarPath = "/call_center/resource_group/{group_id}/resource/{id}"
                                    .replace("{" + 'group_id' + "}", encodeURIComponent(String(groupId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary OutboundResourceGroup item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResourceGroup: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readOutboundResourceGroup.');
                                }
                                localVarPath = "/call_center/resource_group/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary OutboundResourceInGroup item
             * @param {string} groupId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResourceInGroup: function (groupId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'groupId' is not null or undefined
                                if (groupId === null || groupId === undefined) {
                                    throw new RequiredError('groupId', 'Required parameter groupId was null or undefined when calling readOutboundResourceInGroup.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readOutboundResourceInGroup.');
                                }
                                localVarPath = "/call_center/resource_group/{group_id}/resource/{id}"
                                    .replace("{" + 'group_id' + "}", encodeURIComponent(String(groupId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of OutboundResourceGroup
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResourceGroup: function (page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/resource_group";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of OutboundResourceInGroup
             * @param {string} groupId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResourceInGroup: function (groupId, page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'groupId' is not null or undefined
                                if (groupId === null || groupId === undefined) {
                                    throw new RequiredError('groupId', 'Required parameter groupId was null or undefined when calling searchOutboundResourceInGroup.');
                                }
                                localVarPath = "/call_center/resource_group/{group_id}/resource".replace("{" + 'group_id' + "}", encodeURIComponent(String(groupId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update OutboundResourceGroup
             * @param {string} id
             * @param {EngineUpdateOutboundResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResourceGroup: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateOutboundResourceGroup.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateOutboundResourceGroup.');
                                }
                                localVarPath = "/call_center/resource_group/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update OutboundResourceInGroup
             * @param {string} groupId
             * @param {string} id
             * @param {EngineUpdateOutboundResourceInGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResourceInGroup: function (groupId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'groupId' is not null or undefined
                                if (groupId === null || groupId === undefined) {
                                    throw new RequiredError('groupId', 'Required parameter groupId was null or undefined when calling updateOutboundResourceInGroup.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateOutboundResourceInGroup.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateOutboundResourceInGroup.');
                                }
                                localVarPath = "/call_center/resource_group/{group_id}/resource/{id}"
                                    .replace("{" + 'group_id' + "}", encodeURIComponent(String(groupId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * OutboundResourceGroupServiceApi - functional programming interface
     * @export
     */
    var OutboundResourceGroupServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create OutboundResourceGroup
             * @param {EngineCreateOutboundResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResourceGroup: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceGroupServiceApiAxiosParamCreator(configuration).createOutboundResourceGroup(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create OutboundResourceGroup
             * @param {string} groupId
             * @param {EngineCreateOutboundResourceInGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResourceInGroup: function (groupId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceGroupServiceApiAxiosParamCreator(configuration).createOutboundResourceInGroup(groupId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove OutboundResourceGroup
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResourceGroup: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceGroupServiceApiAxiosParamCreator(configuration).deleteOutboundResourceGroup(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove OutboundResourceInGroup
             * @param {string} groupId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResourceInGroup: function (groupId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceGroupServiceApiAxiosParamCreator(configuration).deleteOutboundResourceInGroup(groupId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary OutboundResourceGroup item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResourceGroup: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceGroupServiceApiAxiosParamCreator(configuration).readOutboundResourceGroup(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary OutboundResourceInGroup item
             * @param {string} groupId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResourceInGroup: function (groupId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceGroupServiceApiAxiosParamCreator(configuration).readOutboundResourceInGroup(groupId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of OutboundResourceGroup
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResourceGroup: function (page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceGroupServiceApiAxiosParamCreator(configuration).searchOutboundResourceGroup(page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of OutboundResourceInGroup
             * @param {string} groupId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResourceInGroup: function (groupId, page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceGroupServiceApiAxiosParamCreator(configuration).searchOutboundResourceInGroup(groupId, page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update OutboundResourceGroup
             * @param {string} id
             * @param {EngineUpdateOutboundResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResourceGroup: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceGroupServiceApiAxiosParamCreator(configuration).updateOutboundResourceGroup(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update OutboundResourceInGroup
             * @param {string} groupId
             * @param {string} id
             * @param {EngineUpdateOutboundResourceInGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResourceInGroup: function (groupId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceGroupServiceApiAxiosParamCreator(configuration).updateOutboundResourceInGroup(groupId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * OutboundResourceGroupServiceApi - factory interface
     * @export
     */
    var OutboundResourceGroupServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create OutboundResourceGroup
             * @param {EngineCreateOutboundResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResourceGroup: function (body, options) {
                return OutboundResourceGroupServiceApiFp(configuration)
                    .createOutboundResourceGroup(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Create OutboundResourceGroup
             * @param {string} groupId
             * @param {EngineCreateOutboundResourceInGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResourceInGroup: function (groupId, body, options) {
                return OutboundResourceGroupServiceApiFp(configuration)
                    .createOutboundResourceInGroup(groupId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove OutboundResourceGroup
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResourceGroup: function (id, domainId, options) {
                return OutboundResourceGroupServiceApiFp(configuration)
                    .deleteOutboundResourceGroup(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove OutboundResourceInGroup
             * @param {string} groupId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResourceInGroup: function (groupId, id, domainId, options) {
                return OutboundResourceGroupServiceApiFp(configuration)
                    .deleteOutboundResourceInGroup(groupId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary OutboundResourceGroup item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResourceGroup: function (id, domainId, options) {
                return OutboundResourceGroupServiceApiFp(configuration)
                    .readOutboundResourceGroup(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary OutboundResourceInGroup item
             * @param {string} groupId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResourceInGroup: function (groupId, id, domainId, options) {
                return OutboundResourceGroupServiceApiFp(configuration)
                    .readOutboundResourceInGroup(groupId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of OutboundResourceGroup
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResourceGroup: function (page, size, q, sort, fields, id, options) {
                return OutboundResourceGroupServiceApiFp(configuration)
                    .searchOutboundResourceGroup(page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of OutboundResourceInGroup
             * @param {string} groupId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResourceInGroup: function (groupId, page, size, q, sort, fields, id, options) {
                return OutboundResourceGroupServiceApiFp(configuration)
                    .searchOutboundResourceInGroup(groupId, page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update OutboundResourceGroup
             * @param {string} id
             * @param {EngineUpdateOutboundResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResourceGroup: function (id, body, options) {
                return OutboundResourceGroupServiceApiFp(configuration)
                    .updateOutboundResourceGroup(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update OutboundResourceInGroup
             * @param {string} groupId
             * @param {string} id
             * @param {EngineUpdateOutboundResourceInGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResourceInGroup: function (groupId, id, body, options) {
                return OutboundResourceGroupServiceApiFp(configuration)
                    .updateOutboundResourceInGroup(groupId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * OutboundResourceGroupServiceApi - object-oriented interface
     * @export
     * @class OutboundResourceGroupServiceApi
     * @extends {BaseAPI}
     */
    var OutboundResourceGroupServiceApi = /** @class */ (function (_super) {
        tslib.__extends(OutboundResourceGroupServiceApi, _super);
        function OutboundResourceGroupServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create OutboundResourceGroup
         * @param {EngineCreateOutboundResourceGroupRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceGroupServiceApi
         */
        OutboundResourceGroupServiceApi.prototype.createOutboundResourceGroup = function (body, options) {
            var _this = this;
            return OutboundResourceGroupServiceApiFp(this.configuration)
                .createOutboundResourceGroup(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Create OutboundResourceGroup
         * @param {string} groupId
         * @param {EngineCreateOutboundResourceInGroupRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceGroupServiceApi
         */
        OutboundResourceGroupServiceApi.prototype.createOutboundResourceInGroup = function (groupId, body, options) {
            var _this = this;
            return OutboundResourceGroupServiceApiFp(this.configuration)
                .createOutboundResourceInGroup(groupId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove OutboundResourceGroup
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceGroupServiceApi
         */
        OutboundResourceGroupServiceApi.prototype.deleteOutboundResourceGroup = function (id, domainId, options) {
            var _this = this;
            return OutboundResourceGroupServiceApiFp(this.configuration)
                .deleteOutboundResourceGroup(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove OutboundResourceInGroup
         * @param {string} groupId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceGroupServiceApi
         */
        OutboundResourceGroupServiceApi.prototype.deleteOutboundResourceInGroup = function (groupId, id, domainId, options) {
            var _this = this;
            return OutboundResourceGroupServiceApiFp(this.configuration)
                .deleteOutboundResourceInGroup(groupId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary OutboundResourceGroup item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceGroupServiceApi
         */
        OutboundResourceGroupServiceApi.prototype.readOutboundResourceGroup = function (id, domainId, options) {
            var _this = this;
            return OutboundResourceGroupServiceApiFp(this.configuration)
                .readOutboundResourceGroup(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary OutboundResourceInGroup item
         * @param {string} groupId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceGroupServiceApi
         */
        OutboundResourceGroupServiceApi.prototype.readOutboundResourceInGroup = function (groupId, id, domainId, options) {
            var _this = this;
            return OutboundResourceGroupServiceApiFp(this.configuration)
                .readOutboundResourceInGroup(groupId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of OutboundResourceGroup
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceGroupServiceApi
         */
        OutboundResourceGroupServiceApi.prototype.searchOutboundResourceGroup = function (page, size, q, sort, fields, id, options) {
            var _this = this;
            return OutboundResourceGroupServiceApiFp(this.configuration)
                .searchOutboundResourceGroup(page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of OutboundResourceInGroup
         * @param {string} groupId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceGroupServiceApi
         */
        OutboundResourceGroupServiceApi.prototype.searchOutboundResourceInGroup = function (groupId, page, size, q, sort, fields, id, options) {
            var _this = this;
            return OutboundResourceGroupServiceApiFp(this.configuration)
                .searchOutboundResourceInGroup(groupId, page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update OutboundResourceGroup
         * @param {string} id
         * @param {EngineUpdateOutboundResourceGroupRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceGroupServiceApi
         */
        OutboundResourceGroupServiceApi.prototype.updateOutboundResourceGroup = function (id, body, options) {
            var _this = this;
            return OutboundResourceGroupServiceApiFp(this.configuration)
                .updateOutboundResourceGroup(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update OutboundResourceInGroup
         * @param {string} groupId
         * @param {string} id
         * @param {EngineUpdateOutboundResourceInGroupRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceGroupServiceApi
         */
        OutboundResourceGroupServiceApi.prototype.updateOutboundResourceInGroup = function (groupId, id, body, options) {
            var _this = this;
            return OutboundResourceGroupServiceApiFp(this.configuration)
                .updateOutboundResourceInGroup(groupId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return OutboundResourceGroupServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * OutboundResourceServiceApi - axios parameter creator
     * @export
     */
    var OutboundResourceServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create OutboundResource
             * @param {EngineCreateOutboundResourceRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResource: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createOutboundResource.');
                                }
                                localVarPath = "/call_center/resources";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create CreateOutboundResourceDisplay
             * @param {string} resourceId
             * @param {EngineCreateOutboundResourceDisplayRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResourceDisplay: function (resourceId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'resourceId' is not null or undefined
                                if (resourceId === null || resourceId === undefined) {
                                    throw new RequiredError('resourceId', 'Required parameter resourceId was null or undefined when calling createOutboundResourceDisplay.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createOutboundResourceDisplay.');
                                }
                                localVarPath = "/call_center/resources/{resource_id}/display".replace("{" + 'resource_id' + "}", encodeURIComponent(String(resourceId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove OutboundResource
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResource: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteOutboundResource.');
                                }
                                localVarPath = "/call_center/resources/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove ResourceDisplay
             * @param {string} resourceId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResourceDisplay: function (resourceId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'resourceId' is not null or undefined
                                if (resourceId === null || resourceId === undefined) {
                                    throw new RequiredError('resourceId', 'Required parameter resourceId was null or undefined when calling deleteOutboundResourceDisplay.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteOutboundResourceDisplay.');
                                }
                                localVarPath = "/call_center/resources/{resource_id}/display/{id}"
                                    .replace("{" + 'resource_id' + "}", encodeURIComponent(String(resourceId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch OutboundResource
             * @param {string} id
             * @param {EnginePatchOutboundResourceRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchOutboundResource: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchOutboundResource.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchOutboundResource.');
                                }
                                localVarPath = "/call_center/resources/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary OutboundResource item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResource: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readOutboundResource.');
                                }
                                localVarPath = "/call_center/resources/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary ResourceDisplay item
             * @param {string} resourceId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResourceDisplay: function (resourceId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'resourceId' is not null or undefined
                                if (resourceId === null || resourceId === undefined) {
                                    throw new RequiredError('resourceId', 'Required parameter resourceId was null or undefined when calling readOutboundResourceDisplay.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readOutboundResourceDisplay.');
                                }
                                localVarPath = "/call_center/resources/{resource_id}/display/{id}"
                                    .replace("{" + 'resource_id' + "}", encodeURIComponent(String(resourceId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of OutboundResource
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResource: function (page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/resources";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of ResourceDisplay
             * @param {string} resourceId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResourceDisplay: function (resourceId, page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'resourceId' is not null or undefined
                                if (resourceId === null || resourceId === undefined) {
                                    throw new RequiredError('resourceId', 'Required parameter resourceId was null or undefined when calling searchOutboundResourceDisplay.');
                                }
                                localVarPath = "/call_center/resources/{resource_id}/display".replace("{" + 'resource_id' + "}", encodeURIComponent(String(resourceId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update OutboundResource
             * @param {string} id
             * @param {EngineUpdateOutboundResourceRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResource: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateOutboundResource.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateOutboundResource.');
                                }
                                localVarPath = "/call_center/resources/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update ResourceDisplay
             * @param {string} resourceId
             * @param {string} id
             * @param {EngineUpdateOutboundResourceDisplayRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResourceDisplay: function (resourceId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'resourceId' is not null or undefined
                                if (resourceId === null || resourceId === undefined) {
                                    throw new RequiredError('resourceId', 'Required parameter resourceId was null or undefined when calling updateOutboundResourceDisplay.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateOutboundResourceDisplay.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateOutboundResourceDisplay.');
                                }
                                localVarPath = "/call_center/resources/{resource_id}/display/{id}"
                                    .replace("{" + 'resource_id' + "}", encodeURIComponent(String(resourceId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * OutboundResourceServiceApi - functional programming interface
     * @export
     */
    var OutboundResourceServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create OutboundResource
             * @param {EngineCreateOutboundResourceRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResource: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).createOutboundResource(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Create CreateOutboundResourceDisplay
             * @param {string} resourceId
             * @param {EngineCreateOutboundResourceDisplayRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResourceDisplay: function (resourceId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).createOutboundResourceDisplay(resourceId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove OutboundResource
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResource: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).deleteOutboundResource(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove ResourceDisplay
             * @param {string} resourceId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResourceDisplay: function (resourceId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).deleteOutboundResourceDisplay(resourceId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch OutboundResource
             * @param {string} id
             * @param {EnginePatchOutboundResourceRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchOutboundResource: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).patchOutboundResource(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary OutboundResource item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResource: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).readOutboundResource(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary ResourceDisplay item
             * @param {string} resourceId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResourceDisplay: function (resourceId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).readOutboundResourceDisplay(resourceId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of OutboundResource
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResource: function (page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).searchOutboundResource(page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of ResourceDisplay
             * @param {string} resourceId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResourceDisplay: function (resourceId, page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).searchOutboundResourceDisplay(resourceId, page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update OutboundResource
             * @param {string} id
             * @param {EngineUpdateOutboundResourceRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResource: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).updateOutboundResource(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update ResourceDisplay
             * @param {string} resourceId
             * @param {string} id
             * @param {EngineUpdateOutboundResourceDisplayRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResourceDisplay: function (resourceId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, OutboundResourceServiceApiAxiosParamCreator(configuration).updateOutboundResourceDisplay(resourceId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * OutboundResourceServiceApi - factory interface
     * @export
     */
    var OutboundResourceServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create OutboundResource
             * @param {EngineCreateOutboundResourceRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResource: function (body, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .createOutboundResource(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Create CreateOutboundResourceDisplay
             * @param {string} resourceId
             * @param {EngineCreateOutboundResourceDisplayRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createOutboundResourceDisplay: function (resourceId, body, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .createOutboundResourceDisplay(resourceId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove OutboundResource
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResource: function (id, domainId, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .deleteOutboundResource(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove ResourceDisplay
             * @param {string} resourceId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteOutboundResourceDisplay: function (resourceId, id, domainId, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .deleteOutboundResourceDisplay(resourceId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Patch OutboundResource
             * @param {string} id
             * @param {EnginePatchOutboundResourceRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchOutboundResource: function (id, body, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .patchOutboundResource(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary OutboundResource item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResource: function (id, domainId, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .readOutboundResource(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary ResourceDisplay item
             * @param {string} resourceId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readOutboundResourceDisplay: function (resourceId, id, domainId, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .readOutboundResourceDisplay(resourceId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of OutboundResource
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResource: function (page, size, q, sort, fields, id, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .searchOutboundResource(page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of ResourceDisplay
             * @param {string} resourceId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchOutboundResourceDisplay: function (resourceId, page, size, q, sort, fields, id, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .searchOutboundResourceDisplay(resourceId, page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update OutboundResource
             * @param {string} id
             * @param {EngineUpdateOutboundResourceRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResource: function (id, body, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .updateOutboundResource(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update ResourceDisplay
             * @param {string} resourceId
             * @param {string} id
             * @param {EngineUpdateOutboundResourceDisplayRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateOutboundResourceDisplay: function (resourceId, id, body, options) {
                return OutboundResourceServiceApiFp(configuration)
                    .updateOutboundResourceDisplay(resourceId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * OutboundResourceServiceApi - object-oriented interface
     * @export
     * @class OutboundResourceServiceApi
     * @extends {BaseAPI}
     */
    var OutboundResourceServiceApi = /** @class */ (function (_super) {
        tslib.__extends(OutboundResourceServiceApi, _super);
        function OutboundResourceServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create OutboundResource
         * @param {EngineCreateOutboundResourceRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.createOutboundResource = function (body, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .createOutboundResource(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Create CreateOutboundResourceDisplay
         * @param {string} resourceId
         * @param {EngineCreateOutboundResourceDisplayRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.createOutboundResourceDisplay = function (resourceId, body, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .createOutboundResourceDisplay(resourceId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove OutboundResource
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.deleteOutboundResource = function (id, domainId, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .deleteOutboundResource(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove ResourceDisplay
         * @param {string} resourceId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.deleteOutboundResourceDisplay = function (resourceId, id, domainId, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .deleteOutboundResourceDisplay(resourceId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Patch OutboundResource
         * @param {string} id
         * @param {EnginePatchOutboundResourceRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.patchOutboundResource = function (id, body, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .patchOutboundResource(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary OutboundResource item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.readOutboundResource = function (id, domainId, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .readOutboundResource(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary ResourceDisplay item
         * @param {string} resourceId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.readOutboundResourceDisplay = function (resourceId, id, domainId, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .readOutboundResourceDisplay(resourceId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of OutboundResource
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.searchOutboundResource = function (page, size, q, sort, fields, id, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .searchOutboundResource(page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of ResourceDisplay
         * @param {string} resourceId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.searchOutboundResourceDisplay = function (resourceId, page, size, q, sort, fields, id, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .searchOutboundResourceDisplay(resourceId, page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update OutboundResource
         * @param {string} id
         * @param {EngineUpdateOutboundResourceRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.updateOutboundResource = function (id, body, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .updateOutboundResource(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update ResourceDisplay
         * @param {string} resourceId
         * @param {string} id
         * @param {EngineUpdateOutboundResourceDisplayRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof OutboundResourceServiceApi
         */
        OutboundResourceServiceApi.prototype.updateOutboundResourceDisplay = function (resourceId, id, body, options) {
            var _this = this;
            return OutboundResourceServiceApiFp(this.configuration)
                .updateOutboundResourceDisplay(resourceId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return OutboundResourceServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * QueueBucketServiceApi - axios parameter creator
     * @export
     */
    var QueueBucketServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create QueueBucket
             * @param {string} queueId
             * @param {EngineCreateQueueBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueBucket: function (queueId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createQueueBucket.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createQueueBucket.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/buckets".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary DeleteQueueRouting
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueBucket: function (queueId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling deleteQueueBucket.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteQueueBucket.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/buckets/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary ReadQueueRouting
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueBucket: function (queueId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling readQueueBucket.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readQueueBucket.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/buckets/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchQueueRouting
             * @param {string} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueBucket: function (queueId, page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling searchQueueBucket.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/buckets".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary UpdateQueueBucket
             * @param {string} queueId
             * @param {string} id
             * @param {EngineUpdateQueueBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueBucket: function (queueId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling updateQueueBucket.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateQueueBucket.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateQueueBucket.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/buckets/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * QueueBucketServiceApi - functional programming interface
     * @export
     */
    var QueueBucketServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create QueueBucket
             * @param {string} queueId
             * @param {EngineCreateQueueBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueBucket: function (queueId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueBucketServiceApiAxiosParamCreator(configuration).createQueueBucket(queueId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary DeleteQueueRouting
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueBucket: function (queueId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueBucketServiceApiAxiosParamCreator(configuration).deleteQueueBucket(queueId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary ReadQueueRouting
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueBucket: function (queueId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueBucketServiceApiAxiosParamCreator(configuration).readQueueBucket(queueId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchQueueRouting
             * @param {string} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueBucket: function (queueId, page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueBucketServiceApiAxiosParamCreator(configuration).searchQueueBucket(queueId, page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary UpdateQueueBucket
             * @param {string} queueId
             * @param {string} id
             * @param {EngineUpdateQueueBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueBucket: function (queueId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueBucketServiceApiAxiosParamCreator(configuration).updateQueueBucket(queueId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * QueueBucketServiceApi - factory interface
     * @export
     */
    var QueueBucketServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create QueueBucket
             * @param {string} queueId
             * @param {EngineCreateQueueBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueBucket: function (queueId, body, options) {
                return QueueBucketServiceApiFp(configuration)
                    .createQueueBucket(queueId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary DeleteQueueRouting
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueBucket: function (queueId, id, domainId, options) {
                return QueueBucketServiceApiFp(configuration)
                    .deleteQueueBucket(queueId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary ReadQueueRouting
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueBucket: function (queueId, id, domainId, options) {
                return QueueBucketServiceApiFp(configuration)
                    .readQueueBucket(queueId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary SearchQueueRouting
             * @param {string} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueBucket: function (queueId, page, size, q, sort, fields, id, options) {
                return QueueBucketServiceApiFp(configuration)
                    .searchQueueBucket(queueId, page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary UpdateQueueBucket
             * @param {string} queueId
             * @param {string} id
             * @param {EngineUpdateQueueBucketRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueBucket: function (queueId, id, body, options) {
                return QueueBucketServiceApiFp(configuration)
                    .updateQueueBucket(queueId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * QueueBucketServiceApi - object-oriented interface
     * @export
     * @class QueueBucketServiceApi
     * @extends {BaseAPI}
     */
    var QueueBucketServiceApi = /** @class */ (function (_super) {
        tslib.__extends(QueueBucketServiceApi, _super);
        function QueueBucketServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create QueueBucket
         * @param {string} queueId
         * @param {EngineCreateQueueBucketRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueBucketServiceApi
         */
        QueueBucketServiceApi.prototype.createQueueBucket = function (queueId, body, options) {
            var _this = this;
            return QueueBucketServiceApiFp(this.configuration)
                .createQueueBucket(queueId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary DeleteQueueRouting
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueBucketServiceApi
         */
        QueueBucketServiceApi.prototype.deleteQueueBucket = function (queueId, id, domainId, options) {
            var _this = this;
            return QueueBucketServiceApiFp(this.configuration)
                .deleteQueueBucket(queueId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary ReadQueueRouting
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueBucketServiceApi
         */
        QueueBucketServiceApi.prototype.readQueueBucket = function (queueId, id, domainId, options) {
            var _this = this;
            return QueueBucketServiceApiFp(this.configuration)
                .readQueueBucket(queueId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary SearchQueueRouting
         * @param {string} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueBucketServiceApi
         */
        QueueBucketServiceApi.prototype.searchQueueBucket = function (queueId, page, size, q, sort, fields, id, options) {
            var _this = this;
            return QueueBucketServiceApiFp(this.configuration)
                .searchQueueBucket(queueId, page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary UpdateQueueBucket
         * @param {string} queueId
         * @param {string} id
         * @param {EngineUpdateQueueBucketRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueBucketServiceApi
         */
        QueueBucketServiceApi.prototype.updateQueueBucket = function (queueId, id, body, options) {
            var _this = this;
            return QueueBucketServiceApiFp(this.configuration)
                .updateQueueBucket(queueId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return QueueBucketServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * QueueHookServiceApi - axios parameter creator
     * @export
     */
    var QueueHookServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @param {number} queueId
             * @param {EngineCreateQueueHookRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueHook: function (queueId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createQueueHook.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createQueueHook.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/hooks".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueHook: function (queueId, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling deleteQueueHook.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteQueueHook.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/hooks/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EnginePatchQueueHookRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchQueueHook: function (queueId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling patchQueueHook.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchQueueHook.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchQueueHook.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/hooks/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueHook: function (queueId, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling readQueueHook.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readQueueHook.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/hooks/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {Array<number>} [schemaId]
             * @param {Array<string>} [event]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueHook: function (queueId, page, size, q, sort, fields, id, schemaId, event, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling searchQueueHook.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/hooks".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (schemaId) {
                                    localVarQueryParameter['schema_id'] = schemaId;
                                }
                                if (event) {
                                    localVarQueryParameter['event'] = event;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EngineUpdateQueueHookRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueHook: function (queueId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling updateQueueHook.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateQueueHook.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateQueueHook.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/hooks/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * QueueHookServiceApi - functional programming interface
     * @export
     */
    var QueueHookServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @param {number} queueId
             * @param {EngineCreateQueueHookRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueHook: function (queueId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueHookServiceApiAxiosParamCreator(configuration).createQueueHook(queueId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueHook: function (queueId, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueHookServiceApiAxiosParamCreator(configuration).deleteQueueHook(queueId, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EnginePatchQueueHookRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchQueueHook: function (queueId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueHookServiceApiAxiosParamCreator(configuration).patchQueueHook(queueId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueHook: function (queueId, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueHookServiceApiAxiosParamCreator(configuration).readQueueHook(queueId, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {Array<number>} [schemaId]
             * @param {Array<string>} [event]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueHook: function (queueId, page, size, q, sort, fields, id, schemaId, event, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueHookServiceApiAxiosParamCreator(configuration).searchQueueHook(queueId, page, size, q, sort, fields, id, schemaId, event, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EngineUpdateQueueHookRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueHook: function (queueId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueHookServiceApiAxiosParamCreator(configuration).updateQueueHook(queueId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * QueueHookServiceApi - factory interface
     * @export
     */
    var QueueHookServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @param {number} queueId
             * @param {EngineCreateQueueHookRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueHook: function (queueId, body, options) {
                return QueueHookServiceApiFp(configuration)
                    .createQueueHook(queueId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueHook: function (queueId, id, options) {
                return QueueHookServiceApiFp(configuration)
                    .deleteQueueHook(queueId, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EnginePatchQueueHookRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchQueueHook: function (queueId, id, body, options) {
                return QueueHookServiceApiFp(configuration)
                    .patchQueueHook(queueId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueHook: function (queueId, id, options) {
                return QueueHookServiceApiFp(configuration)
                    .readQueueHook(queueId, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {Array<number>} [schemaId]
             * @param {Array<string>} [event]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueHook: function (queueId, page, size, q, sort, fields, id, schemaId, event, options) {
                return QueueHookServiceApiFp(configuration)
                    .searchQueueHook(queueId, page, size, q, sort, fields, id, schemaId, event, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EngineUpdateQueueHookRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueHook: function (queueId, id, body, options) {
                return QueueHookServiceApiFp(configuration)
                    .updateQueueHook(queueId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * QueueHookServiceApi - object-oriented interface
     * @export
     * @class QueueHookServiceApi
     * @extends {BaseAPI}
     */
    var QueueHookServiceApi = /** @class */ (function (_super) {
        tslib.__extends(QueueHookServiceApi, _super);
        function QueueHookServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @param {number} queueId
         * @param {EngineCreateQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueHookServiceApi
         */
        QueueHookServiceApi.prototype.createQueueHook = function (queueId, body, options) {
            var _this = this;
            return QueueHookServiceApiFp(this.configuration)
                .createQueueHook(queueId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueHookServiceApi
         */
        QueueHookServiceApi.prototype.deleteQueueHook = function (queueId, id, options) {
            var _this = this;
            return QueueHookServiceApiFp(this.configuration)
                .deleteQueueHook(queueId, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {EnginePatchQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueHookServiceApi
         */
        QueueHookServiceApi.prototype.patchQueueHook = function (queueId, id, body, options) {
            var _this = this;
            return QueueHookServiceApiFp(this.configuration)
                .patchQueueHook(queueId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueHookServiceApi
         */
        QueueHookServiceApi.prototype.readQueueHook = function (queueId, id, options) {
            var _this = this;
            return QueueHookServiceApiFp(this.configuration)
                .readQueueHook(queueId, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {Array<number>} [schemaId]
         * @param {Array<string>} [event]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueHookServiceApi
         */
        QueueHookServiceApi.prototype.searchQueueHook = function (queueId, page, size, q, sort, fields, id, schemaId, event, options) {
            var _this = this;
            return QueueHookServiceApiFp(this.configuration)
                .searchQueueHook(queueId, page, size, q, sort, fields, id, schemaId, event, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {EngineUpdateQueueHookRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueHookServiceApi
         */
        QueueHookServiceApi.prototype.updateQueueHook = function (queueId, id, body, options) {
            var _this = this;
            return QueueHookServiceApiFp(this.configuration)
                .updateQueueHook(queueId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return QueueHookServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * QueueResourcesServiceApi - axios parameter creator
     * @export
     */
    var QueueResourcesServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary CreateQueueResourceGroup
             * @param {string} queueId
             * @param {EngineCreateQueueResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueResourceGroup: function (queueId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createQueueResourceGroup.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createQueueResourceGroup.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/resource_groups".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary DeleteQueueResourceGroup
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueResourceGroup: function (queueId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling deleteQueueResourceGroup.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteQueueResourceGroup.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/resource_groups/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary ReadQueueResourceGroup
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueResourceGroup: function (queueId, id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling readQueueResourceGroup.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readQueueResourceGroup.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/resource_groups/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchQueueResourceGroup
             * @param {string} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueResourceGroup: function (queueId, page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling searchQueueResourceGroup.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/resource_groups".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary UpdateQueueResourceGroup
             * @param {string} queueId
             * @param {string} id
             * @param {EngineUpdateQueueResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueResourceGroup: function (queueId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling updateQueueResourceGroup.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateQueueResourceGroup.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateQueueResourceGroup.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/resource_groups/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * QueueResourcesServiceApi - functional programming interface
     * @export
     */
    var QueueResourcesServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary CreateQueueResourceGroup
             * @param {string} queueId
             * @param {EngineCreateQueueResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueResourceGroup: function (queueId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueResourcesServiceApiAxiosParamCreator(configuration).createQueueResourceGroup(queueId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary DeleteQueueResourceGroup
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueResourceGroup: function (queueId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueResourcesServiceApiAxiosParamCreator(configuration).deleteQueueResourceGroup(queueId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary ReadQueueResourceGroup
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueResourceGroup: function (queueId, id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueResourcesServiceApiAxiosParamCreator(configuration).readQueueResourceGroup(queueId, id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary SearchQueueResourceGroup
             * @param {string} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueResourceGroup: function (queueId, page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueResourcesServiceApiAxiosParamCreator(configuration).searchQueueResourceGroup(queueId, page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary UpdateQueueResourceGroup
             * @param {string} queueId
             * @param {string} id
             * @param {EngineUpdateQueueResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueResourceGroup: function (queueId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueResourcesServiceApiAxiosParamCreator(configuration).updateQueueResourceGroup(queueId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * QueueResourcesServiceApi - factory interface
     * @export
     */
    var QueueResourcesServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary CreateQueueResourceGroup
             * @param {string} queueId
             * @param {EngineCreateQueueResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueResourceGroup: function (queueId, body, options) {
                return QueueResourcesServiceApiFp(configuration)
                    .createQueueResourceGroup(queueId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary DeleteQueueResourceGroup
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueResourceGroup: function (queueId, id, domainId, options) {
                return QueueResourcesServiceApiFp(configuration)
                    .deleteQueueResourceGroup(queueId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary ReadQueueResourceGroup
             * @param {string} queueId
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueResourceGroup: function (queueId, id, domainId, options) {
                return QueueResourcesServiceApiFp(configuration)
                    .readQueueResourceGroup(queueId, id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary SearchQueueResourceGroup
             * @param {string} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueResourceGroup: function (queueId, page, size, q, sort, fields, id, options) {
                return QueueResourcesServiceApiFp(configuration)
                    .searchQueueResourceGroup(queueId, page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary UpdateQueueResourceGroup
             * @param {string} queueId
             * @param {string} id
             * @param {EngineUpdateQueueResourceGroupRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueResourceGroup: function (queueId, id, body, options) {
                return QueueResourcesServiceApiFp(configuration)
                    .updateQueueResourceGroup(queueId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * QueueResourcesServiceApi - object-oriented interface
     * @export
     * @class QueueResourcesServiceApi
     * @extends {BaseAPI}
     */
    var QueueResourcesServiceApi = /** @class */ (function (_super) {
        tslib.__extends(QueueResourcesServiceApi, _super);
        function QueueResourcesServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary CreateQueueResourceGroup
         * @param {string} queueId
         * @param {EngineCreateQueueResourceGroupRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueResourcesServiceApi
         */
        QueueResourcesServiceApi.prototype.createQueueResourceGroup = function (queueId, body, options) {
            var _this = this;
            return QueueResourcesServiceApiFp(this.configuration)
                .createQueueResourceGroup(queueId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary DeleteQueueResourceGroup
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueResourcesServiceApi
         */
        QueueResourcesServiceApi.prototype.deleteQueueResourceGroup = function (queueId, id, domainId, options) {
            var _this = this;
            return QueueResourcesServiceApiFp(this.configuration)
                .deleteQueueResourceGroup(queueId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary ReadQueueResourceGroup
         * @param {string} queueId
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueResourcesServiceApi
         */
        QueueResourcesServiceApi.prototype.readQueueResourceGroup = function (queueId, id, domainId, options) {
            var _this = this;
            return QueueResourcesServiceApiFp(this.configuration)
                .readQueueResourceGroup(queueId, id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary SearchQueueResourceGroup
         * @param {string} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueResourcesServiceApi
         */
        QueueResourcesServiceApi.prototype.searchQueueResourceGroup = function (queueId, page, size, q, sort, fields, id, options) {
            var _this = this;
            return QueueResourcesServiceApiFp(this.configuration)
                .searchQueueResourceGroup(queueId, page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary UpdateQueueResourceGroup
         * @param {string} queueId
         * @param {string} id
         * @param {EngineUpdateQueueResourceGroupRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueResourcesServiceApi
         */
        QueueResourcesServiceApi.prototype.updateQueueResourceGroup = function (queueId, id, body, options) {
            var _this = this;
            return QueueResourcesServiceApiFp(this.configuration)
                .updateQueueResourceGroup(queueId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return QueueResourcesServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * QueueServiceApi - axios parameter creator
     * @export
     */
    var QueueServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create Queue
             * @param {EngineCreateQueueRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueue: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createQueue.');
                                }
                                localVarPath = "/call_center/queues";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove Queue
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueue: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteQueue.');
                                }
                                localVarPath = "/call_center/queues/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch Queue
             * @param {string} id
             * @param {EnginePatchQueueRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchQueue: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchQueue.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchQueue.');
                                }
                                localVarPath = "/call_center/queues/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Queue item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueue: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readQueue.');
                                }
                                localVarPath = "/call_center/queues/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of Queue
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<string>} [id]
             * @param {Array<number>} [type]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueue: function (page, size, q, sort, fields, id, type, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/queues";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (type) {
                                    localVarQueryParameter['type'] = type;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {string} [domainId]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {string} [q]
             * @param {Array<number>} [queueId]
             * @param {Array<number>} [teamId]
             * @param {Array<number>} [type]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueReportGeneral: function (page, size, joinedAtFrom, joinedAtTo, domainId, fields, sort, q, queueId, teamId, type, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/queues/reports/general";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (joinedAtFrom !== undefined) {
                                    localVarQueryParameter['joined_at.from'] = joinedAtFrom;
                                }
                                if (joinedAtTo !== undefined) {
                                    localVarQueryParameter['joined_at.to'] = joinedAtTo;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (queueId) {
                                    localVarQueryParameter['queue_id'] = queueId;
                                }
                                if (teamId) {
                                    localVarQueryParameter['team_id'] = teamId;
                                }
                                if (type) {
                                    localVarQueryParameter['type'] = type;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update Queue
             * @param {string} id
             * @param {EngineUpdateQueueRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueue: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateQueue.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateQueue.');
                                }
                                localVarPath = "/call_center/queues/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * QueueServiceApi - functional programming interface
     * @export
     */
    var QueueServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create Queue
             * @param {EngineCreateQueueRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueue: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueServiceApiAxiosParamCreator(configuration).createQueue(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove Queue
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueue: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueServiceApiAxiosParamCreator(configuration).deleteQueue(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch Queue
             * @param {string} id
             * @param {EnginePatchQueueRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchQueue: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueServiceApiAxiosParamCreator(configuration).patchQueue(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Queue item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueue: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueServiceApiAxiosParamCreator(configuration).readQueue(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of Queue
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<string>} [id]
             * @param {Array<number>} [type]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueue: function (page, size, q, sort, fields, id, type, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueServiceApiAxiosParamCreator(configuration).searchQueue(page, size, q, sort, fields, id, type, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {string} [domainId]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {string} [q]
             * @param {Array<number>} [queueId]
             * @param {Array<number>} [teamId]
             * @param {Array<number>} [type]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueReportGeneral: function (page, size, joinedAtFrom, joinedAtTo, domainId, fields, sort, q, queueId, teamId, type, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueServiceApiAxiosParamCreator(configuration).searchQueueReportGeneral(page, size, joinedAtFrom, joinedAtTo, domainId, fields, sort, q, queueId, teamId, type, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update Queue
             * @param {string} id
             * @param {EngineUpdateQueueRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueue: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueServiceApiAxiosParamCreator(configuration).updateQueue(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * QueueServiceApi - factory interface
     * @export
     */
    var QueueServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create Queue
             * @param {EngineCreateQueueRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueue: function (body, options) {
                return QueueServiceApiFp(configuration)
                    .createQueue(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove Queue
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueue: function (id, domainId, options) {
                return QueueServiceApiFp(configuration)
                    .deleteQueue(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Patch Queue
             * @param {string} id
             * @param {EnginePatchQueueRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchQueue: function (id, body, options) {
                return QueueServiceApiFp(configuration)
                    .patchQueue(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Queue item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueue: function (id, domainId, options) {
                return QueueServiceApiFp(configuration)
                    .readQueue(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of Queue
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<string>} [id]
             * @param {Array<number>} [type]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueue: function (page, size, q, sort, fields, id, type, options) {
                return QueueServiceApiFp(configuration)
                    .searchQueue(page, size, q, sort, fields, id, type, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [joinedAtFrom]
             * @param {string} [joinedAtTo]
             * @param {string} [domainId]
             * @param {Array<string>} [fields]
             * @param {string} [sort]
             * @param {string} [q]
             * @param {Array<number>} [queueId]
             * @param {Array<number>} [teamId]
             * @param {Array<number>} [type]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueReportGeneral: function (page, size, joinedAtFrom, joinedAtTo, domainId, fields, sort, q, queueId, teamId, type, options) {
                return QueueServiceApiFp(configuration)
                    .searchQueueReportGeneral(page, size, joinedAtFrom, joinedAtTo, domainId, fields, sort, q, queueId, teamId, type, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update Queue
             * @param {string} id
             * @param {EngineUpdateQueueRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueue: function (id, body, options) {
                return QueueServiceApiFp(configuration)
                    .updateQueue(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * QueueServiceApi - object-oriented interface
     * @export
     * @class QueueServiceApi
     * @extends {BaseAPI}
     */
    var QueueServiceApi = /** @class */ (function (_super) {
        tslib.__extends(QueueServiceApi, _super);
        function QueueServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create Queue
         * @param {EngineCreateQueueRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueServiceApi
         */
        QueueServiceApi.prototype.createQueue = function (body, options) {
            var _this = this;
            return QueueServiceApiFp(this.configuration)
                .createQueue(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove Queue
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueServiceApi
         */
        QueueServiceApi.prototype.deleteQueue = function (id, domainId, options) {
            var _this = this;
            return QueueServiceApiFp(this.configuration)
                .deleteQueue(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Patch Queue
         * @param {string} id
         * @param {EnginePatchQueueRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueServiceApi
         */
        QueueServiceApi.prototype.patchQueue = function (id, body, options) {
            var _this = this;
            return QueueServiceApiFp(this.configuration)
                .patchQueue(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Queue item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueServiceApi
         */
        QueueServiceApi.prototype.readQueue = function (id, domainId, options) {
            var _this = this;
            return QueueServiceApiFp(this.configuration)
                .readQueue(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of Queue
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<string>} [id]
         * @param {Array<number>} [type]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueServiceApi
         */
        QueueServiceApi.prototype.searchQueue = function (page, size, q, sort, fields, id, type, options) {
            var _this = this;
            return QueueServiceApiFp(this.configuration)
                .searchQueue(page, size, q, sort, fields, id, type, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [joinedAtFrom]
         * @param {string} [joinedAtTo]
         * @param {string} [domainId]
         * @param {Array<string>} [fields]
         * @param {string} [sort]
         * @param {string} [q]
         * @param {Array<number>} [queueId]
         * @param {Array<number>} [teamId]
         * @param {Array<number>} [type]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueServiceApi
         */
        QueueServiceApi.prototype.searchQueueReportGeneral = function (page, size, joinedAtFrom, joinedAtTo, domainId, fields, sort, q, queueId, teamId, type, options) {
            var _this = this;
            return QueueServiceApiFp(this.configuration)
                .searchQueueReportGeneral(page, size, joinedAtFrom, joinedAtTo, domainId, fields, sort, q, queueId, teamId, type, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update Queue
         * @param {string} id
         * @param {EngineUpdateQueueRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueServiceApi
         */
        QueueServiceApi.prototype.updateQueue = function (id, body, options) {
            var _this = this;
            return QueueServiceApiFp(this.configuration)
                .updateQueue(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return QueueServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * QueueSkillServiceApi - axios parameter creator
     * @export
     */
    var QueueSkillServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @param {number} queueId
             * @param {EngineCreateQueueSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueSkill: function (queueId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling createQueueSkill.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createQueueSkill.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/skills".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueSkill: function (queueId, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling deleteQueueSkill.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteQueueSkill.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/skills/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EnginePatchQueueSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchQueueSkill: function (queueId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling patchQueueSkill.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchQueueSkill.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchQueueSkill.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/skills/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueSkill: function (queueId, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling readQueueSkill.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readQueueSkill.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/skills/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {Array<number>} [skillId]
             * @param {Array<number>} [bucketId]
             * @param {Array<number>} [lvl]
             * @param {Array<number>} [minCapacity]
             * @param {Array<number>} [maxCapacity]
             * @param {boolean} [enabled]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueSkill: function (queueId, page, size, q, sort, fields, id, skillId, bucketId, lvl, minCapacity, maxCapacity, enabled, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling searchQueueSkill.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/skills".replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (skillId) {
                                    localVarQueryParameter['skill_id'] = skillId;
                                }
                                if (bucketId) {
                                    localVarQueryParameter['bucket_id'] = bucketId;
                                }
                                if (lvl) {
                                    localVarQueryParameter['lvl'] = lvl;
                                }
                                if (minCapacity) {
                                    localVarQueryParameter['min_capacity'] = minCapacity;
                                }
                                if (maxCapacity) {
                                    localVarQueryParameter['max_capacity'] = maxCapacity;
                                }
                                if (enabled !== undefined) {
                                    localVarQueryParameter['enabled'] = enabled;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EngineUpdateQueueSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueSkill: function (queueId, id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'queueId' is not null or undefined
                                if (queueId === null || queueId === undefined) {
                                    throw new RequiredError('queueId', 'Required parameter queueId was null or undefined when calling updateQueueSkill.');
                                }
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateQueueSkill.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateQueueSkill.');
                                }
                                localVarPath = "/call_center/queues/{queue_id}/skills/{id}"
                                    .replace("{" + 'queue_id' + "}", encodeURIComponent(String(queueId)))
                                    .replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * QueueSkillServiceApi - functional programming interface
     * @export
     */
    var QueueSkillServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @param {number} queueId
             * @param {EngineCreateQueueSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueSkill: function (queueId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueSkillServiceApiAxiosParamCreator(configuration).createQueueSkill(queueId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueSkill: function (queueId, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueSkillServiceApiAxiosParamCreator(configuration).deleteQueueSkill(queueId, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EnginePatchQueueSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchQueueSkill: function (queueId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueSkillServiceApiAxiosParamCreator(configuration).patchQueueSkill(queueId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueSkill: function (queueId, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueSkillServiceApiAxiosParamCreator(configuration).readQueueSkill(queueId, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {Array<number>} [skillId]
             * @param {Array<number>} [bucketId]
             * @param {Array<number>} [lvl]
             * @param {Array<number>} [minCapacity]
             * @param {Array<number>} [maxCapacity]
             * @param {boolean} [enabled]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueSkill: function (queueId, page, size, q, sort, fields, id, skillId, bucketId, lvl, minCapacity, maxCapacity, enabled, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueSkillServiceApiAxiosParamCreator(configuration).searchQueueSkill(queueId, page, size, q, sort, fields, id, skillId, bucketId, lvl, minCapacity, maxCapacity, enabled, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EngineUpdateQueueSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueSkill: function (queueId, id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, QueueSkillServiceApiAxiosParamCreator(configuration).updateQueueSkill(queueId, id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * QueueSkillServiceApi - factory interface
     * @export
     */
    var QueueSkillServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @param {number} queueId
             * @param {EngineCreateQueueSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createQueueSkill: function (queueId, body, options) {
                return QueueSkillServiceApiFp(configuration)
                    .createQueueSkill(queueId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteQueueSkill: function (queueId, id, options) {
                return QueueSkillServiceApiFp(configuration)
                    .deleteQueueSkill(queueId, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EnginePatchQueueSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchQueueSkill: function (queueId, id, body, options) {
                return QueueSkillServiceApiFp(configuration)
                    .patchQueueSkill(queueId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readQueueSkill: function (queueId, id, options) {
                return QueueSkillServiceApiFp(configuration)
                    .readQueueSkill(queueId, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {Array<number>} [skillId]
             * @param {Array<number>} [bucketId]
             * @param {Array<number>} [lvl]
             * @param {Array<number>} [minCapacity]
             * @param {Array<number>} [maxCapacity]
             * @param {boolean} [enabled]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchQueueSkill: function (queueId, page, size, q, sort, fields, id, skillId, bucketId, lvl, minCapacity, maxCapacity, enabled, options) {
                return QueueSkillServiceApiFp(configuration)
                    .searchQueueSkill(queueId, page, size, q, sort, fields, id, skillId, bucketId, lvl, minCapacity, maxCapacity, enabled, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} queueId
             * @param {number} id
             * @param {EngineUpdateQueueSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateQueueSkill: function (queueId, id, body, options) {
                return QueueSkillServiceApiFp(configuration)
                    .updateQueueSkill(queueId, id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * QueueSkillServiceApi - object-oriented interface
     * @export
     * @class QueueSkillServiceApi
     * @extends {BaseAPI}
     */
    var QueueSkillServiceApi = /** @class */ (function (_super) {
        tslib.__extends(QueueSkillServiceApi, _super);
        function QueueSkillServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @param {number} queueId
         * @param {EngineCreateQueueSkillRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueSkillServiceApi
         */
        QueueSkillServiceApi.prototype.createQueueSkill = function (queueId, body, options) {
            var _this = this;
            return QueueSkillServiceApiFp(this.configuration)
                .createQueueSkill(queueId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueSkillServiceApi
         */
        QueueSkillServiceApi.prototype.deleteQueueSkill = function (queueId, id, options) {
            var _this = this;
            return QueueSkillServiceApiFp(this.configuration)
                .deleteQueueSkill(queueId, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {EnginePatchQueueSkillRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueSkillServiceApi
         */
        QueueSkillServiceApi.prototype.patchQueueSkill = function (queueId, id, body, options) {
            var _this = this;
            return QueueSkillServiceApiFp(this.configuration)
                .patchQueueSkill(queueId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueSkillServiceApi
         */
        QueueSkillServiceApi.prototype.readQueueSkill = function (queueId, id, options) {
            var _this = this;
            return QueueSkillServiceApiFp(this.configuration)
                .readQueueSkill(queueId, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {Array<number>} [skillId]
         * @param {Array<number>} [bucketId]
         * @param {Array<number>} [lvl]
         * @param {Array<number>} [minCapacity]
         * @param {Array<number>} [maxCapacity]
         * @param {boolean} [enabled]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueSkillServiceApi
         */
        QueueSkillServiceApi.prototype.searchQueueSkill = function (queueId, page, size, q, sort, fields, id, skillId, bucketId, lvl, minCapacity, maxCapacity, enabled, options) {
            var _this = this;
            return QueueSkillServiceApiFp(this.configuration)
                .searchQueueSkill(queueId, page, size, q, sort, fields, id, skillId, bucketId, lvl, minCapacity, maxCapacity, enabled, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} queueId
         * @param {number} id
         * @param {EngineUpdateQueueSkillRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof QueueSkillServiceApi
         */
        QueueSkillServiceApi.prototype.updateQueueSkill = function (queueId, id, body, options) {
            var _this = this;
            return QueueSkillServiceApiFp(this.configuration)
                .updateQueueSkill(queueId, id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return QueueSkillServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * RegionServiceApi - axios parameter creator
     * @export
     */
    var RegionServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @param {EngineCreateRegionRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRegion: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createRegion.');
                                }
                                localVarPath = "/regions";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRegion: function (id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteRegion.');
                                }
                                localVarPath = "/regions/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {EnginePatchRegionRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchRegion: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchRegion.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchRegion.');
                                }
                                localVarPath = "/regions/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRegion: function (id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readRegion.');
                                }
                                localVarPath = "/regions/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {string} [name]
             * @param {string} [description]
             * @param {Array<number>} [timezoneId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRegion: function (page, size, q, sort, fields, id, name, description, timezoneId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/regions";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (name !== undefined) {
                                    localVarQueryParameter['name'] = name;
                                }
                                if (description !== undefined) {
                                    localVarQueryParameter['description'] = description;
                                }
                                if (timezoneId) {
                                    localVarQueryParameter['timezone_id'] = timezoneId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {EngineUpdateRegionRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRegion: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateRegion.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateRegion.');
                                }
                                localVarPath = "/regions/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * RegionServiceApi - functional programming interface
     * @export
     */
    var RegionServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @param {EngineCreateRegionRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRegion: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RegionServiceApiAxiosParamCreator(configuration).createRegion(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRegion: function (id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RegionServiceApiAxiosParamCreator(configuration).deleteRegion(id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {EnginePatchRegionRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchRegion: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RegionServiceApiAxiosParamCreator(configuration).patchRegion(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRegion: function (id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RegionServiceApiAxiosParamCreator(configuration).readRegion(id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {string} [name]
             * @param {string} [description]
             * @param {Array<number>} [timezoneId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRegion: function (page, size, q, sort, fields, id, name, description, timezoneId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RegionServiceApiAxiosParamCreator(configuration).searchRegion(page, size, q, sort, fields, id, name, description, timezoneId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @param {number} id
             * @param {EngineUpdateRegionRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRegion: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RegionServiceApiAxiosParamCreator(configuration).updateRegion(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * RegionServiceApi - factory interface
     * @export
     */
    var RegionServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @param {EngineCreateRegionRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRegion: function (body, options) {
                return RegionServiceApiFp(configuration)
                    .createRegion(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRegion: function (id, options) {
                return RegionServiceApiFp(configuration)
                    .deleteRegion(id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} id
             * @param {EnginePatchRegionRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchRegion: function (id, body, options) {
                return RegionServiceApiFp(configuration)
                    .patchRegion(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} id
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRegion: function (id, options) {
                return RegionServiceApiFp(configuration)
                    .readRegion(id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {string} [name]
             * @param {string} [description]
             * @param {Array<number>} [timezoneId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRegion: function (page, size, q, sort, fields, id, name, description, timezoneId, options) {
                return RegionServiceApiFp(configuration)
                    .searchRegion(page, size, q, sort, fields, id, name, description, timezoneId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @param {number} id
             * @param {EngineUpdateRegionRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRegion: function (id, body, options) {
                return RegionServiceApiFp(configuration)
                    .updateRegion(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * RegionServiceApi - object-oriented interface
     * @export
     * @class RegionServiceApi
     * @extends {BaseAPI}
     */
    var RegionServiceApi = /** @class */ (function (_super) {
        tslib.__extends(RegionServiceApi, _super);
        function RegionServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @param {EngineCreateRegionRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RegionServiceApi
         */
        RegionServiceApi.prototype.createRegion = function (body, options) {
            var _this = this;
            return RegionServiceApiFp(this.configuration)
                .createRegion(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RegionServiceApi
         */
        RegionServiceApi.prototype.deleteRegion = function (id, options) {
            var _this = this;
            return RegionServiceApiFp(this.configuration)
                .deleteRegion(id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} id
         * @param {EnginePatchRegionRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RegionServiceApi
         */
        RegionServiceApi.prototype.patchRegion = function (id, body, options) {
            var _this = this;
            return RegionServiceApiFp(this.configuration)
                .patchRegion(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} id
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RegionServiceApi
         */
        RegionServiceApi.prototype.readRegion = function (id, options) {
            var _this = this;
            return RegionServiceApiFp(this.configuration)
                .readRegion(id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {string} [name]
         * @param {string} [description]
         * @param {Array<number>} [timezoneId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RegionServiceApi
         */
        RegionServiceApi.prototype.searchRegion = function (page, size, q, sort, fields, id, name, description, timezoneId, options) {
            var _this = this;
            return RegionServiceApiFp(this.configuration)
                .searchRegion(page, size, q, sort, fields, id, name, description, timezoneId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @param {number} id
         * @param {EngineUpdateRegionRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RegionServiceApi
         */
        RegionServiceApi.prototype.updateRegion = function (id, body, options) {
            var _this = this;
            return RegionServiceApiFp(this.configuration)
                .updateRegion(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return RegionServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * RoutingOutboundCallServiceApi - axios parameter creator
     * @export
     */
    var RoutingOutboundCallServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create RoutingOutboundCall
             * @param {EngineCreateRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRoutingOutboundCall: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createRoutingOutboundCall.');
                                }
                                localVarPath = "/routing/outbound/calls";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove RoutingOutboundCall
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRoutingOutboundCall: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteRoutingOutboundCall.');
                                }
                                localVarPath = "/routing/outbound/calls/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Move RoutingOutboundCall
             * @param {string} fromId
             * @param {string} toId
             * @param {EngineMovePositionRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            movePositionRoutingOutboundCall: function (fromId, toId, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'fromId' is not null or undefined
                                if (fromId === null || fromId === undefined) {
                                    throw new RequiredError('fromId', 'Required parameter fromId was null or undefined when calling movePositionRoutingOutboundCall.');
                                }
                                // verify required parameter 'toId' is not null or undefined
                                if (toId === null || toId === undefined) {
                                    throw new RequiredError('toId', 'Required parameter toId was null or undefined when calling movePositionRoutingOutboundCall.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling movePositionRoutingOutboundCall.');
                                }
                                localVarPath = "/routing/outbound/calls/{from_id}/to/{to_id}"
                                    .replace("{" + 'from_id' + "}", encodeURIComponent(String(fromId)))
                                    .replace("{" + 'to_id' + "}", encodeURIComponent(String(toId)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch RoutingOutboundCall
             * @param {string} id
             * @param {EnginePatchRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchRoutingOutboundCall: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchRoutingOutboundCall.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchRoutingOutboundCall.');
                                }
                                localVarPath = "/routing/outbound/calls/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary RoutingOutboundCall item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRoutingOutboundCall: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readRoutingOutboundCall.');
                                }
                                localVarPath = "/routing/outbound/calls/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of RoutingOutboundCall
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {string} [name]
             * @param {Array<number>} [schemaId]
             * @param {string} [pattern]
             * @param {string} [description]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRoutingOutboundCall: function (page, size, q, sort, fields, id, name, schemaId, pattern, description, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/routing/outbound/calls";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (name !== undefined) {
                                    localVarQueryParameter['name'] = name;
                                }
                                if (schemaId) {
                                    localVarQueryParameter['schema_id'] = schemaId;
                                }
                                if (pattern !== undefined) {
                                    localVarQueryParameter['pattern'] = pattern;
                                }
                                if (description !== undefined) {
                                    localVarQueryParameter['description'] = description;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update RoutingOutboundCall
             * @param {string} id
             * @param {EngineUpdateRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRoutingOutboundCall: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateRoutingOutboundCall.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateRoutingOutboundCall.');
                                }
                                localVarPath = "/routing/outbound/calls/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * RoutingOutboundCallServiceApi - functional programming interface
     * @export
     */
    var RoutingOutboundCallServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create RoutingOutboundCall
             * @param {EngineCreateRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRoutingOutboundCall: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingOutboundCallServiceApiAxiosParamCreator(configuration).createRoutingOutboundCall(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove RoutingOutboundCall
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRoutingOutboundCall: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingOutboundCallServiceApiAxiosParamCreator(configuration).deleteRoutingOutboundCall(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Move RoutingOutboundCall
             * @param {string} fromId
             * @param {string} toId
             * @param {EngineMovePositionRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            movePositionRoutingOutboundCall: function (fromId, toId, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingOutboundCallServiceApiAxiosParamCreator(configuration).movePositionRoutingOutboundCall(fromId, toId, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch RoutingOutboundCall
             * @param {string} id
             * @param {EnginePatchRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchRoutingOutboundCall: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingOutboundCallServiceApiAxiosParamCreator(configuration).patchRoutingOutboundCall(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary RoutingOutboundCall item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRoutingOutboundCall: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingOutboundCallServiceApiAxiosParamCreator(configuration).readRoutingOutboundCall(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of RoutingOutboundCall
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {string} [name]
             * @param {Array<number>} [schemaId]
             * @param {string} [pattern]
             * @param {string} [description]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRoutingOutboundCall: function (page, size, q, sort, fields, id, name, schemaId, pattern, description, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingOutboundCallServiceApiAxiosParamCreator(configuration).searchRoutingOutboundCall(page, size, q, sort, fields, id, name, schemaId, pattern, description, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update RoutingOutboundCall
             * @param {string} id
             * @param {EngineUpdateRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRoutingOutboundCall: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingOutboundCallServiceApiAxiosParamCreator(configuration).updateRoutingOutboundCall(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * RoutingOutboundCallServiceApi - factory interface
     * @export
     */
    var RoutingOutboundCallServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create RoutingOutboundCall
             * @param {EngineCreateRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRoutingOutboundCall: function (body, options) {
                return RoutingOutboundCallServiceApiFp(configuration)
                    .createRoutingOutboundCall(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove RoutingOutboundCall
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRoutingOutboundCall: function (id, domainId, options) {
                return RoutingOutboundCallServiceApiFp(configuration)
                    .deleteRoutingOutboundCall(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Move RoutingOutboundCall
             * @param {string} fromId
             * @param {string} toId
             * @param {EngineMovePositionRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            movePositionRoutingOutboundCall: function (fromId, toId, body, options) {
                return RoutingOutboundCallServiceApiFp(configuration)
                    .movePositionRoutingOutboundCall(fromId, toId, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Patch RoutingOutboundCall
             * @param {string} id
             * @param {EnginePatchRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchRoutingOutboundCall: function (id, body, options) {
                return RoutingOutboundCallServiceApiFp(configuration)
                    .patchRoutingOutboundCall(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary RoutingOutboundCall item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRoutingOutboundCall: function (id, domainId, options) {
                return RoutingOutboundCallServiceApiFp(configuration)
                    .readRoutingOutboundCall(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of RoutingOutboundCall
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {string} [name]
             * @param {Array<number>} [schemaId]
             * @param {string} [pattern]
             * @param {string} [description]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRoutingOutboundCall: function (page, size, q, sort, fields, id, name, schemaId, pattern, description, options) {
                return RoutingOutboundCallServiceApiFp(configuration)
                    .searchRoutingOutboundCall(page, size, q, sort, fields, id, name, schemaId, pattern, description, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update RoutingOutboundCall
             * @param {string} id
             * @param {EngineUpdateRoutingOutboundCallRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRoutingOutboundCall: function (id, body, options) {
                return RoutingOutboundCallServiceApiFp(configuration)
                    .updateRoutingOutboundCall(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * RoutingOutboundCallServiceApi - object-oriented interface
     * @export
     * @class RoutingOutboundCallServiceApi
     * @extends {BaseAPI}
     */
    var RoutingOutboundCallServiceApi = /** @class */ (function (_super) {
        tslib.__extends(RoutingOutboundCallServiceApi, _super);
        function RoutingOutboundCallServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create RoutingOutboundCall
         * @param {EngineCreateRoutingOutboundCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingOutboundCallServiceApi
         */
        RoutingOutboundCallServiceApi.prototype.createRoutingOutboundCall = function (body, options) {
            var _this = this;
            return RoutingOutboundCallServiceApiFp(this.configuration)
                .createRoutingOutboundCall(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove RoutingOutboundCall
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingOutboundCallServiceApi
         */
        RoutingOutboundCallServiceApi.prototype.deleteRoutingOutboundCall = function (id, domainId, options) {
            var _this = this;
            return RoutingOutboundCallServiceApiFp(this.configuration)
                .deleteRoutingOutboundCall(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Move RoutingOutboundCall
         * @param {string} fromId
         * @param {string} toId
         * @param {EngineMovePositionRoutingOutboundCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingOutboundCallServiceApi
         */
        RoutingOutboundCallServiceApi.prototype.movePositionRoutingOutboundCall = function (fromId, toId, body, options) {
            var _this = this;
            return RoutingOutboundCallServiceApiFp(this.configuration)
                .movePositionRoutingOutboundCall(fromId, toId, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Patch RoutingOutboundCall
         * @param {string} id
         * @param {EnginePatchRoutingOutboundCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingOutboundCallServiceApi
         */
        RoutingOutboundCallServiceApi.prototype.patchRoutingOutboundCall = function (id, body, options) {
            var _this = this;
            return RoutingOutboundCallServiceApiFp(this.configuration)
                .patchRoutingOutboundCall(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary RoutingOutboundCall item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingOutboundCallServiceApi
         */
        RoutingOutboundCallServiceApi.prototype.readRoutingOutboundCall = function (id, domainId, options) {
            var _this = this;
            return RoutingOutboundCallServiceApiFp(this.configuration)
                .readRoutingOutboundCall(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of RoutingOutboundCall
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {string} [name]
         * @param {Array<number>} [schemaId]
         * @param {string} [pattern]
         * @param {string} [description]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingOutboundCallServiceApi
         */
        RoutingOutboundCallServiceApi.prototype.searchRoutingOutboundCall = function (page, size, q, sort, fields, id, name, schemaId, pattern, description, options) {
            var _this = this;
            return RoutingOutboundCallServiceApiFp(this.configuration)
                .searchRoutingOutboundCall(page, size, q, sort, fields, id, name, schemaId, pattern, description, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update RoutingOutboundCall
         * @param {string} id
         * @param {EngineUpdateRoutingOutboundCallRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingOutboundCallServiceApi
         */
        RoutingOutboundCallServiceApi.prototype.updateRoutingOutboundCall = function (id, body, options) {
            var _this = this;
            return RoutingOutboundCallServiceApiFp(this.configuration)
                .updateRoutingOutboundCall(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return RoutingOutboundCallServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * RoutingSchemaServiceApi - axios parameter creator
     * @export
     */
    var RoutingSchemaServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create RoutingSchema
             * @param {EngineCreateRoutingSchemaRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRoutingSchema: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createRoutingSchema.');
                                }
                                localVarPath = "/routing/schema";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove RoutingSchema
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRoutingSchema: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteRoutingSchema.');
                                }
                                localVarPath = "/routing/schema/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch RoutingSchema
             * @param {string} id
             * @param {EnginePatchRoutingSchemaRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchRoutingSchema: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling patchRoutingSchema.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling patchRoutingSchema.');
                                }
                                localVarPath = "/routing/schema/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PATCH' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary RoutingSchema item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRoutingSchema: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readRoutingSchema.');
                                }
                                localVarPath = "/routing/schema/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List RoutingSchema
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {string} [name]
             * @param {Array<string>} [type]
             * @param {boolean} [editor]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRoutingSchema: function (page, size, q, sort, fields, id, name, type, editor, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/routing/schema";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                if (name !== undefined) {
                                    localVarQueryParameter['name'] = name;
                                }
                                if (type) {
                                    localVarQueryParameter['type'] = type;
                                }
                                if (editor !== undefined) {
                                    localVarQueryParameter['editor'] = editor;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update RoutingSchema
             * @param {string} id
             * @param {EngineUpdateRoutingSchemaRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRoutingSchema: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateRoutingSchema.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateRoutingSchema.');
                                }
                                localVarPath = "/routing/schema/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * RoutingSchemaServiceApi - functional programming interface
     * @export
     */
    var RoutingSchemaServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create RoutingSchema
             * @param {EngineCreateRoutingSchemaRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRoutingSchema: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingSchemaServiceApiAxiosParamCreator(configuration).createRoutingSchema(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove RoutingSchema
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRoutingSchema: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingSchemaServiceApiAxiosParamCreator(configuration).deleteRoutingSchema(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Patch RoutingSchema
             * @param {string} id
             * @param {EnginePatchRoutingSchemaRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchRoutingSchema: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingSchemaServiceApiAxiosParamCreator(configuration).patchRoutingSchema(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary RoutingSchema item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRoutingSchema: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingSchemaServiceApiAxiosParamCreator(configuration).readRoutingSchema(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List RoutingSchema
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {string} [name]
             * @param {Array<string>} [type]
             * @param {boolean} [editor]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRoutingSchema: function (page, size, q, sort, fields, id, name, type, editor, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingSchemaServiceApiAxiosParamCreator(configuration).searchRoutingSchema(page, size, q, sort, fields, id, name, type, editor, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update RoutingSchema
             * @param {string} id
             * @param {EngineUpdateRoutingSchemaRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRoutingSchema: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingSchemaServiceApiAxiosParamCreator(configuration).updateRoutingSchema(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * RoutingSchemaServiceApi - factory interface
     * @export
     */
    var RoutingSchemaServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create RoutingSchema
             * @param {EngineCreateRoutingSchemaRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRoutingSchema: function (body, options) {
                return RoutingSchemaServiceApiFp(configuration)
                    .createRoutingSchema(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove RoutingSchema
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRoutingSchema: function (id, domainId, options) {
                return RoutingSchemaServiceApiFp(configuration)
                    .deleteRoutingSchema(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Patch RoutingSchema
             * @param {string} id
             * @param {EnginePatchRoutingSchemaRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            patchRoutingSchema: function (id, body, options) {
                return RoutingSchemaServiceApiFp(configuration)
                    .patchRoutingSchema(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary RoutingSchema item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRoutingSchema: function (id, domainId, options) {
                return RoutingSchemaServiceApiFp(configuration)
                    .readRoutingSchema(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List RoutingSchema
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {string} [name]
             * @param {Array<string>} [type]
             * @param {boolean} [editor]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRoutingSchema: function (page, size, q, sort, fields, id, name, type, editor, options) {
                return RoutingSchemaServiceApiFp(configuration)
                    .searchRoutingSchema(page, size, q, sort, fields, id, name, type, editor, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update RoutingSchema
             * @param {string} id
             * @param {EngineUpdateRoutingSchemaRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRoutingSchema: function (id, body, options) {
                return RoutingSchemaServiceApiFp(configuration)
                    .updateRoutingSchema(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * RoutingSchemaServiceApi - object-oriented interface
     * @export
     * @class RoutingSchemaServiceApi
     * @extends {BaseAPI}
     */
    var RoutingSchemaServiceApi = /** @class */ (function (_super) {
        tslib.__extends(RoutingSchemaServiceApi, _super);
        function RoutingSchemaServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create RoutingSchema
         * @param {EngineCreateRoutingSchemaRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingSchemaServiceApi
         */
        RoutingSchemaServiceApi.prototype.createRoutingSchema = function (body, options) {
            var _this = this;
            return RoutingSchemaServiceApiFp(this.configuration)
                .createRoutingSchema(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove RoutingSchema
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingSchemaServiceApi
         */
        RoutingSchemaServiceApi.prototype.deleteRoutingSchema = function (id, domainId, options) {
            var _this = this;
            return RoutingSchemaServiceApiFp(this.configuration)
                .deleteRoutingSchema(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Patch RoutingSchema
         * @param {string} id
         * @param {EnginePatchRoutingSchemaRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingSchemaServiceApi
         */
        RoutingSchemaServiceApi.prototype.patchRoutingSchema = function (id, body, options) {
            var _this = this;
            return RoutingSchemaServiceApiFp(this.configuration)
                .patchRoutingSchema(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary RoutingSchema item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingSchemaServiceApi
         */
        RoutingSchemaServiceApi.prototype.readRoutingSchema = function (id, domainId, options) {
            var _this = this;
            return RoutingSchemaServiceApiFp(this.configuration)
                .readRoutingSchema(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List RoutingSchema
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {string} [name]
         * @param {Array<string>} [type]
         * @param {boolean} [editor]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingSchemaServiceApi
         */
        RoutingSchemaServiceApi.prototype.searchRoutingSchema = function (page, size, q, sort, fields, id, name, type, editor, options) {
            var _this = this;
            return RoutingSchemaServiceApiFp(this.configuration)
                .searchRoutingSchema(page, size, q, sort, fields, id, name, type, editor, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update RoutingSchema
         * @param {string} id
         * @param {EngineUpdateRoutingSchemaRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingSchemaServiceApi
         */
        RoutingSchemaServiceApi.prototype.updateRoutingSchema = function (id, body, options) {
            var _this = this;
            return RoutingSchemaServiceApiFp(this.configuration)
                .updateRoutingSchema(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return RoutingSchemaServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * RoutingVariableServiceApi - axios parameter creator
     * @export
     */
    var RoutingVariableServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create RoutingVariable
             * @param {EngineCreateRoutingVariableRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRoutingVariable: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createRoutingVariable.');
                                }
                                localVarPath = "/routing/variables";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove RoutingVariable
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRoutingVariable: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteRoutingVariable.');
                                }
                                localVarPath = "/routing/variables/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary RoutingVariable item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRoutingVariable: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readRoutingVariable.');
                                }
                                localVarPath = "/routing/variables/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of RoutingVariable
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRoutingVariable: function (page, size, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/routing/variables";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update RoutingVariable
             * @param {string} id
             * @param {EngineUpdateRoutingVariableRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRoutingVariable: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateRoutingVariable.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateRoutingVariable.');
                                }
                                localVarPath = "/routing/variables/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * RoutingVariableServiceApi - functional programming interface
     * @export
     */
    var RoutingVariableServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create RoutingVariable
             * @param {EngineCreateRoutingVariableRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRoutingVariable: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingVariableServiceApiAxiosParamCreator(configuration).createRoutingVariable(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove RoutingVariable
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRoutingVariable: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingVariableServiceApiAxiosParamCreator(configuration).deleteRoutingVariable(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary RoutingVariable item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRoutingVariable: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingVariableServiceApiAxiosParamCreator(configuration).readRoutingVariable(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of RoutingVariable
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRoutingVariable: function (page, size, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingVariableServiceApiAxiosParamCreator(configuration).searchRoutingVariable(page, size, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update RoutingVariable
             * @param {string} id
             * @param {EngineUpdateRoutingVariableRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRoutingVariable: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, RoutingVariableServiceApiAxiosParamCreator(configuration).updateRoutingVariable(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * RoutingVariableServiceApi - factory interface
     * @export
     */
    var RoutingVariableServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create RoutingVariable
             * @param {EngineCreateRoutingVariableRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createRoutingVariable: function (body, options) {
                return RoutingVariableServiceApiFp(configuration)
                    .createRoutingVariable(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove RoutingVariable
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteRoutingVariable: function (id, domainId, options) {
                return RoutingVariableServiceApiFp(configuration)
                    .deleteRoutingVariable(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary RoutingVariable item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readRoutingVariable: function (id, domainId, options) {
                return RoutingVariableServiceApiFp(configuration)
                    .readRoutingVariable(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of RoutingVariable
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchRoutingVariable: function (page, size, domainId, options) {
                return RoutingVariableServiceApiFp(configuration)
                    .searchRoutingVariable(page, size, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update RoutingVariable
             * @param {string} id
             * @param {EngineUpdateRoutingVariableRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateRoutingVariable: function (id, body, options) {
                return RoutingVariableServiceApiFp(configuration)
                    .updateRoutingVariable(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * RoutingVariableServiceApi - object-oriented interface
     * @export
     * @class RoutingVariableServiceApi
     * @extends {BaseAPI}
     */
    var RoutingVariableServiceApi = /** @class */ (function (_super) {
        tslib.__extends(RoutingVariableServiceApi, _super);
        function RoutingVariableServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create RoutingVariable
         * @param {EngineCreateRoutingVariableRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingVariableServiceApi
         */
        RoutingVariableServiceApi.prototype.createRoutingVariable = function (body, options) {
            var _this = this;
            return RoutingVariableServiceApiFp(this.configuration)
                .createRoutingVariable(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove RoutingVariable
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingVariableServiceApi
         */
        RoutingVariableServiceApi.prototype.deleteRoutingVariable = function (id, domainId, options) {
            var _this = this;
            return RoutingVariableServiceApiFp(this.configuration)
                .deleteRoutingVariable(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary RoutingVariable item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingVariableServiceApi
         */
        RoutingVariableServiceApi.prototype.readRoutingVariable = function (id, domainId, options) {
            var _this = this;
            return RoutingVariableServiceApiFp(this.configuration)
                .readRoutingVariable(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of RoutingVariable
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingVariableServiceApi
         */
        RoutingVariableServiceApi.prototype.searchRoutingVariable = function (page, size, domainId, options) {
            var _this = this;
            return RoutingVariableServiceApiFp(this.configuration)
                .searchRoutingVariable(page, size, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update RoutingVariable
         * @param {string} id
         * @param {EngineUpdateRoutingVariableRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof RoutingVariableServiceApi
         */
        RoutingVariableServiceApi.prototype.updateRoutingVariable = function (id, body, options) {
            var _this = this;
            return RoutingVariableServiceApiFp(this.configuration)
                .updateRoutingVariable(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return RoutingVariableServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * SkillServiceApi - axios parameter creator
     * @export
     */
    var SkillServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @summary Create Skill
             * @param {EngineCreateSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createSkill: function (body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling createSkill.');
                                }
                                localVarPath = "/call_center/skills";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'POST' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove Skill
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteSkill: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling deleteSkill.');
                                }
                                localVarPath = "/call_center/skills/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'DELETE' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Skill item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readSkill: function (id, domainId, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling readSkill.');
                                }
                                localVarPath = "/call_center/skills/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (domainId !== undefined) {
                                    localVarQueryParameter['domain_id'] = domainId;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of Skill
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchSkill: function (page, size, q, sort, fields, id, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                localVarPath = "/call_center/skills";
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                if (page !== undefined) {
                                    localVarQueryParameter['page'] = page;
                                }
                                if (size !== undefined) {
                                    localVarQueryParameter['size'] = size;
                                }
                                if (q !== undefined) {
                                    localVarQueryParameter['q'] = q;
                                }
                                if (sort !== undefined) {
                                    localVarQueryParameter['sort'] = sort;
                                }
                                if (fields) {
                                    localVarQueryParameter['fields'] = fields;
                                }
                                if (id) {
                                    localVarQueryParameter['id'] = id;
                                }
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update Skill
             * @param {string} id
             * @param {EngineUpdateSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateSkill: function (id, body, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions, needsSerialization;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'id' is not null or undefined
                                if (id === null || id === undefined) {
                                    throw new RequiredError('id', 'Required parameter id was null or undefined when calling updateSkill.');
                                }
                                // verify required parameter 'body' is not null or undefined
                                if (body === null || body === undefined) {
                                    throw new RequiredError('body', 'Required parameter body was null or undefined when calling updateSkill.');
                                }
                                localVarPath = "/call_center/skills/{id}".replace("{" + 'id' + "}", encodeURIComponent(String(id)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'PUT' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarHeaderParameter['Content-Type'] = 'application/json';
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                needsSerialization = typeof body !== 'string' ||
                                    localVarRequestOptions.headers['Content-Type'] === 'application/json';
                                localVarRequestOptions.data = needsSerialization
                                    ? JSON.stringify(body !== undefined ? body : {})
                                    : body || '';
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * SkillServiceApi - functional programming interface
     * @export
     */
    var SkillServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @summary Create Skill
             * @param {EngineCreateSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createSkill: function (body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, SkillServiceApiAxiosParamCreator(configuration).createSkill(body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Remove Skill
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteSkill: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, SkillServiceApiAxiosParamCreator(configuration).deleteSkill(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Skill item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readSkill: function (id, domainId, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, SkillServiceApiAxiosParamCreator(configuration).readSkill(id, domainId, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary List of Skill
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchSkill: function (page, size, q, sort, fields, id, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, SkillServiceApiAxiosParamCreator(configuration).searchSkill(page, size, q, sort, fields, id, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
            /**
             *
             * @summary Update Skill
             * @param {string} id
             * @param {EngineUpdateSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateSkill: function (id, body, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, SkillServiceApiAxiosParamCreator(configuration).updateSkill(id, body, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * SkillServiceApi - factory interface
     * @export
     */
    var SkillServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @summary Create Skill
             * @param {EngineCreateSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            createSkill: function (body, options) {
                return SkillServiceApiFp(configuration)
                    .createSkill(body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Remove Skill
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            deleteSkill: function (id, domainId, options) {
                return SkillServiceApiFp(configuration)
                    .deleteSkill(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Skill item
             * @param {string} id
             * @param {string} [domainId]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            readSkill: function (id, domainId, options) {
                return SkillServiceApiFp(configuration)
                    .readSkill(id, domainId, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary List of Skill
             * @param {number} [page]
             * @param {number} [size]
             * @param {string} [q]
             * @param {string} [sort]
             * @param {Array<string>} [fields]
             * @param {Array<number>} [id]
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            searchSkill: function (page, size, q, sort, fields, id, options) {
                return SkillServiceApiFp(configuration)
                    .searchSkill(page, size, q, sort, fields, id, options)
                    .then(function (request) { return request(axios, basePath); });
            },
            /**
             *
             * @summary Update Skill
             * @param {string} id
             * @param {EngineUpdateSkillRequest} body
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            updateSkill: function (id, body, options) {
                return SkillServiceApiFp(configuration)
                    .updateSkill(id, body, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * SkillServiceApi - object-oriented interface
     * @export
     * @class SkillServiceApi
     * @extends {BaseAPI}
     */
    var SkillServiceApi = /** @class */ (function (_super) {
        tslib.__extends(SkillServiceApi, _super);
        function SkillServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @summary Create Skill
         * @param {EngineCreateSkillRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof SkillServiceApi
         */
        SkillServiceApi.prototype.createSkill = function (body, options) {
            var _this = this;
            return SkillServiceApiFp(this.configuration)
                .createSkill(body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Remove Skill
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof SkillServiceApi
         */
        SkillServiceApi.prototype.deleteSkill = function (id, domainId, options) {
            var _this = this;
            return SkillServiceApiFp(this.configuration)
                .deleteSkill(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Skill item
         * @param {string} id
         * @param {string} [domainId]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof SkillServiceApi
         */
        SkillServiceApi.prototype.readSkill = function (id, domainId, options) {
            var _this = this;
            return SkillServiceApiFp(this.configuration)
                .readSkill(id, domainId, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary List of Skill
         * @param {number} [page]
         * @param {number} [size]
         * @param {string} [q]
         * @param {string} [sort]
         * @param {Array<string>} [fields]
         * @param {Array<number>} [id]
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof SkillServiceApi
         */
        SkillServiceApi.prototype.searchSkill = function (page, size, q, sort, fields, id, options) {
            var _this = this;
            return SkillServiceApiFp(this.configuration)
                .searchSkill(page, size, q, sort, fields, id, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        /**
         *
         * @summary Update Skill
         * @param {string} id
         * @param {EngineUpdateSkillRequest} body
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof SkillServiceApi
         */
        SkillServiceApi.prototype.updateSkill = function (id, body, options) {
            var _this = this;
            return SkillServiceApiFp(this.configuration)
                .updateSkill(id, body, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return SkillServiceApi;
    }(BaseAPI));

    // tslint:disable
    /**
     * UserHelperServiceApi - axios parameter creator
     * @export
     */
    var UserHelperServiceApiAxiosParamCreator = function (configuration) {
        var _this = this;
        return {
            /**
             *
             * @param {string} type
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            defaultDeviceConfig: function (type, options) {
                if (options === void 0) { options = {}; }
                return tslib.__awaiter(_this, void 0, void 0, function () {
                    var localVarPath, localVarUrlObj, baseOptions, localVarRequestOptions, localVarHeaderParameter, localVarQueryParameter, localVarApiKeyValue, _a, headersFromBaseOptions;
                    return tslib.__generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                // verify required parameter 'type' is not null or undefined
                                if (type === null || type === undefined) {
                                    throw new RequiredError('type', 'Required parameter type was null or undefined when calling defaultDeviceConfig.');
                                }
                                localVarPath = "/user/device/config/{type}".replace("{" + 'type' + "}", encodeURIComponent(String(type)));
                                localVarUrlObj = globalImportUrl.parse(localVarPath, true);
                                if (configuration) {
                                    baseOptions = configuration.baseOptions;
                                }
                                localVarRequestOptions = tslib.__assign(tslib.__assign({ method: 'GET' }, baseOptions), options);
                                localVarHeaderParameter = {};
                                localVarQueryParameter = {};
                                if (!(configuration && configuration.apiKey)) return [3 /*break*/, 5];
                                if (!(typeof configuration.apiKey === 'function')) return [3 /*break*/, 2];
                                return [4 /*yield*/, configuration.apiKey('X-Webitel-Access')];
                            case 1:
                                _a = _b.sent();
                                return [3 /*break*/, 4];
                            case 2: return [4 /*yield*/, configuration.apiKey];
                            case 3:
                                _a = _b.sent();
                                _b.label = 4;
                            case 4:
                                localVarApiKeyValue = _a;
                                localVarHeaderParameter['X-Webitel-Access'] = localVarApiKeyValue;
                                _b.label = 5;
                            case 5:
                                localVarUrlObj.query = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarUrlObj.query), localVarQueryParameter), options.query);
                                // fix override query string Detail: https://stackoverflow.com/a/7517673/1077943
                                delete localVarUrlObj.search;
                                headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
                                localVarRequestOptions.headers = tslib.__assign(tslib.__assign(tslib.__assign({}, localVarHeaderParameter), headersFromBaseOptions), options.headers);
                                return [2 /*return*/, {
                                        url: globalImportUrl.format(localVarUrlObj),
                                        options: localVarRequestOptions,
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * UserHelperServiceApi - functional programming interface
     * @export
     */
    var UserHelperServiceApiFp = function (configuration) {
        return {
            /**
             *
             * @param {string} type
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            defaultDeviceConfig: function (type, options) {
                return tslib.__awaiter(this, void 0, void 0, function () {
                    var localVarAxiosArgs;
                    return tslib.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, UserHelperServiceApiAxiosParamCreator(configuration).defaultDeviceConfig(type, options)];
                            case 1:
                                localVarAxiosArgs = _a.sent();
                                return [2 /*return*/, function (axios, basePath) {
                                        if (axios === void 0) { axios = globalAxios; }
                                        if (basePath === void 0) { basePath = BASE_PATH; }
                                        var axiosRequestArgs = tslib.__assign(tslib.__assign({}, localVarAxiosArgs.options), { url: basePath + localVarAxiosArgs.url });
                                        return axios.request(axiosRequestArgs);
                                    }];
                        }
                    });
                });
            },
        };
    };
    /**
     * UserHelperServiceApi - factory interface
     * @export
     */
    var UserHelperServiceApiFactory = function (configuration, basePath, axios) {
        return {
            /**
             *
             * @param {string} type
             * @param {*} [options] Override http request option.
             * @throws {RequiredError}
             */
            defaultDeviceConfig: function (type, options) {
                return UserHelperServiceApiFp(configuration)
                    .defaultDeviceConfig(type, options)
                    .then(function (request) { return request(axios, basePath); });
            },
        };
    };
    /**
     * UserHelperServiceApi - object-oriented interface
     * @export
     * @class UserHelperServiceApi
     * @extends {BaseAPI}
     */
    var UserHelperServiceApi = /** @class */ (function (_super) {
        tslib.__extends(UserHelperServiceApi, _super);
        function UserHelperServiceApi() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         *
         * @param {string} type
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         * @memberof UserHelperServiceApi
         */
        UserHelperServiceApi.prototype.defaultDeviceConfig = function (type, options) {
            var _this = this;
            return UserHelperServiceApiFp(this.configuration)
                .defaultDeviceConfig(type, options)
                .then(function (request) { return request(_this.axios, _this.basePath); });
        };
        return UserHelperServiceApi;
    }(BaseAPI));

    // tslint:disable

    // tslint:disable
    /**
     * Webitel engine API
     * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
     *
     * The version of the OpenAPI document: 20.12.0
     * Contact: support@webitel.com
     *
     * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
     * https://openapi-generator.tech
     * Do not edit the class manually.
     */
    var Configuration = /** @class */ (function () {
        function Configuration(param) {
            if (param === void 0) { param = {}; }
            this.apiKey = param.apiKey;
            this.username = param.username;
            this.password = param.password;
            this.accessToken = param.accessToken;
            this.basePath = param.basePath;
            this.baseOptions = param.baseOptions;
        }
        return Configuration;
    }());

    var Log = /** @class */ (function () {
        function Log() {
        }
        Log.prototype.debug = function (msg) {
            var supportingDetails = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                supportingDetails[_i - 1] = arguments[_i];
            }
            this.emitLogMessage('debug', msg, supportingDetails);
        };
        Log.prototype.info = function (msg) {
            var supportingDetails = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                supportingDetails[_i - 1] = arguments[_i];
            }
            this.emitLogMessage('info', msg, supportingDetails);
        };
        Log.prototype.warn = function (msg) {
            var supportingDetails = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                supportingDetails[_i - 1] = arguments[_i];
            }
            this.emitLogMessage('warn', msg, supportingDetails);
        };
        Log.prototype.error = function (msg) {
            var supportingDetails = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                supportingDetails[_i - 1] = arguments[_i];
            }
            this.emitLogMessage('error', msg, supportingDetails);
        };
        Log.prototype.emitLogMessage = function (msgType, msg, supportingDetails) {
            if (supportingDetails.length > 0) {
                console[msgType].apply(console, tslib.__spreadArrays([msg], supportingDetails));
            }
            else {
                console[msgType](msg);
            }
        };
        return Log;
    }());

    var Session = /** @class */ (function () {
        function Session(e) {
            this.session = e.session;
            this.callId = e.request.getHeader('X-Webitel-Uuid');
            this.incoming = e.session.direction === 'incoming';
            this.instanceId = e.request.getHeader('X-Webitel-Sock-Id');
        }
        Object.defineProperty(Session.prototype, "id", {
            get: function () {
                return this.session.id;
            },
            enumerable: true,
            configurable: true
        });
        Session.prototype.getLocalMedia = function () {
            if (this.session.connection) {
                var local = this.session.connection.getLocalStreams();
                if (local.length) {
                    return local;
                }
            }
            return [];
        };
        Session.prototype.getPeerMedia = function () {
            if (this.session.connection) {
                var peer = this.session.connection.getRemoteStreams();
                if (peer.length) {
                    return peer;
                }
            }
            return [];
        };
        Session.prototype.answer = function (s) {
            var _this = this;
            return new Promise(function () {
                _this.session.answer(s);
            });
        };
        return Session;
    }());

    var SipPhone = /** @class */ (function (_super) {
        tslib.__extends(SipPhone, _super);
        function SipPhone(instanceId, debug) {
            var _this = _super.call(this) || this;
            _this.instanceId = instanceId;
            _this.type = 'webrtc';
            _this.sessionCache = new Map();
            if (debug) {
                JsSip.debug.enable('*');
            }
            else {
                JsSip.debug.disable();
            }
            _this.log = new Log();
            _this.on('unregistered', function () {
                _this.sessionCache.clear();
            });
            return _this;
        }
        SipPhone.prototype.callOption = function (req) {
            if (req === void 0) { req = {}; }
            return tslib.__awaiter(this, void 0, void 0, function () {
                var mediaStream;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.getUserCallStream(req)];
                        case 1:
                            mediaStream = _a.sent();
                            return [2 /*return*/, {
                                    sessionTimersExpires: 120,
                                    pcConfig: req.disableStun
                                        ? undefined
                                        : {
                                            iceServers: [{ urls: ['stun:stun.l.google.com:19302'] }],
                                        },
                                    mediaStream: mediaStream,
                                }];
                    }
                });
            });
        };
        SipPhone.prototype.answer = function (id, req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var session, params;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!this.sessionCache.has(id)) return [3 /*break*/, 2];
                            session = this.sessionCache.get(id);
                            return [4 /*yield*/, this.callOption(req)];
                        case 1:
                            params = _a.sent();
                            return [2 /*return*/, session.answer(params)];
                        case 2: return [2 /*return*/, false];
                    }
                });
            });
        };
        SipPhone.prototype.call = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var params, display, invite;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            params = {};
                            display = null;
                            if (req.params) {
                                params.audio = req.params.audio;
                                params.video = req.params.video || false;
                                params.screen = req.params.screen || false;
                                params.disableStun = req.params.disableStun || false;
                            }
                            if (typeof req.destination !== 'string') {
                                throw new Error('bad destination type');
                            }
                            return [4 /*yield*/, this.callOption(params)];
                        case 1:
                            invite = _a.sent();
                            if (req.params && req.params.display) {
                                display = {
                                    extraHeaders: ["X-Webitel-Display: " + req.params.display],
                                };
                            }
                            return [4 /*yield*/, this.ua.call(req.destination, tslib.__assign(tslib.__assign({}, invite), display))];
                        case 2:
                            _a.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        SipPhone.prototype.register = function (sipConf) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var socket, configuration, ua;
                var _this = this;
                return tslib.__generator(this, function (_a) {
                    socket = new JsSip.WebSocketInterface(sipConf.server);
                    configuration = {
                        realm: sipConf.realm,
                        uri: sipConf.uri,
                        authorization_user: sipConf.authorization_user,
                        ha1: sipConf.ha1,
                        user_agent: SipPhone.userAgent,
                        sockets: [socket],
                        session_timers: true,
                        // use_preloaded_route: true,
                        display_name: sipConf.display_name,
                        register_expires: sipConf.register_expires || 90,
                        connection_recovery_min_interval: 5,
                        connection_recovery_max_interval: 60,
                    };
                    ua = (this.ua = new JsSip.UA(configuration));
                    // ua.on('connected', (e: object) => {})
                    ua.on('newRTCSession', function (e) {
                        var session = e.session;
                        var id = session.id;
                        var callSession = new Session(e);
                        _this.storeSession(id, callSession);
                        session.on('connecting', function () {
                            _this.emit('localStreams', callSession, session.connection.getLocalStreams());
                        });
                        if (session.connection) {
                            session.connection.addEventListener('addstream', function (evt) {
                                _this.emit('peerStreams', callSession, new Array(evt.stream));
                            });
                        }
                        session.on('peerconnection', function (peer) {
                            peer.peerconnection.addEventListener('addstream', function (evt) { return tslib.__awaiter(_this, void 0, void 0, function () {
                                return tslib.__generator(this, function (_a) {
                                    // set remote audio stream
                                    this.emit('peerStreams', callSession, new Array(evt.stream));
                                    return [2 /*return*/];
                                });
                            }); });
                        });
                        session.on('ended', function () {
                            // this handler will be called for incoming calls too
                            _this.removeSession(id, session.connection);
                        });
                        session.on('failed', function () {
                            // this handler will be called for incoming calls too
                            _this.removeSession(id, session.connection);
                        });
                        session.on('accepted', function () {
                            // the call has answered
                            if (!callSession.incoming) {
                                _this.emit('peerStreams', callSession, session.connection.getRemoteStreams());
                            }
                        });
                        session.on('confirmed', function () {
                            // this handler will be called for incoming calls too
                        });
                        _this.emit('newSession', callSession);
                    });
                    ua.on('disconnected', function (e) {
                        _this.emit('unregistered');
                    });
                    // ua.on('registered', (e: object) => {})
                    ua.on('unregistered', function (e) {
                        _this.emit('unregistered');
                    });
                    ua.on('registrationFailed', function (e) {
                        _this.log.error('registrationFailed', e);
                    });
                    ua.on('registered', function (e) {
                        _this.emit('registered');
                    });
                    ua.start();
                    return [2 /*return*/];
                });
            });
        };
        SipPhone.prototype.unregister = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!this.ua) return [3 /*break*/, 2];
                            this.ua.removeAllListeners();
                            return [4 /*yield*/, this.ua.stop()];
                        case 1:
                            _a.sent();
                            delete this.ua;
                            _a.label = 2;
                        case 2: return [2 /*return*/];
                    }
                });
            });
        };
        SipPhone.prototype.sipSessionByCallId = function (id) {
            for (var _i = 0, _a = this.allSession; _i < _a.length; _i++) {
                var sess = _a[_i];
                if (sess.callId === id) {
                    return sess;
                }
            }
            return null;
        };
        SipPhone.prototype.sipSessionBySipId = function (id) {
            for (var _i = 0, _a = this.allSession; _i < _a.length; _i++) {
                var sess = _a[_i];
                if (sess.id.startsWith(id)) {
                    return sess;
                }
            }
            return null;
        };
        SipPhone.prototype.removeSession = function (id, connection) {
            if (connection) {
                var localStreams = connection.getLocalStreams();
                var remoteStreams = connection.getRemoteStreams();
                if (localStreams) {
                    localStreams.forEach(function (stream) {
                        stream.getTracks().forEach(function (track) {
                            track.stop();
                        });
                    });
                }
                if (remoteStreams) {
                    remoteStreams.forEach(function (stream) {
                        stream.getTracks().forEach(function (track) {
                            track.stop();
                        });
                    });
                }
            }
            if (this.sessionCache.has(id)) {
                this.sessionCache.delete(id);
                return true;
            }
            return false;
        };
        SipPhone.prototype.storeSession = function (id, session) {
            if (this.sessionCache.has(id)) {
                throw new Error('Session already store');
            }
            this.sessionCache.set(id, session);
        };
        Object.defineProperty(SipPhone.prototype, "allSession", {
            get: function () {
                return Array.from(this.sessionCache.values());
            },
            enumerable: true,
            configurable: true
        });
        SipPhone.prototype.getMediaConstraints = function (req) {
            if (req.screen) {
                return {
                    video: false,
                    audio: false,
                    screen: true,
                };
            }
            return {
                video: req.video || false,
                audio: true,
            };
        };
        SipPhone.prototype.getSession = function (id) {
            if (this.sessionCache.has(id)) {
                return this.sessionCache.get(id);
            }
            return null;
        };
        SipPhone.prototype.hasSession = function (id) {
            return this.sessionCache.has(id);
        };
        SipPhone.prototype.getUserScreen = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var _this = this;
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, new Promise(function (resolve, reject) { return tslib.__awaiter(_this, void 0, void 0, function () {
                            var stream, e_1;
                            return tslib.__generator(this, function (_a) {
                                switch (_a.label) {
                                    case 0:
                                        _a.trys.push([0, 2, , 3]);
                                        return [4 /*yield*/, navigator.mediaDevices.getDisplayMedia()];
                                    case 1:
                                        stream = (_a.sent());
                                        resolve(stream);
                                        return [3 /*break*/, 3];
                                    case 2:
                                        e_1 = _a.sent();
                                        reject(e_1);
                                        return [3 /*break*/, 3];
                                    case 3: return [2 /*return*/];
                                }
                            });
                        }); })];
                });
            });
        };
        SipPhone.prototype.getUserCallStream = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var stream, camera;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!(req.screen === true)) return [3 /*break*/, 2];
                            return [4 /*yield*/, this.getUserScreen()];
                        case 1:
                            stream = _a.sent();
                            _a.label = 2;
                        case 2:
                            if (!(req.audio !== false || req.video)) return [3 /*break*/, 4];
                            return [4 /*yield*/, this.getUserMedia(req.audio, req.video)];
                        case 3:
                            camera = _a.sent();
                            if (stream) {
                                camera.getTracks().forEach(function (track) {
                                    stream.addTrack(track);
                                });
                            }
                            else {
                                stream = camera;
                            }
                            _a.label = 4;
                        case 4:
                            if (!stream) {
                                throw new Error('bad stream request');
                            }
                            return [2 /*return*/, stream];
                    }
                });
            });
        };
        SipPhone.prototype.getUserMedia = function (audio, video) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var _this = this;
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, new Promise(function (resolve, reject) { return tslib.__awaiter(_this, void 0, void 0, function () {
                            var mediaConstraints;
                            return tslib.__generator(this, function (_a) {
                                mediaConstraints = {
                                    audio: !(audio === false),
                                    video: undefined,
                                };
                                if (video) {
                                    mediaConstraints.video = {
                                        width: { min: 10, ideal: 1280, max: 1920 },
                                        height: { min: 10, ideal: 720, max: 1080 },
                                        frameRate: { ideal: 10, max: 15 },
                                    };
                                }
                                return [2 /*return*/, getMediaStream(mediaConstraints)
                                        .then(resolve)
                                        .catch(reject)];
                            });
                        }); })];
                });
            });
        };
        SipPhone.userAgent = 'Webitel-Phone/0.0.1';
        return SipPhone;
    }(eeTs.EventEmitter));
    function getMediaStream(constraints) {
        return tslib.__awaiter(this, void 0, void 0, function () {
            return tslib.__generator(this, function (_a) {
                return [2 /*return*/, new Promise(function (resolve, reject) {
                        if (navigator.mediaDevices && navigator.mediaDevices.getUserMedia) {
                            navigator.mediaDevices
                                .getUserMedia(constraints)
                                .then(function (stream) { return resolve(stream); })
                                .catch(function (err) { return reject(err); });
                        }
                        else {
                            /// <reference types="webrtc" />
                            var getUserMedia_1 = navigator.getUserMedia ||
                                navigator.webkitGetUserMedia ||
                                navigator.mozGetUserMedia ||
                                navigator.msGetUserMedia;
                            getUserMedia_1(constraints, function (stream) { return resolve(stream); }, function (err) { return reject(err); });
                        }
                    })];
            });
        });
    }

    var ChannelName;
    (function (ChannelName) {
        ChannelName["Call"] = "call";
        ChannelName["Chat"] = "chat";
        ChannelName["Task"] = "task";
    })(ChannelName || (ChannelName = {}));
    var Task = /** @class */ (function () {
        function Task(client, e, distribute) {
            this.client = client;
            this.distribute = distribute;
            this.id = e.attempt_id;
            this.state = e.status;
            this.lastStatusChange = e.timestamp;
            this.createdAt = e.timestamp;
            this._processing = null;
            this.offeringAt = 0;
            this.answeredAt = 0;
            this.bridgedAt = 0;
            this.startProcessingAt = 0;
            this.stopAt = 0;
            this.closedAt = 0;
            this.communication = distribute.communication;
            this.history = [distribute];
        }
        Object.defineProperty(Task.prototype, "queue", {
            get: function () {
                return {
                    id: this.distribute.queue_id,
                    name: this.distribute.queue_name,
                };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "duration", {
            get: function () {
                return Math.round((Date.now() - this.lastStatusChange) / 1000);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "channel", {
            get: function () {
                return this.distribute.channel;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "allowAccept", {
            get: function () {
                return (this.channel === ChannelName.Task &&
                    (this.bridgedAt === 0 && this.closedAt === 0));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "allowDecline", {
            get: function () {
                return this.allowAccept;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "allowClose", {
            get: function () {
                return (this.channel === ChannelName.Task &&
                    this.closedAt === 0 &&
                    this.bridgedAt > 0);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "memberId", {
            get: function () {
                return this.distribute.member_id;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "queueId", {
            get: function () {
                return this.distribute.queue_id;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "hasReporting", {
            get: function () {
                return this.distribute.has_reporting;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "allowReporting", {
            get: function () {
                return this.hasReporting && this.bridgedAt > 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "agentChannelId", {
            get: function () {
                return this.distribute.agent_channel_id;
            },
            enumerable: true,
            configurable: true
        });
        Task.prototype.setAnswered = function (t) {
            this.answeredAt = t;
            this.lastStatusChange = Date.now();
        };
        Task.prototype.setBridged = function (t) {
            this.bridgedAt = t;
            this.lastStatusChange = Date.now();
        };
        Task.prototype.setProcessing = function (p) {
            if (!this.startProcessingAt) {
                this.startProcessingAt = Date.now();
            }
            if (p.sec) {
                p.timeout = Date.now() + p.sec * 1000; // bug
            }
            this._processing = p;
        };
        Task.prototype.setTransferred = function (d) {
            this.distribute = d;
            this.history.push(d);
        };
        Object.defineProperty(Task.prototype, "processingTimeoutAt", {
            get: function () {
                if (!this._processing || !this._processing.timeout) {
                    return null;
                }
                return this._processing.timeout;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "processingSec", {
            get: function () {
                if (!this._processing || !this._processing.sec) {
                    return null;
                }
                return this._processing.sec;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Task.prototype, "renewalSec", {
            get: function () {
                if (!this._processing || !this._processing.renewal_sec) {
                    return null;
                }
                return this._processing.renewal_sec;
            },
            enumerable: true,
            configurable: true
        });
        /*
          control
         */
        Task.prototype.accept = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request("cc_agent_task_accept", {
                            agent_id: this.distribute.agent_id,
                            attempt_id: this.id,
                            app_id: this.distribute.app_id,
                        })];
                });
            });
        };
        Task.prototype.close = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request("cc_agent_task_close", {
                            agent_id: this.distribute.agent_id,
                            attempt_id: this.id,
                            app_id: this.distribute.app_id,
                        })];
                });
            });
        };
        // todo
        Task.prototype.decline = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request("cc_agent_task_close", {
                            agent_id: this.distribute.agent_id,
                            attempt_id: this.id,
                            app_id: this.distribute.app_id,
                        })];
                });
            });
        };
        Task.prototype.reporting = function (reporting) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request('cc_reporting', tslib.__assign({ attempt_id: this.id }, reporting))];
                });
            });
        };
        Task.prototype.renew = function (sec) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request('cc_renewal', {
                            attempt_id: this.id,
                            renewal_sec: sec ? sec : this.processingSec,
                        })];
                });
            });
        };
        return Task;
    }());

    (function (AgentStatus) {
        AgentStatus["Online"] = "online";
        AgentStatus["Offline"] = "offline";
        AgentStatus["Pause"] = "pause";
        AgentStatus["BreakOut"] = "break_out";
    })(exports.AgentStatus || (exports.AgentStatus = {}));
    (function (ChannelState) {
        ChannelState["Waiting"] = "waiting";
        ChannelState["Distribute"] = "distribute";
        ChannelState["Offering"] = "offering";
        ChannelState["Answered"] = "answered";
        ChannelState["Active"] = "active";
        ChannelState["Bridged"] = "bridged";
        ChannelState["Hold"] = "hold";
        ChannelState["Missed"] = "missed";
        ChannelState["WrapTime"] = "wrap_time";
        ChannelState["Processing"] = "processing";
        ChannelState["Transfer"] = "transfer";
    })(exports.ChannelState || (exports.ChannelState = {}));
    (function (ChannelType) {
        ChannelType["Call"] = "call";
        ChannelType["Email"] = "email";
        ChannelType["Chat"] = "chat";
    })(exports.ChannelType || (exports.ChannelType = {}));
    var Agent = /** @class */ (function () {
        function Agent(client, info) {
            this.client = client;
            this.info = info;
            this.task = new Map();
            this._channel = info.channels[0]; // todo
            this.lastStatusChange = Date.now() - this.info.status_duration * 1000;
        }
        Object.defineProperty(Agent.prototype, "agentId", {
            get: function () {
                return this.info.agent_id;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "onDemand", {
            get: function () {
                return this.info.on_demand;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "status", {
            get: function () {
                return this.info.status;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "statusPayload", {
            get: function () {
                return this.info.status_payload;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "isAdmin", {
            get: function () {
                return this.info.is_admin;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "isSupervisor", {
            get: function () {
                return this.info.is_supervisor;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "team", {
            get: function () {
                return this.info.team;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "supervisor", {
            get: function () {
                return this.info.supervisor;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "auditor", {
            get: function () {
                return this.info.auditor;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "channels", {
            get: function () {
                return [this._channel];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "channel", {
            get: function () {
                return this._channel;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Agent.prototype, "stateDuration", {
            get: function () {
                return Math.round((Date.now() - this.lastStatusChange) / 1000);
            },
            enumerable: true,
            configurable: true
        });
        // todo need refactor
        Agent.prototype.onChannelEvent = function (e) {
            var task;
            switch (e.status) {
                case exports.ChannelState.Distribute:
                    var distributeEvent = e;
                    if (!distributeEvent) {
                        throw new Error('bad event');
                    }
                    task = new Task(this.client, e, distributeEvent.distribute);
                    this.task.set(task.id, task);
                    if (task.agentChannelId) {
                        switch (task.channel) {
                            case exports.ChannelType.Call:
                                var call = this.client.callById(task.agentChannelId);
                                if (call && !call.task) {
                                    call.task = task;
                                }
                                break;
                            case exports.ChannelType.Chat:
                                var chat = this.client.conversationById(task.agentChannelId);
                                if (chat && !chat.task) {
                                    chat.task = task;
                                }
                                break;
                            default:
                        }
                    }
                    break;
                case exports.ChannelState.Offering:
                    task = this.task.get(e.attempt_id);
                    if (task) {
                        task.offeringAt = e.timestamp;
                    }
                    break;
                case exports.ChannelState.Bridged:
                    task = this.task.get(e.attempt_id);
                    if (task) {
                        task.bridgedAt = e.timestamp;
                    }
                    break;
                case exports.ChannelState.Transfer:
                    var transfer = e;
                    task = this.task.get(transfer.to_attempt_id);
                    if (task) {
                        this.task.delete(task.id);
                        task.id = transfer.attempt_id;
                        task.setTransferred(transfer.distribute);
                        this.task.set(task.id, task);
                    }
                    break;
                case exports.ChannelState.Answered:
                    task = this.task.get(e.attempt_id);
                    if (task) {
                        task.answeredAt = e.timestamp;
                    }
                    break;
                case exports.ChannelState.Missed:
                    if (e.attempt_id) {
                        task = this.task.get(e.attempt_id);
                        if (task) {
                            task.stopAt = e.timestamp;
                            var missedEvent = e;
                            if (!missedEvent) {
                                throw new Error('bad event');
                            }
                            this.setChannelStateTimeout(e.channel, e, missedEvent.missed.timeout);
                            this.task.delete(e.attempt_id);
                            this.client.reportingChannelTask(task);
                            return task;
                        }
                    }
                    break;
                case exports.ChannelState.WrapTime:
                    if (e.attempt_id) {
                        var wrapTimeEvent = e;
                        if (!wrapTimeEvent) {
                            throw new Error('bad event');
                        }
                        task = this.task.get(e.attempt_id);
                        this.task.delete(e.attempt_id);
                        this.client.reportingChannelTask(task);
                    }
                    break;
                case exports.ChannelState.Processing:
                    if (e.attempt_id) {
                        var processingEvent = e;
                        if (!processingEvent) {
                            throw new Error('bad event');
                        }
                        task = this.task.get(e.attempt_id);
                        if (task) {
                            task.state = e.status;
                            task.closedAt = e.timestamp; // todo
                            task.setProcessing(processingEvent.processing);
                            this.setChannelStateTimeout(e.channel, e, processingEvent.processing.timeout);
                            return task;
                        }
                    }
                    break;
                // TODO
                case exports.ChannelState.Waiting:
                    if (e.attempt_id) {
                        task = this.task.get(e.attempt_id);
                        if (task) {
                            task.stopAt = e.timestamp;
                            this.task.delete(e.attempt_id);
                            this.client.reportingChannelTask(task);
                        }
                    }
                    break;
                default:
                // throw new Error("not found task")
            }
            this.setChannelState(e.channel, e);
            if (task) {
                task.state = e.status;
                return task;
            }
            else {
                return undefined;
            }
        };
        Agent.prototype.online = function (channels, onDemand) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.agentSetOnline(this.agentId, channels, onDemand)];
                });
            });
        };
        Agent.prototype.waiting = function (channel) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.agentSetWaiting(this.agentId, channel)];
                });
            });
        };
        Agent.prototype.pause = function (payload) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.agentSetPause(this.agentId, payload)];
                });
            });
        };
        Agent.prototype.offline = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.agentSetOffline(this.agentId)];
                });
            });
        };
        Agent.prototype.setStatus = function (e) {
            if (e.status === exports.AgentStatus.Online) {
                this.info.on_demand = e.on_demand || false;
                this._channel = e.channels[0];
            }
            this.info.status = e.status;
            this.info.status_payload = e.status_payload ? e.status_payload : null;
            this.lastStatusChange = Date.now();
        };
        Agent.prototype.directMember = function (memberId, communicationId) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request("cc_member_direct", {
                            agent_id: this.agentId,
                            member_id: memberId,
                            communication_id: communicationId,
                        })];
                });
            });
        };
        Agent.prototype.offlineMembers = function (q, page, perPage) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request("cc_fetch_offline_members", {
                            agent_id: this.agentId,
                            page: page,
                            q: q,
                            per_page: perPage,
                        })];
                });
            });
        };
        Agent.prototype.hasTask = function (task) {
            return this.task.has(task.id);
        };
        Agent.prototype.setChannelState = function (name, e) {
            this._channel.channel = name ? name : null;
            this._channel.state = e.status;
            this._channel.joined_at = e.timestamp;
            this._channel.timeout = undefined;
        };
        Agent.prototype.setChannelStateTimeout = function (name, e, timeout) {
            this._channel.channel = name ? name : null;
            this._channel.state = e.status; // FIXME
            this._channel.timeout = timeout;
            this._channel.joined_at = e.timestamp;
        };
        return Agent;
    }());

    (function (CallReportingStatus) {
        CallReportingStatus["Abandoned"] = "abandoned";
        CallReportingStatus["Cancel"] = "cancel";
        CallReportingStatus["Success"] = "success";
    })(exports.CallReportingStatus || (exports.CallReportingStatus = {}));
    (function (CallActions) {
        CallActions["Ringing"] = "ringing";
        CallActions["Active"] = "active";
        CallActions["Bridge"] = "bridge";
        CallActions["Hold"] = "hold";
        CallActions["DTMF"] = "dtmf";
        CallActions["Voice"] = "voice";
        CallActions["Silence"] = "silence";
        CallActions["Execute"] = "execute";
        CallActions["Update"] = "update";
        CallActions["Hangup"] = "hangup";
        CallActions["Reporting"] = "reporting";
        CallActions["PeerStream"] = "peerStream";
        CallActions["LocalStream"] = "localStream";
        CallActions["Destroy"] = "destroy";
    })(exports.CallActions || (exports.CallActions = {}));
    (function (CallDirection) {
        CallDirection["Inbound"] = "inbound";
        CallDirection["Outbound"] = "outbound";
    })(exports.CallDirection || (exports.CallDirection = {}));
    var Call = /** @class */ (function () {
        function Call(client, e) {
            this.client = client;
            // FIXME check _muted from channel
            var callInfo = e.data;
            this._muted = false;
            this.voice = true;
            this.createdAt = +e.timestamp;
            this.task = null;
            this.data = null;
            this.answeredAt = 0;
            this.hangupAt = 0;
            this.bridgedAt = 0;
            this.reportingAt = 0;
            this.autoAnswered = false;
            this.peerStreams = [];
            this.localStreams = [];
            // fixme
            if (client.phone) {
                if (callInfo.sip_id) {
                    this.setSip(client.phone.sipSessionBySipId(callInfo.sip_id));
                }
                else {
                    this.setSip(client.phone.sipSessionByCallId(e.id));
                }
            }
            this.params = {};
            this.id = e.id;
            this.digits = [];
            this.applications = [];
            this.appId = e.app_id;
            this.setState(e);
            this.setInfo(callInfo);
            if (this.queue && this.client.agent) {
                this.task = this.client.agent.task.get(+this.queue.attempt_id) || null;
            }
        }
        // set private
        Call.prototype.setState = function (s) {
            this.state = s.event;
        };
        Call.prototype.setSip = function (sip) {
            if (sip && !this.sip) {
                this.sip = sip;
                this.localStreams = sip.getLocalMedia();
                this.peerStreams = sip.getPeerMedia();
            }
        };
        Object.defineProperty(Call.prototype, "duration", {
            get: function () {
                if (this.hangupAt === 0) {
                    return Math.round((Date.now() - this.createdAt) / 1000); // tslint:disable-line
                }
                else {
                    return Math.round((this.hangupAt - this.createdAt) / 1000); // tslint:disable-line
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "allowDtmf", {
            get: function () {
                return this.answeredAt > 0 && this.allowHangup;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "allowHangup", {
            get: function () {
                return this.hangupAt === 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "allowHold", {
            get: function () {
                return (this.hangupAt === 0 &&
                    (this.state === 'active' || this.state === 'bridge'));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "allowAnswer", {
            get: function () {
                return (this.client.phone &&
                    this.hangupAt === 0 &&
                    this.answeredAt === 0 &&
                    (this.queue ||
                        this.direction === exports.CallDirection.Inbound ||
                        (this.params && !this.params.autoAnswer)));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "allowUnHold", {
            get: function () {
                return this.hangupAt === 0 && this.state === 'hold';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "memberCommunication", {
            get: function () {
                if (!this.task) {
                    return null;
                }
                else {
                    return this.task.communication;
                }
            },
            enumerable: true,
            configurable: true
        });
        // todo
        Call.prototype.getMember = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (!this.isMember) {
                        throw new Error("call is not from outbound queue");
                    }
                    return [2 /*return*/, this.client.request("cc_member_page", {
                            queue_id: this.task.queueId,
                            member_id: this.task.memberId,
                        })];
                });
            });
        };
        Object.defineProperty(Call.prototype, "isMember", {
            get: function () {
                return !!(this.task && this.task.memberId);
            },
            enumerable: true,
            configurable: true
        });
        Call.prototype.setActive = function (e) {
            if (!this.answeredAt) {
                if (this.direction === exports.CallDirection.Inbound) {
                    this.bridgedAt = +e.timestamp;
                    if (this.parentId) {
                        this.bridgedId = this.parentId;
                    }
                }
                this.answeredAt = +e.timestamp;
            }
            this.setState(e);
        };
        Call.prototype.setBridged = function (s) {
            var bridged = s.data;
            if (!this.bridgedAt) {
                this.bridgedAt = +s.timestamp;
            }
            this.bridgedId = bridged.bridged_id;
            if (bridged.to) {
                if (this.direction === exports.CallDirection.Inbound) {
                    this.from = bridged.to;
                }
                else {
                    this.to = bridged.to;
                }
            }
            this.bridgedId = bridged.bridged_id;
            if (bridged.payload) {
                this.variables = bridged.payload;
            }
            if (bridged.queue) {
                this.queue = bridged.queue;
            }
        };
        Call.prototype.setHold = function (e) {
            this.setState(e);
        };
        Call.prototype.setInfo = function (s) {
            this.parentId = s.parent_id;
            this.destination = s.destination;
            this.direction = s.direction;
            this.from = s.from;
            this.to = s.to;
            this.variables = s.payload;
            this.queue = s.queue || null;
            this.sipId = s.sip_id || null;
            this.params = s.params;
        };
        Call.prototype.setPeerStreams = function (streams) {
            if (!streams) {
                this.peerStreams = [];
            }
            else {
                this.peerStreams = streams;
            }
        };
        Call.prototype.setLocalStreams = function (streams) {
            if (!streams) {
                this.localStreams = [];
            }
            else {
                this.localStreams = streams;
            }
        };
        Call.prototype.setVoice = function () {
            this.voice = true;
        };
        Call.prototype.setSilence = function () {
            this.voice = false;
        };
        Call.prototype.setExecute = function (s) {
            this.applications.push(s.application);
        };
        Call.prototype.addDigit = function (s) {
            this.digits.push(s.digit);
        };
        Call.prototype.setHangup = function (s) {
            var hangup = s.data;
            this.hangupAt = +s.timestamp;
            this.hangupCause = hangup.cause;
            this.hangupSipCode = hangup.sip;
            this.voice = false;
            this.peerStreams = [];
            if (+hangup.reporting_at) {
                this.reportingAt = +hangup.reporting_at; // FIXME type number
            }
            this.setState(s);
        };
        Object.defineProperty(Call.prototype, "allowReporting", {
            get: function () {
                return this.answeredAt > 0 && this.hasReporting;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "hasReporting", {
            get: function () {
                if (this.task) {
                    return this.task.hasReporting;
                }
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "display", {
            get: function () {
                return this.displayNumber + " (" + this.displayName + ")";
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "muted", {
            get: function () {
                return this._muted;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "isHold", {
            get: function () {
                return this.state === exports.CallActions.Hold;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "allowInboundVideo", {
            get: function () {
                if (this.params) {
                    return this.params.video || false;
                }
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "allowOutboundVideo", {
            get: function () {
                if (this.params) {
                    return this.params.video || false;
                }
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "active", {
            get: function () {
                return this.hangupAt === 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "displayNumber", {
            get: function () {
                if (this.direction === 'inbound') {
                    return this.from.number;
                }
                else {
                    if (this.to) {
                        return this.to.number;
                    }
                    return this.destination;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "displayName", {
            get: function () {
                if (this.direction === 'inbound') {
                    return this.from.name;
                }
                else {
                    if (this.to) {
                        return this.to.name;
                    }
                    return this.destination;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Call.prototype, "autoAnswer", {
            get: function () {
                return ((this.queue && this.queue.queue_type === 'offline') ||
                    (this.params && this.params.autoAnswer === true));
            },
            enumerable: true,
            configurable: true
        });
        /* Call control */
        Call.prototype.answer = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var params;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!(this.sip && this.client.phone)) return [3 /*break*/, 3];
                            return [4 /*yield*/, this.client.phone.callOption(req)];
                        case 1:
                            params = _a.sent();
                            return [4 /*yield*/, this.sip.answer(params)];
                        case 2:
                            _a.sent();
                            return [2 /*return*/, true];
                        case 3: return [2 /*return*/, false];
                    }
                });
            });
        };
        Call.prototype.answerDelay = function (req, delay) {
            var _this = this;
            if (this.autoAnswered) {
                return;
            }
            this.autoAnswered = true;
            setTimeout(function () { return tslib.__awaiter(_this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.answer(req)];
                        case 1:
                            _a.sent();
                            return [2 /*return*/];
                    }
                });
            }); }, delay);
        };
        Call.prototype.hangup = function (cause) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var _cause;
                return tslib.__generator(this, function (_a) {
                    _cause = cause;
                    if (this.answeredAt === 0 && !cause) {
                        _cause =
                            this.direction === exports.CallDirection.Inbound
                                ? 'USER_BUSY'
                                : 'ORIGINATOR_CANCEL';
                    }
                    return [2 /*return*/, this.client.request('call_hangup', {
                            id: this.id,
                            app_id: this.appId,
                            cause: _cause,
                        })];
                });
            });
        };
        Call.prototype.eavesdrop = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    req.id = this.id;
                    return [2 /*return*/, this.client.request('call_eavesdrop', req)];
                });
            });
        };
        Call.prototype.toggleHold = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (this.state === exports.CallActions.Hold) {
                        return [2 /*return*/, this.unHold()];
                    }
                    else {
                        return [2 /*return*/, this.hold()];
                    }
                    return [2 /*return*/];
                });
            });
        };
        Call.prototype.hold = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (this.state === exports.CallActions.Hold) {
                        throw new Error('Call is hold');
                    }
                    return [2 /*return*/, this.client.request('call_hold', {
                            id: this.id,
                            app_id: this.appId,
                        })];
                });
            });
        };
        Call.prototype.unHold = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (this.state !== exports.CallActions.Hold) {
                        throw new Error('Call is active');
                    }
                    return [2 /*return*/, this.client.request('call_unhold', {
                            id: this.id,
                            app_id: this.appId,
                        })];
                });
            });
        };
        Call.prototype.sendDTMF = function (dtmf) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request('call_dtmf', {
                            id: this.id,
                            app_id: this.appId,
                            dtmf: dtmf,
                        })];
                });
            });
        };
        Call.prototype.blindTransfer = function (destination) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request('call_blind_transfer', {
                            id: this.id,
                            app_id: this.appId,
                            destination: destination,
                        })];
                });
            });
        };
        Call.prototype.mute = function (mute) {
            if (mute === void 0) { mute = false; }
            return tslib.__awaiter(this, void 0, void 0, function () {
                var res;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.client.request('call_mute', {
                                id: this.id,
                                app_id: this.appId,
                                mute: mute,
                            })];
                        case 1:
                            res = _a.sent();
                            this._muted = mute;
                            return [2 /*return*/, res];
                    }
                });
            });
        };
        Call.prototype.bridgeTo = function (call) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request('call_bridge', {
                            from_id: this.id,
                            from_app_id: this.appId,
                            to_id: call.id,
                            to_app_id: call.appId,
                        })];
                });
            });
        };
        Call.prototype.reporting = function (reporting) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (!this.task) {
                        throw new Error("this call not in queue");
                    }
                    return [2 /*return*/, this.task.reporting(reporting)];
                });
            });
        };
        Call.prototype.renew = function (sec) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (!this.task) {
                        throw new Error("this conversation not in queue");
                    }
                    return [2 /*return*/, this.task.renew(sec)];
                });
            });
        };
        Call.prototype.callToUser = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    req.nodeId = this.appId;
                    req.parentCallId = this.id || null;
                    req.sendToCallId = this.parentId || null;
                    return [2 /*return*/, this.client.inviteToUser(req)];
                });
            });
        };
        return Call;
    }());

    function formatWebSocketUri(host) {
        return host.replace(/^http/, 'ws');
    }
    function formatBaseUri(host) {
        var res = host.replace(/^ws/, 'http');
        if (res.endsWith('/')) {
            res = res.slice(0, -1);
        }
        if (res.endsWith('/ws')) {
            res = res.slice(0, -3);
        }
        return res;
    }
    function chunkString(str, len) {
        var size = Math.ceil(str.length / len);
        var r = new Array(size);
        var offset = 0;
        for (var i = 0; i < size; i++) {
            r[i] = str.substr(offset, len);
            offset += len;
        }
        return r;
    }

    var maxSizeMessage = 4096;
    (function (ChatActions) {
        ChatActions["Message"] = "message";
        ChatActions["UserInvite"] = "user_invite";
        ChatActions["Invite"] = "invite_conversation";
        ChatActions["Joined"] = "join_conversation";
        ChatActions["Close"] = "close_conversation";
        ChatActions["Leave"] = "leave_conversation";
        ChatActions["Decline"] = "decline_invite";
        ChatActions["Update"] = "update_channel";
        ChatActions["Destroy"] = "destroy";
    })(exports.ChatActions || (exports.ChatActions = {}));
    (function (ConversationState) {
        ConversationState["Init"] = "init";
        ConversationState["Invite"] = "invite";
        ConversationState["Active"] = "active";
        ConversationState["Pending"] = "pending";
        ConversationState["Closed"] = "closed";
    })(exports.ConversationState || (exports.ConversationState = {}));
    var Conversation = /** @class */ (function () {
        function Conversation(client, conversationId, title, members, messages, variables) {
            this.client = client;
            this.conversationId = conversationId;
            this.title = title;
            this.channelId = null;
            this.createdAt = Date.now();
            this.answeredAt = 0;
            this.updatedAt = 0;
            this.invitedAt = 0;
            this.closedAt = 0;
            this.task = null;
            this.data = null;
            this.members = (members || []).map(function (i) { return wrapChannelMember(i); });
            this._messages = messages || [];
            this.state = exports.ConversationState.Invite;
            this.variables = variables;
            if (variables &&
                variables.hasOwnProperty('cc_attempt_id') &&
                this.client.agent) {
                this.task = this.client.agent.task.get(+variables.cc_attempt_id) || null;
            }
        }
        Conversation.prototype.setInvite = function (inviteId, timestamp) {
            this.inviteId = inviteId;
            this.invitedAt = timestamp;
        };
        Conversation.prototype.setAnswered = function (channelId, timestamp, member) {
            this.state = exports.ConversationState.Active;
            this.answeredAt = timestamp;
            this.channelId = channelId;
            this.member = wrapChannelMember(member);
            this.inviteId = null; // deleted in DB
        };
        Conversation.prototype.setClosed = function (timestamp) {
            this.state = exports.ConversationState.Closed;
            this.closedAt = timestamp;
        };
        Object.defineProperty(Conversation.prototype, "id", {
            get: function () {
                return this.conversationId;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Conversation.prototype, "messages", {
            get: function () {
                return this.getMessages();
            },
            enumerable: true,
            configurable: true
        });
        Conversation.prototype.getMessages = function () {
            var _this = this;
            return this._messages.map(function (i) {
                var msg = {
                    id: i.id,
                    type: i.type,
                    member: _this.messageMember(i),
                    channelId: i.channel_id,
                    createdAt: i.created_at,
                    updatedAt: i.updated_at,
                };
                if (i.hasOwnProperty('file')) {
                    i.file.url = _this.client.fileUrlDownload(i.file.id);
                    msg.file = i.file;
                }
                if (i.hasOwnProperty('text')) {
                    msg.text = i.text;
                }
                return msg;
            });
        };
        Conversation.prototype.next = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    throw new Error('TODO');
                });
            });
        };
        Conversation.prototype.pagination = function (page, perPage) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    throw new Error('TODO');
                });
            });
        };
        Conversation.prototype.newMessage = function (e) {
            this._messages.push(e);
        };
        Object.defineProperty(Conversation.prototype, "allowDecline", {
            get: function () {
                return !!this.inviteId;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Conversation.prototype, "allowJoin", {
            get: function () {
                return !!this.inviteId;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Conversation.prototype, "allowLeave", {
            get: function () {
                return !!this.channelId && this.closedAt === 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Conversation.prototype, "allowReporting", {
            get: function () {
                return this.answeredAt > 0 && this.hasReporting;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Conversation.prototype, "hasReporting", {
            get: function () {
                return this.variables && this.variables.cc_reporting === 'true';
            },
            enumerable: true,
            configurable: true
        });
        /*
        Actions
         */
        Conversation.prototype.decline = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (!this.inviteId)
                        throw new Error('This conversation is joined');
                    return [2 /*return*/, this.client.request("decline_chat", {
                            invite_id: this.inviteId,
                        })];
                });
            });
        };
        Conversation.prototype.join = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (!this.inviteId)
                        throw new Error('This conversation is joined');
                    return [2 /*return*/, this.client.request("join_chat", {
                            invite_id: this.inviteId,
                        })];
                });
            });
        };
        Conversation.prototype.close = function (cause) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (!this.channelId)
                        throw new Error('This conversation not active');
                    return [2 /*return*/, this.client.request("close_chat", {
                            channel_id: this.channelId,
                            conversation_id: this.id,
                            cause: cause,
                        })];
                });
            });
        };
        Conversation.prototype.leave = function (cause) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (!this.channelId)
                        throw new Error('This conversation not active');
                    return [2 /*return*/, this.client.request("leave_chat", {
                            channel_id: this.channelId,
                            conversation_id: this.id,
                            cause: cause,
                        })];
                });
            });
        };
        Conversation.prototype.sendText = function (text) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var chunk, i;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!this.channelId) {
                                throw new Error('conversation not active');
                            }
                            if (!text.length) {
                                throw new Error('empty message');
                            }
                            chunk = chunkString(text, maxSizeMessage);
                            i = 0;
                            _a.label = 1;
                        case 1:
                            if (!(i < chunk.length)) return [3 /*break*/, 4];
                            if (i + 1 >= chunk.length) {
                                return [2 /*return*/, this.sendMessageTextChunk(chunk[i])];
                            }
                            return [4 /*yield*/, this.sendMessageTextChunk(chunk[i])];
                        case 2:
                            _a.sent();
                            _a.label = 3;
                        case 3:
                            i++;
                            return [3 /*break*/, 1];
                        case 4: return [2 /*return*/];
                    }
                });
            });
        };
        Conversation.prototype.sendFile = function (file, cb) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var storedFiles, f;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.client.storeFile(this.id, [file], cb)];
                        case 1:
                            storedFiles = _a.sent();
                            f = storedFiles[0];
                            // todo bug if chat response error
                            return [2 /*return*/, this.client.request("send_file_chat", {
                                    channel_id: this.channelId,
                                    conversation_id: this.id,
                                    id: f.id,
                                    name: file.name,
                                    mime: f.mime,
                                    url: f.shared,
                                    size: f.size,
                                })];
                    }
                });
            });
        };
        Conversation.prototype.send = function (data, cb) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (typeof data === 'string') {
                        return [2 /*return*/, this.sendText(data)];
                    }
                    else if (data instanceof File) {
                        return [2 /*return*/, this.sendFile(data, cb)];
                    }
                    else {
                        throw new Error('unknown send data');
                    }
                    return [2 /*return*/];
                });
            });
        };
        Conversation.prototype.addToChat = function (userId, title) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request("add_to_chat", {
                            channel_id: this.channelId,
                            conversation_id: this.id,
                            user_id: userId,
                            title: title,
                        })];
                });
            });
        };
        Conversation.prototype.startChat = function (userId) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request("start_chat", {
                            user_id: userId,
                        })];
                });
            });
        };
        Conversation.prototype.updateChannel = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.client.request("update_channel_chat", {
                            channel_id: this.channelId,
                        })];
                });
            });
        };
        Conversation.prototype.reporting = function (reporting) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (!this.task) {
                        throw new Error("this conversation not in queue");
                    }
                    return [2 /*return*/, this.task.reporting(reporting)];
                });
            });
        };
        Conversation.prototype.renew = function (sec) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (!this.task) {
                        throw new Error("this conversation not in queue");
                    }
                    return [2 /*return*/, this.task.renew(sec)];
                });
            });
        };
        Conversation.prototype.sendMessageTextChunk = function (text) {
            return this.client.request("send_text_chat", {
                channel_id: this.channelId,
                conversation_id: this.id,
                text: text,
            });
        };
        Conversation.prototype.messageMember = function (msg) {
            if (this.member && msg.channel_id === this.channelId) {
                return {
                    self: true,
                };
            }
            for (var _i = 0, _a = this.members; _i < _a.length; _i++) {
                var m = _a[_i];
                if (m.id === msg.channel_id) {
                    return m;
                }
            }
            return null; // TODO
        };
        return Conversation;
    }());
    function wrapChannelMember(m) {
        // todo
        m.messenger = m.type;
        return m;
    }

    var SOCKET_URL_SUFFIX = 'websocket';
    var spamData = "\0\0\0\0";
    var Socket = /** @class */ (function (_super) {
        tslib.__extends(Socket, _super);
        function Socket(host) {
            var _this = _super.call(this) || this;
            _this.host = host;
            return _this;
            // this.socket = null
        }
        Socket.prototype.connect = function (token) {
            var _this = this;
            this.socket = new WebSocket(formatWebSocketUri(this.host) + "/" + SOCKET_URL_SUFFIX);
            this.socket.onclose = function (e) { return _this.onClose(e.code); };
            this.socket.onmessage = function (e) { return _this.onMessage(e.data); };
            this.socket.onopen = function () { return _this.onOpen(); };
        };
        Socket.prototype.send = function (request) {
            this.socket.send(JSON.stringify(request));
            return null;
        };
        Socket.prototype.close = function (code) {
            this.socket.close(code || 1000);
            delete this.socket;
        };
        Socket.prototype.onOpen = function () {
            this.emit('open');
        };
        Socket.prototype.onClose = function (code) {
            this.emit('close', code);
            this.off('*');
        };
        Socket.prototype.onMessage = function (data) {
            if (data !== spamData) {
                var message = JSON.parse(data);
                this.emit('message', message);
            }
        };
        return Socket;
    }(eeTs.EventEmitter));

    var API_HEADER_TOKEN = 'X-Webitel-Access';
    var WEBSOCKET_AUTHENTICATION_CHALLENGE = 'authentication_challenge';
    var WEBSOCKET_DEFAULT_DEVICE_CONFIG = 'user_default_device';
    var WEBSOCKET_AGENT_SESSION = 'cc_agent_session';
    var WEBSOCKET_PING = 'ping';
    // const WEBSOCKET_CALL_BY_USER = 'call_by_user'
    var WEBSOCKET_MAKE_OUTBOUND_CALL = 'call_invite';
    var WEBSOCKET_MAKE_USER_CALL = 'call_user';
    var WEBSOCKET_EVENT_HELLO = 'hello';
    var WEBSOCKET_EVENT_CALL = 'call';
    var WEBSOCKET_EVENT_CHAT = 'chat';
    var WEBSOCKET_EVENT_USER_STATE = 'user_state';
    var WEBSOCKET_EVENT_AGENT_STATUS = 'agent_status';
    var WEBSOCKET_EVENT_CHANNEL_STATUS = 'channel';
    var TASK_EVENT = 'task';
    var WEBSOCKET_EVENT_SIP = 'sip';
    (function (Response) {
        Response["STATUS_FAIL"] = "FAIL";
        Response["STATUS_OK"] = "OK";
    })(exports.Response || (exports.Response = {}));
    var Client = /** @class */ (function (_super) {
        tslib.__extends(Client, _super);
        function Client(_config) {
            var _this = _super.call(this) || this;
            _this._config = _config;
            _this.reqSeq = 0;
            _this.queueRequest = new Map();
            _this.log = new Log();
            _this.eventHandler = new eeTs.EventEmitter();
            _this.callStore = new Map();
            _this.conversationStore = new Map();
            _this.pingTimer = null;
            _this.basePath = "" + formatBaseUri(_config.storageEndpoint || _config.endpoint);
            return _this;
        }
        Client.prototype.connect = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.connectToSocket()];
                        case 1:
                            _a.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        Client.prototype.disconnect = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    this.socket.close();
                    return [2 /*return*/];
                });
            });
        };
        Client.prototype.subscribeCall = function (handler, data) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var calls, _i, _a, c, e, call;
                return tslib.__generator(this, function (_b) {
                    switch (_b.label) {
                        case 0: return [4 /*yield*/, this.request("subscribe_call", data)];
                        case 1:
                            calls = (_b.sent());
                            this.eventHandler.on(WEBSOCKET_EVENT_CALL, handler);
                            if (calls.items && calls.items.length) {
                                for (_i = 0, _a = calls.items; _i < _a.length; _i++) {
                                    c = _a[_i];
                                    if (c.hangup_at && c.hangup_at > 0 && !c.task) {
                                        continue;
                                    }
                                    e = {
                                        cc_app_id: '',
                                        app_id: c.app_id,
                                        event: c.state,
                                        id: c.id,
                                        timestamp: Date.now(),
                                        data: {
                                            app_id: c.app_id,
                                            event: c.state,
                                            id: c.id,
                                            timestamp: Date.now(),
                                            cc_app_id: '',
                                            sip_id: '',
                                            parent_id: c.parent_id,
                                            direction: c.direction,
                                            destination: c.destination,
                                            queue: c.queue,
                                            from: c.from,
                                            to: c.to,
                                            payload: c.variables,
                                        },
                                    };
                                    call = new Call(this, e);
                                    call.createdAt = c.created_at;
                                    call.answeredAt = c.answered_at || 0;
                                    call.bridgedAt = c.bridged_at || 0;
                                    call.hangupAt = c.hangup_at || 0;
                                    call.reportingAt = c.reporting_at || 0;
                                    if (c.task) {
                                        call.task = new Task(this, {
                                            attempt_id: c.task.attempt_id,
                                            channel: c.task.channel,
                                            status: c.task.status,
                                            timestamp: Date.now(),
                                        }, c.task // todo add app_id
                                        );
                                        call.queue.reporting = 'true';
                                    }
                                    this.callStore.set(call.id, call);
                                }
                            }
                            return [2 /*return*/, calls];
                    }
                });
            });
        };
        Client.prototype.subscribeChat = function (handler, data) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var res, _i, _a, conv, messages, c;
                return tslib.__generator(this, function (_b) {
                    switch (_b.label) {
                        case 0: return [4 /*yield*/, this.request("subscribe_chat", data)];
                        case 1:
                            res = (_b.sent());
                            this.eventHandler.on(WEBSOCKET_EVENT_CHAT, handler);
                            if (res && res.items) {
                                for (_i = 0, _a = res.items; _i < _a.length; _i++) {
                                    conv = _a[_i];
                                    messages = conv.messages.reverse();
                                    c = new Conversation(this, conv.id, conv.title, conv.members, messages, conv.variables);
                                    c.createdAt = conv.created_at;
                                    if (conv.invite_id) {
                                        c.setInvite(conv.invite_id, conv.created_at);
                                    }
                                    else if (conv.channel_id) {
                                        c.setAnswered(conv.channel_id, conv.joined_at, {
                                            id: conv.channel_id,
                                            name: 'TODO',
                                            type: 'webitel',
                                        });
                                    }
                                    else {
                                        this.log.error("conversation " + conv.id + " not valid");
                                        continue;
                                    }
                                    this.conversationStore.set(c.id, c);
                                }
                            }
                            return [2 /*return*/, res];
                    }
                });
            });
        };
        Client.prototype.subscribeUsersStatus = function (handler, data) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var res;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request("subscribe_users_status", data)];
                        case 1:
                            res = _a.sent();
                            this.eventHandler.on(WEBSOCKET_EVENT_USER_STATE, handler);
                            return [2 /*return*/, res];
                    }
                });
            });
        };
        Client.prototype.subscribeAgentsStatus = function (handler, data) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var res;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request("cc_agent_subscribe_status", data)];
                        case 1:
                            res = _a.sent();
                            this.eventHandler.on(WEBSOCKET_EVENT_AGENT_STATUS, handler);
                            return [2 /*return*/, res];
                    }
                });
            });
        };
        Client.prototype.subscribeTask = function (handler) {
            this.eventHandler.on(TASK_EVENT, handler);
        };
        Client.prototype.unSubscribe = function (action, handler, data) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var res;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.request("un_subscribe_" + action, data)
                            // this.eventHandler.listeners(action)
                            // this.eventHandler.removeListener(action, handler)
                            // this.eventHandler.off(action, handler)
                        ];
                        case 1:
                            res = _a.sent();
                            // this.eventHandler.listeners(action)
                            // this.eventHandler.removeListener(action, handler)
                            // this.eventHandler.off(action, handler)
                            return [2 /*return*/, res];
                    }
                });
            });
        };
        Client.prototype.destroy = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.disconnect()];
                        case 1:
                            _a.sent();
                            if (!this.phone) return [3 /*break*/, 3];
                            return [4 /*yield*/, this.phone.unregister()];
                        case 2:
                            _a.sent();
                            this.phone.off('*');
                            delete this.phone;
                            _a.label = 3;
                        case 3:
                            this.eventHandler.off('*');
                            return [2 /*return*/];
                    }
                });
            });
        };
        Client.prototype.allCall = function () {
            return Array.from(this.callStore.values());
        };
        Client.prototype.allConversations = function () {
            return Array.from(this.conversationStore.values());
        };
        Client.prototype.allTask = function () {
            if (!this.agent) {
                return [];
            }
            return Array.from(this.agent.task.values());
        };
        Client.prototype.callById = function (id) {
            if (this.callStore.has(id)) {
                return this.callStore.get(id);
            }
        };
        Client.prototype.conversationById = function (id) {
            if (this.conversationStore.has(id)) {
                return this.conversationStore.get(id);
            }
        };
        Client.prototype.callBySipId = function (id) {
            for (var _i = 0, _a = this.allCall(); _i < _a.length; _i++) {
                var call = _a[_i];
                if (call.sipId && id.startsWith(call.sipId)) {
                    // FIXME
                    return call;
                }
            }
        };
        Client.prototype.reportingTask = function (attemptId, reporting) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request('cc_reporting', tslib.__assign({ attempt_id: attemptId }, reporting))];
                });
            });
        };
        Client.prototype.agentActiveTasks = function (agentId) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request("cc_agent_tasks", {
                            agent_id: agentId,
                        })];
                });
            });
        };
        Client.prototype.auth = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request(WEBSOCKET_AUTHENTICATION_CHALLENGE, {
                            token: this._config.token,
                        })];
                });
            });
        };
        Client.prototype.ping = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request(WEBSOCKET_PING, {
                            ping: 1,
                        })];
                });
            });
        };
        Client.prototype.sessionInfo = function () {
            return this.connectionInfo.session;
        };
        Object.defineProperty(Client.prototype, "version", {
            get: function () {
                return this.connectionInfo.server_version;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(Client.prototype, "instanceId", {
            get: function () {
                return this.connectionInfo.sock_id;
            },
            enumerable: true,
            configurable: true
        });
        Client.prototype.agentSession = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var info, taskList, _i, _a, t, task, _b, _c, call;
                return tslib.__generator(this, function (_d) {
                    switch (_d.label) {
                        case 0: return [4 /*yield*/, this.request(WEBSOCKET_AGENT_SESSION)];
                        case 1:
                            info = _d.sent();
                            this.agent = new Agent(this, info);
                            return [4 /*yield*/, this.agentActiveTasks(this.agent.agentId)];
                        case 2:
                            taskList = (_d.sent());
                            // todo
                            for (_i = 0, _a = taskList.items; _i < _a.length; _i++) {
                                t = _a[_i];
                                task = new Task(this, {
                                    status: t.status,
                                    timestamp: Date.now() - t.duration * 1000,
                                    channel: t.channel,
                                    attempt_id: t.attempt_id,
                                }, t);
                                task.postProcessData = {};
                                task.state = t.state;
                                if (t.bridged_at) {
                                    task.bridgedAt = t.bridged_at;
                                    task.answeredAt = t.bridged_at;
                                }
                                if (t.leaving_at) {
                                    task.closedAt = t.leaving_at;
                                }
                                this.agent.task.set(task.id, task);
                            }
                            for (_b = 0, _c = this.allCall(); _b < _c.length; _b++) {
                                call = _c[_b];
                                if (call.task) {
                                    this.agent.task.set(call.task.id, call.task);
                                }
                            }
                            return [2 /*return*/, this.agent];
                    }
                });
            });
        };
        Client.prototype.invite = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request(WEBSOCKET_MAKE_OUTBOUND_CALL, req)];
                });
            });
        };
        Client.prototype.call = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!this.phone) return [3 /*break*/, 2];
                            return [4 /*yield*/, this.phone.call(req)];
                        case 1:
                            _a.sent();
                            return [3 /*break*/, 4];
                        case 2: return [4 /*yield*/, this.invite(req)];
                        case 3:
                            _a.sent();
                            _a.label = 4;
                        case 4: return [2 /*return*/];
                    }
                });
            });
        };
        Client.prototype.callRecordId = function (id) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request('call_recordings', { id: id })];
                });
            });
        };
        Client.prototype.eavesdrop = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request('call_eavesdrop', req)];
                });
            });
        };
        Client.prototype.agentSetOnline = function (agentId, channels, onDemand) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request('cc_agent_online', {
                            agent_id: agentId,
                            channels: channels,
                            on_demand: onDemand,
                        })];
                });
            });
        };
        Client.prototype.agentSetWaiting = function (agentId, channel) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request('cc_agent_waiting', {
                            agent_id: agentId,
                            channel: channel,
                        })];
                });
            });
        };
        Client.prototype.agentSetPause = function (agentId, payload) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request('cc_agent_pause', {
                            agent_id: agentId,
                            payload: payload,
                        })];
                });
            });
        };
        Client.prototype.agentSetOffline = function (agentId) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request('cc_agent_offline', { agent_id: agentId })];
                });
            });
        };
        Client.prototype.inviteToUser = function (req) {
            return this.request(WEBSOCKET_MAKE_USER_CALL, req);
        };
        Client.prototype.answer = function (id, req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (this.phone) {
                        return [2 /*return*/, this.phone.answer(id, req)];
                    }
                    return [2 /*return*/];
                });
            });
        };
        Client.prototype.request = function (action, data) {
            var _this = this;
            return new Promise(function (resolve, reject) {
                _this.queueRequest.set(++_this.reqSeq, { resolve: resolve, reject: reject });
                _this.socket.send({
                    seq: _this.reqSeq,
                    action: action,
                    data: data,
                });
            });
        };
        Client.prototype.useWebPhone = function () {
            return this._config.registerWebDevice || false;
        };
        Client.prototype.callDestroyed = function (call) {
            return call.hangupAt > 0 && !this.hasAgentTask(call.task);
        };
        Client.prototype.conversationDestroyed = function (conv) {
            return conv.closedAt > 0 && !this.hasAgentTask(conv.task);
        };
        Client.prototype.reportingChannelTask = function (task) {
            switch (task.channel) {
                case ChannelName.Call:
                    for (var _i = 0, _a = this.allCall(); _i < _a.length; _i++) {
                        var call = _a[_i];
                        if (this.callDestroyed(call)) {
                            this.destroyCall(call);
                            return;
                        }
                    }
                    break;
                case ChannelName.Chat:
                    if (task.agentChannelId) {
                        var conv = this.conversationById(task.agentChannelId);
                        if (conv && this.conversationDestroyed(conv)) {
                            this.destroyConversation(conv);
                            return;
                        }
                    }
                    break;
                default:
            }
        };
        Client.prototype.registerCallClient = function (phone) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var conf, e_1;
                var _this = this;
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            this.phone = phone;
                            this.phone.on('peerStreams', function (session, streams) {
                                var call = _this.callBySession(session);
                                if (call && !call.peerStreams.length) {
                                    call.setPeerStreams(streams);
                                    _this.eventHandler.emit(WEBSOCKET_EVENT_CALL, exports.CallActions.PeerStream, call);
                                }
                            });
                            this.phone.on('localStreams', function (session, streams) {
                                var call = _this.callBySession(session);
                                if (call && !call.localStreams.length) {
                                    call.setLocalStreams(streams);
                                    _this.eventHandler.emit(WEBSOCKET_EVENT_CALL, exports.CallActions.LocalStream, call);
                                }
                            });
                            this.phone.on('newSession', this.onNewCallSession.bind(this));
                            _a.label = 1;
                        case 1:
                            _a.trys.push([1, 4, , 5]);
                            return [4 /*yield*/, this.deviceConfig(this.phone.type)];
                        case 2:
                            conf = _a.sent();
                            return [4 /*yield*/, this.phone.register(conf)];
                        case 3:
                            _a.sent();
                            return [3 /*break*/, 5];
                        case 4:
                            e_1 = _a.sent();
                            // FIXME add handle error
                            this.log.error(e_1);
                            return [3 /*break*/, 5];
                        case 5: return [2 /*return*/];
                    }
                });
            });
        };
        Client.prototype.deviceConfig = function (name) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, this.request(WEBSOCKET_DEFAULT_DEVICE_CONFIG, { name: name })];
                });
            });
        };
        Client.prototype.storeFile = function (id, files, cb) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var formData, _i, files_1, file, result, data, _a, data_1, f;
                var _b;
                return tslib.__generator(this, function (_c) {
                    switch (_c.label) {
                        case 0:
                            if (!files || files.length < 1) {
                                throw new Error('no files');
                            }
                            formData = new FormData();
                            for (_i = 0, files_1 = files; _i < files_1.length; _i++) {
                                file = files_1[_i];
                                formData.append(file.name, file); // todo name
                            }
                            return [4 /*yield*/, globalAxios.post(this.basePath + "/api/storage/file/" + id + "/upload", formData, {
                                    headers: (_b = {},
                                        _b[API_HEADER_TOKEN] = this._config.token,
                                        _b),
                                    onUploadProgress: cb,
                                })];
                        case 1:
                            result = _c.sent();
                            data = result.data;
                            for (_a = 0, data_1 = data; _a < data_1.length; _a++) {
                                f = data_1[_a];
                                f.shared = this.basePath + f.shared;
                            }
                            return [2 /*return*/, data];
                    }
                });
            });
        };
        Client.prototype.fileUrlDownload = function (fileId) {
            return this.basePath + "/api/storage/file/" + fileId + "/download?access_token=" + this._config.token;
        };
        Client.prototype.fileUrlStream = function (fileId) {
            return this.basePath + "/api/storage/file/" + fileId + "/stream?access_token=" + this._config.token;
        };
        Client.prototype.onMessage = function (message) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var promise, _a;
                return tslib.__generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            this.log.debug('receive message: ', message);
                            if (!(message.seq_reply > 0)) return [3 /*break*/, 1];
                            if (this.queueRequest.has(message.seq_reply)) {
                                promise = this.queueRequest.get(message.seq_reply);
                                this.queueRequest.delete(message.seq_reply);
                                if (message.status === exports.Response.STATUS_OK) {
                                    promise.resolve(message.data);
                                }
                                else {
                                    promise.reject(message.error);
                                }
                            }
                            return [3 /*break*/, 13];
                        case 1:
                            _a = message.event;
                            switch (_a) {
                                case WEBSOCKET_EVENT_HELLO: return [3 /*break*/, 2];
                                case WEBSOCKET_EVENT_CALL: return [3 /*break*/, 4];
                                case WEBSOCKET_EVENT_CHAT: return [3 /*break*/, 6];
                                case WEBSOCKET_EVENT_USER_STATE: return [3 /*break*/, 8];
                                case WEBSOCKET_EVENT_SIP: return [3 /*break*/, 9];
                                case WEBSOCKET_EVENT_AGENT_STATUS: return [3 /*break*/, 10];
                                case WEBSOCKET_EVENT_CHANNEL_STATUS: return [3 /*break*/, 11];
                            }
                            return [3 /*break*/, 12];
                        case 2: return [4 /*yield*/, this.connected(message.data)];
                        case 3:
                            _b.sent();
                            this.log.debug("opened session " + this.connectionInfo.sock_id + " for userId=" + this.connectionInfo.session.user_id);
                            return [3 /*break*/, 13];
                        case 4: return [4 /*yield*/, this.handleCallEvents(message.data.call)];
                        case 5:
                            _b.sent();
                            return [3 /*break*/, 13];
                        case 6: return [4 /*yield*/, this.handleChatEvents(message.data)];
                        case 7:
                            _b.sent();
                            return [3 /*break*/, 13];
                        case 8:
                            this.handleUserStateEvent(message.data.state);
                            return [3 /*break*/, 13];
                        case 9:
                            this.eventHandler.emit(WEBSOCKET_EVENT_SIP, message.data);
                            return [3 /*break*/, 13];
                        case 10:
                            this.handleAgentStatus(message.data);
                            return [3 /*break*/, 13];
                        case 11:
                            this.handleChannelEvents(message.data);
                            return [3 /*break*/, 13];
                        case 12:
                            this.log.error("event " + message.event + " not handler");
                            _b.label = 13;
                        case 13: return [2 /*return*/];
                    }
                });
            });
        };
        Client.prototype.handleAgentStatus = function (e) {
            if (this.agent && e.agent_id === this.agent.agentId) {
                this.agent.setStatus(e);
            }
            this.eventHandler.emit(WEBSOCKET_EVENT_AGENT_STATUS, e, this.agent);
        };
        Client.prototype.handleChannelEvents = function (e) {
            if (this.agent) {
                e.timestamp = Date.now(); // bug
                var task = this.agent.onChannelEvent(e) || undefined;
                this.eventHandler.emit(TASK_EVENT, e.status, task);
            }
        };
        Client.prototype.pingServer = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!this.pingTimer) return [3 /*break*/, 2];
                            return [4 /*yield*/, this.ping()];
                        case 1:
                            _a.sent();
                            _a.label = 2;
                        case 2:
                            if (this.connectionInfo.ping_interval) {
                                // @ts-ignore
                                this.pingTimer = setTimeout(this.pingServer.bind(this), +this.connectionInfo.ping_interval);
                            }
                            return [2 /*return*/];
                    }
                });
            });
        };
        Client.prototype.connected = function (info) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            this.connectionInfo = info;
                            if (!info.ping_interval) return [3 /*break*/, 2];
                            return [4 /*yield*/, this.pingServer()];
                        case 1:
                            _a.sent();
                            _a.label = 2;
                        case 2:
                            if (!this.useWebPhone()) {
                                return [2 /*return*/];
                            }
                            return [2 /*return*/, this.registerCallClient(new SipPhone(this.instanceId, this._config.debug))];
                    }
                });
            });
        };
        Client.prototype.callBySession = function (session) {
            for (var _i = 0, _a = this.allCall(); _i < _a.length; _i++) {
                var call = _a[_i];
                if (call.sip === session) {
                    return call;
                }
            }
        };
        Client.prototype.onNewCallSession = function (session) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var call;
                return tslib.__generator(this, function (_a) {
                    if (session.callId) {
                        call = this.callById(session.callId);
                    }
                    else {
                        call = this.callBySipId(session.id);
                    }
                    if (call) {
                        call.setSip(session);
                        this.checkAutoAnswer(call);
                    }
                    return [2 /*return*/];
                });
            });
        };
        Client.prototype.checkAutoAnswer = function (call) {
            if ( /*!document.hidden && */call.autoAnswer) {
                call.answerDelay({
                    video: call.params.video,
                    screen: call.params.screen,
                    disableStun: call.params.disableStun,
                }, 300);
            }
        };
        Client.prototype.connectToSocket = function () {
            var _this = this;
            return new Promise(function (resolve, reject) {
                try {
                    _this.socket = new Socket(_this._config.endpoint);
                    _this.socket.connect(_this._config.token);
                }
                catch (e) {
                    reject(e);
                    return;
                }
                _this.socket.on('message', _this.onMessage.bind(_this));
                _this.socket.on('close', function (code) {
                    if (_this.pingTimer) {
                        clearTimeout(_this.pingTimer);
                    }
                    _this.log.error('socket close code: ', code);
                    _this.eventHandler.off('*');
                    if (code !== 1000) {
                        _this.emit('disconnected', code);
                        reject(new Error("close socket code: " + code));
                    }
                });
                _this.socket.on('open', function () {
                    resolve(null);
                    _this.emit('connected');
                });
            });
        };
        Client.prototype.handleUserStateEvent = function (event) {
            this.eventHandler.emit(WEBSOCKET_EVENT_USER_STATE, event);
        };
        Client.prototype.handleCallEvents = function (event) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var call;
                return tslib.__generator(this, function (_a) {
                    event.timestamp = Date.now(); // todo bug
                    switch (event.event) {
                        case exports.CallActions.Ringing:
                            call = new Call(this, event);
                            this.callStore.set(call.id, call);
                            this.checkAutoAnswer(call);
                            break;
                        case exports.CallActions.Active:
                            call = this.callById(event.id);
                            if (call) {
                                call.setActive(event);
                            }
                            break;
                        case exports.CallActions.Bridge:
                            call = this.callById(event.id);
                            if (call) {
                                call.setBridged(event);
                            }
                            break;
                        case exports.CallActions.Execute:
                            call = this.callById(event.id);
                            if (call) {
                                call.setExecute(event.data);
                            }
                            break;
                        case exports.CallActions.DTMF:
                            call = this.callById(event.id);
                            if (call) {
                                call.addDigit(event.data);
                            }
                            break;
                        case exports.CallActions.Voice:
                            call = this.callById(event.id);
                            if (call) {
                                call.setVoice();
                            }
                            break;
                        case exports.CallActions.Silence:
                            call = this.callById(event.id);
                            if (call) {
                                call.setSilence();
                            }
                            break;
                        case exports.CallActions.Hold:
                            call = this.callById(event.id);
                            if (call) {
                                call.setHold(event);
                            }
                            break;
                        case exports.CallActions.Hangup:
                            call = this.callById(event.id);
                            if (call) {
                                call.setHangup(event);
                            }
                            break;
                        default:
                            throw new Error('Unhandled action');
                    }
                    if (call) {
                        this.eventHandler.emit(WEBSOCKET_EVENT_CALL, event.event, call);
                        if (this.callDestroyed(call)) {
                            this.destroyCall(call);
                        }
                    }
                    return [2 /*return*/];
                });
            });
        };
        Client.prototype.handleChatEvents = function (event) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                var conversation, timestamp, inv, joined, message, e;
                return tslib.__generator(this, function (_a) {
                    timestamp = Date.now() // todo bug
                    ;
                    switch (event.action) {
                        case exports.ChatActions.UserInvite:
                            inv = event.data;
                            conversation = new Conversation(this, inv.conversation_id, inv.title, inv.members, inv.messages, inv.variables);
                            conversation.setInvite(inv.invite_id, timestamp);
                            this.conversationStore.set(conversation.id, conversation);
                            break;
                        case exports.ChatActions.Joined:
                            joined = event.data;
                            conversation = this.conversationById(joined.conversation_id);
                            if (conversation) {
                                conversation.setAnswered(joined.member.id, timestamp, joined.member);
                            }
                            break;
                        case exports.ChatActions.Message:
                            message = event.data;
                            message.timestamp = timestamp;
                            conversation = this.conversationById(message.conversation_id);
                            if (conversation) {
                                conversation.newMessage(message);
                            }
                            break;
                        case exports.ChatActions.Close:
                        case exports.ChatActions.Leave:
                        case exports.ChatActions.Decline:
                            e = event.data;
                            conversation = this.conversationById(e.conversation_id);
                            if (conversation) {
                                conversation.setClosed(timestamp);
                            }
                            break;
                        default:
                    }
                    if (conversation) {
                        this.eventHandler.emit(WEBSOCKET_EVENT_CHAT, event.action, conversation);
                        if (this.conversationDestroyed(conversation)) {
                            this.destroyConversation(conversation);
                        }
                    }
                    return [2 /*return*/];
                });
            });
        };
        Client.prototype.hasAgentTask = function (task) {
            if (!this.agent || !task) {
                return false;
            }
            return this.agent.hasTask(task);
        };
        Client.prototype.destroyCall = function (call) {
            // FIXME sync channel & call event
            this.callStore.delete(call.id);
            this.eventHandler.emit(WEBSOCKET_EVENT_CALL, exports.CallActions.Destroy, call);
        };
        Client.prototype.destroyConversation = function (conv) {
            // FIXME sync channel & call event
            this.conversationStore.delete(conv.id);
            this.eventHandler.emit(WEBSOCKET_EVENT_CHAT, exports.ChatActions.Destroy, conv);
        };
        return Client;
    }(eeTs.EventEmitter));

    var SipClient = /** @class */ (function (_super) {
        tslib.__extends(SipClient, _super);
        function SipClient() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return SipClient;
    }(eeTs.EventEmitter));

    var commonjsGlobal = typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

    function unwrapExports (x) {
    	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x.default : x;
    }

    function createCommonjsModule(fn, module) {
    	return module = { exports: {} }, fn(module, module.exports), module.exports;
    }

    var ee = createCommonjsModule(function (module, exports) {
    var __generator = (commonjsGlobal && commonjsGlobal.__generator) || function (thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    };
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.$listeners = Symbol('EventEmitter.listeners');
    exports.$addListener = Symbol('EventEmitter.addListener');
    /** Statically typed event emitter */
    var EventEmitter = /** @class */ (function () {
        function EventEmitter() {
            this[exports.$listeners] = {};
        }
        /** Count the number of listeners for an event */
        EventEmitter.count = function (ee, key) {
            var count = 0;
            var list = ee[exports.$listeners][key];
            if (list) {
                var cb = list.first;
                while (++count) {
                    if (cb.next) {
                        cb = cb.next;
                    }
                    else
                        break;
                }
            }
            return count;
        };
        /** Check if an event has listeners */
        EventEmitter.has = function (ee, key) {
            if (key == '*') {
                for (key in ee[exports.$listeners])
                    return true;
                return false;
            }
            return ee[exports.$listeners][key] !== undefined;
        };
        /** Get an array of event keys that have listeners */
        EventEmitter.keys = function (ee) {
            return Object.keys(ee[exports.$listeners]);
        };
        /** Call the given listener when no other listeners exist */
        EventEmitter.unhandle = function (ee, key, impl, disposables) {
            var listener = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                if (!ee[exports.$listeners][key].first.next)
                    return impl.apply(void 0, args);
            };
            return ee.on(key, listener, disposables);
        };
        /** Implementation */
        EventEmitter.prototype.on = function (arg, fn, disposables) {
            if (typeof fn == 'function') {
                return this[exports.$addListener](arg, fn, disposables);
            }
            return this[exports.$addListener](arg, undefined, fn);
        };
        /** Implementation */
        EventEmitter.prototype.one = function (arg, fn, disposables) {
            if (typeof fn == 'function') {
                return this[exports.$addListener](arg, fn, disposables, true);
            }
            return this[exports.$addListener](arg, undefined, fn, true);
        };
        /** Implementation */
        EventEmitter.prototype.off = function (arg, fn) {
            if (arg == '*') {
                var cache = this[exports.$listeners];
                this[exports.$listeners] = {};
                if (this._onEventUnhandled) {
                    for (var key in cache) {
                        this._onEventUnhandled(key);
                    }
                }
                return this;
            }
            if (typeof fn == 'function') {
                var list = this[exports.$listeners][arg];
                if (list && unlink(list, function (l) { return l.fn == fn; })) {
                    return this;
                }
            }
            delete this[exports.$listeners][arg];
            if (this._onEventUnhandled) {
                this._onEventUnhandled(arg);
            }
            return this;
        };
        /** Implementation */
        EventEmitter.prototype.emit = function (key) {
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            var result;
            var gen = this.listeners(key);
            while (true) {
                var _a = gen.next(), listener = _a.value, done = _a.done;
                if (done) {
                    return result;
                }
                else {
                    var generated = listener.apply(void 0, args);
                    if (generated !== undefined) {
                        result = generated;
                    }
                }
            }
        };
        /** Iterate over the listeners of an event */
        EventEmitter.prototype.listeners = function (key) {
            var list, prev, curr;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        list = this[exports.$listeners][key];
                        if (!list)
                            return [2 /*return*/];
                        prev = null;
                        curr = list.first;
                        _a.label = 1;
                    case 1:
                        return [4 /*yield*/, curr.fn
                            // One-time listener
                        ];
                    case 2:
                        _a.sent();
                        // One-time listener
                        if (curr.once) {
                            // Splice it.
                            if (prev) {
                                prev.next = curr.next;
                            }
                            // Shift it.
                            else if (curr.next) {
                                list.first = curr = curr.next;
                                return [3 /*break*/, 1];
                            }
                            // Delete it.
                            else {
                                delete this[exports.$listeners][key];
                                if (this._onEventUnhandled) {
                                    this._onEventUnhandled(key);
                                }
                                return [2 /*return*/];
                            }
                        }
                        // Recurring listener
                        else {
                            prev = curr;
                        }
                        // Continue to the next listener.
                        if (curr.next) {
                            curr = curr.next;
                            return [3 /*break*/, 1];
                        }
                        // Update the last listener.
                        list.last = curr;
                        // All done.
                        return [2 /*return*/];
                    case 3: return [2 /*return*/];
                }
            });
        };
        /** Implementation of the `on` and `one` methods */
        EventEmitter.prototype[exports.$addListener] = function (arg, fn, disposables, once) {
            var _this = this;
            if (once === void 0) { once = false; }
            if (typeof arg == 'object') {
                var key_1;
                var _loop_1 = function () {
                    if (typeof arg[key_1] == 'function') {
                        var fn_1 = arg[key_1];
                        var list = addListener(this_1[exports.$listeners], key_1, {
                            fn: fn_1,
                            once: once,
                            next: null,
                        });
                        if (disposables) {
                            disposables.push({
                                dispose: function () { return _this.off(key_1, fn_1); },
                            });
                        }
                        if (fn_1 == list.first.fn && this_1._onEventHandled) {
                            this_1._onEventHandled(key_1);
                        }
                    }
                };
                var this_1 = this;
                for (key_1 in arg) {
                    _loop_1();
                }
                return this;
            }
            if (typeof fn == 'function') {
                var key_2 = arg;
                var list = addListener(this[exports.$listeners], key_2, {
                    fn: fn,
                    once: once,
                    next: null,
                });
                if (disposables) {
                    disposables.push({
                        dispose: function () { return _this.off(key_2, fn); },
                    });
                }
                if (fn == list.first.fn && this._onEventHandled) {
                    this._onEventHandled(arg);
                }
            }
            return fn;
        };
        /** Unique symbol for accessing the internal listener cache */
        EventEmitter.ev = exports.$listeners;
        return EventEmitter;
    }());
    exports.EventEmitter = EventEmitter;
    function addListener(cache, key, cb) {
        var list = cache[key];
        if (list) {
            list.last.next = cb;
            list.last = cb;
        }
        else {
            cache[key] = list = { first: cb, last: cb };
        }
        return list;
    }
    /** Remove listeners that match the filter function */
    function unlink(list, filter) {
        var prev = null;
        var curr = list.first;
        while (true) {
            // Return true to unlink the listener.
            if (filter(curr)) {
                // Splice it.
                if (prev) {
                    prev.next = curr.next;
                    if (curr.next) {
                        curr = curr.next;
                    }
                    else
                        break;
                }
                // Shift it.
                else if (curr.next) {
                    list.first = curr = curr.next;
                }
                // No listeners remain.
                else {
                    return null;
                }
            }
            // Keep this listener.
            else {
                prev = curr;
                if (curr.next) {
                    curr = curr.next;
                }
                else
                    break;
            }
        }
        // At least one listener remains.
        list.last = prev;
        return list;
    }
    });

    unwrapExports(ee);
    var ee_1 = ee.$listeners;
    var ee_2 = ee.$addListener;
    var ee_3 = ee.EventEmitter;

    var Session$1 = /** @class */ (function () {
        function Session(client, id) {
            this.client = client;
            this.callId = id;
            this.incoming = false;
            this.instanceId = 'fixme';
        }
        Object.defineProperty(Session.prototype, "id", {
            get: function () {
                return this.callId;
            },
            enumerable: true,
            configurable: true
        });
        Session.prototype.getLocalMedia = function () {
            return [];
        };
        Session.prototype.getPeerMedia = function () {
            return [];
        };
        Session.prototype.answer = function (s) {
            var _this = this;
            return new Promise(function (resolve) {
                _this.client.answer(_this.id);
                resolve();
            });
        };
        return Session;
    }());

    var ExternalClient = /** @class */ (function (_super) {
        tslib.__extends(ExternalClient, _super);
        function ExternalClient(config) {
            var _this = _super.call(this) || this;
            _this.config = config;
            _this.type = 'external';
            _this.schema = 'wtel://';
            return _this;
        }
        ExternalClient.prototype.callOption = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/, req];
                });
            });
        };
        ExternalClient.prototype.register = function (sipConf) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/];
                });
            });
        };
        ExternalClient.prototype.unregister = function () {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    return [2 /*return*/];
                });
            });
        };
        ExternalClient.prototype.call = function (req) {
            return tslib.__awaiter(this, void 0, void 0, function () {
                return tslib.__generator(this, function (_a) {
                    if (!req.destination) {
                        return [2 /*return*/];
                    }
                    this.exec(req.destination);
                    return [2 /*return*/];
                });
            });
        };
        ExternalClient.prototype.answer = function (id) {
            this.exec(id, 'answer');
        };
        ExternalClient.prototype.sipSessionByCallId = function (id) {
            return new Session$1(this, id);
        };
        ExternalClient.prototype.sipSessionBySipId = function (id) {
            return null;
        };
        ExternalClient.prototype.open = function (token) {
            this.exec(encodeURIComponent(JSON.stringify(tslib.__assign({ token: token }, this.config))), 'open');
        };
        ExternalClient.prototype.exec = function (args, action) {
            // TODO escape
            var url = "" + this.schema + args;
            if (action) {
                url += " " + action;
            }
            var link = document.createElement('a');
            link.download = 'File name';
            link.href = url;
            link.click();
            return;
        };
        return ExternalClient;
    }(ee_3));

    // tslint:disable

    exports.AgentPauseCauseServiceApiAxiosParamCreator = AgentPauseCauseServiceApiAxiosParamCreator;
    exports.AgentPauseCauseServiceApiFp = AgentPauseCauseServiceApiFp;
    exports.AgentPauseCauseServiceApiFactory = AgentPauseCauseServiceApiFactory;
    exports.AgentPauseCauseServiceApi = AgentPauseCauseServiceApi;
    exports.AgentServiceApiAxiosParamCreator = AgentServiceApiAxiosParamCreator;
    exports.AgentServiceApiFp = AgentServiceApiFp;
    exports.AgentServiceApiFactory = AgentServiceApiFactory;
    exports.AgentServiceApi = AgentServiceApi;
    exports.AgentSkillServiceApiAxiosParamCreator = AgentSkillServiceApiAxiosParamCreator;
    exports.AgentSkillServiceApiFp = AgentSkillServiceApiFp;
    exports.AgentSkillServiceApiFactory = AgentSkillServiceApiFactory;
    exports.AgentSkillServiceApi = AgentSkillServiceApi;
    exports.AgentTeamServiceApiAxiosParamCreator = AgentTeamServiceApiAxiosParamCreator;
    exports.AgentTeamServiceApiFp = AgentTeamServiceApiFp;
    exports.AgentTeamServiceApiFactory = AgentTeamServiceApiFactory;
    exports.AgentTeamServiceApi = AgentTeamServiceApi;
    exports.BackendProfileServiceApiAxiosParamCreator = BackendProfileServiceApiAxiosParamCreator;
    exports.BackendProfileServiceApiFp = BackendProfileServiceApiFp;
    exports.BackendProfileServiceApiFactory = BackendProfileServiceApiFactory;
    exports.BackendProfileServiceApi = BackendProfileServiceApi;
    exports.BucketServiceApiAxiosParamCreator = BucketServiceApiAxiosParamCreator;
    exports.BucketServiceApiFp = BucketServiceApiFp;
    exports.BucketServiceApiFactory = BucketServiceApiFactory;
    exports.BucketServiceApi = BucketServiceApi;
    exports.CalendarServiceApiAxiosParamCreator = CalendarServiceApiAxiosParamCreator;
    exports.CalendarServiceApiFp = CalendarServiceApiFp;
    exports.CalendarServiceApiFactory = CalendarServiceApiFactory;
    exports.CalendarServiceApi = CalendarServiceApi;
    exports.CallServiceApiAxiosParamCreator = CallServiceApiAxiosParamCreator;
    exports.CallServiceApiFp = CallServiceApiFp;
    exports.CallServiceApiFactory = CallServiceApiFactory;
    exports.CallServiceApi = CallServiceApi;
    exports.CommunicationTypeServiceApiAxiosParamCreator = CommunicationTypeServiceApiAxiosParamCreator;
    exports.CommunicationTypeServiceApiFp = CommunicationTypeServiceApiFp;
    exports.CommunicationTypeServiceApiFactory = CommunicationTypeServiceApiFactory;
    exports.CommunicationTypeServiceApi = CommunicationTypeServiceApi;
    exports.EmailProfileServiceApiAxiosParamCreator = EmailProfileServiceApiAxiosParamCreator;
    exports.EmailProfileServiceApiFp = EmailProfileServiceApiFp;
    exports.EmailProfileServiceApiFactory = EmailProfileServiceApiFactory;
    exports.EmailProfileServiceApi = EmailProfileServiceApi;
    exports.ListServiceApiAxiosParamCreator = ListServiceApiAxiosParamCreator;
    exports.ListServiceApiFp = ListServiceApiFp;
    exports.ListServiceApiFactory = ListServiceApiFactory;
    exports.ListServiceApi = ListServiceApi;
    exports.MediaFileServiceApiAxiosParamCreator = MediaFileServiceApiAxiosParamCreator;
    exports.MediaFileServiceApiFp = MediaFileServiceApiFp;
    exports.MediaFileServiceApiFactory = MediaFileServiceApiFactory;
    exports.MediaFileServiceApi = MediaFileServiceApi;
    exports.MemberServiceApiAxiosParamCreator = MemberServiceApiAxiosParamCreator;
    exports.MemberServiceApiFp = MemberServiceApiFp;
    exports.MemberServiceApiFactory = MemberServiceApiFactory;
    exports.MemberServiceApi = MemberServiceApi;
    exports.OutboundResourceGroupServiceApiAxiosParamCreator = OutboundResourceGroupServiceApiAxiosParamCreator;
    exports.OutboundResourceGroupServiceApiFp = OutboundResourceGroupServiceApiFp;
    exports.OutboundResourceGroupServiceApiFactory = OutboundResourceGroupServiceApiFactory;
    exports.OutboundResourceGroupServiceApi = OutboundResourceGroupServiceApi;
    exports.OutboundResourceServiceApiAxiosParamCreator = OutboundResourceServiceApiAxiosParamCreator;
    exports.OutboundResourceServiceApiFp = OutboundResourceServiceApiFp;
    exports.OutboundResourceServiceApiFactory = OutboundResourceServiceApiFactory;
    exports.OutboundResourceServiceApi = OutboundResourceServiceApi;
    exports.QueueBucketServiceApiAxiosParamCreator = QueueBucketServiceApiAxiosParamCreator;
    exports.QueueBucketServiceApiFp = QueueBucketServiceApiFp;
    exports.QueueBucketServiceApiFactory = QueueBucketServiceApiFactory;
    exports.QueueBucketServiceApi = QueueBucketServiceApi;
    exports.QueueHookServiceApiAxiosParamCreator = QueueHookServiceApiAxiosParamCreator;
    exports.QueueHookServiceApiFp = QueueHookServiceApiFp;
    exports.QueueHookServiceApiFactory = QueueHookServiceApiFactory;
    exports.QueueHookServiceApi = QueueHookServiceApi;
    exports.QueueResourcesServiceApiAxiosParamCreator = QueueResourcesServiceApiAxiosParamCreator;
    exports.QueueResourcesServiceApiFp = QueueResourcesServiceApiFp;
    exports.QueueResourcesServiceApiFactory = QueueResourcesServiceApiFactory;
    exports.QueueResourcesServiceApi = QueueResourcesServiceApi;
    exports.QueueServiceApiAxiosParamCreator = QueueServiceApiAxiosParamCreator;
    exports.QueueServiceApiFp = QueueServiceApiFp;
    exports.QueueServiceApiFactory = QueueServiceApiFactory;
    exports.QueueServiceApi = QueueServiceApi;
    exports.QueueSkillServiceApiAxiosParamCreator = QueueSkillServiceApiAxiosParamCreator;
    exports.QueueSkillServiceApiFp = QueueSkillServiceApiFp;
    exports.QueueSkillServiceApiFactory = QueueSkillServiceApiFactory;
    exports.QueueSkillServiceApi = QueueSkillServiceApi;
    exports.RegionServiceApiAxiosParamCreator = RegionServiceApiAxiosParamCreator;
    exports.RegionServiceApiFp = RegionServiceApiFp;
    exports.RegionServiceApiFactory = RegionServiceApiFactory;
    exports.RegionServiceApi = RegionServiceApi;
    exports.RoutingOutboundCallServiceApiAxiosParamCreator = RoutingOutboundCallServiceApiAxiosParamCreator;
    exports.RoutingOutboundCallServiceApiFp = RoutingOutboundCallServiceApiFp;
    exports.RoutingOutboundCallServiceApiFactory = RoutingOutboundCallServiceApiFactory;
    exports.RoutingOutboundCallServiceApi = RoutingOutboundCallServiceApi;
    exports.RoutingSchemaServiceApiAxiosParamCreator = RoutingSchemaServiceApiAxiosParamCreator;
    exports.RoutingSchemaServiceApiFp = RoutingSchemaServiceApiFp;
    exports.RoutingSchemaServiceApiFactory = RoutingSchemaServiceApiFactory;
    exports.RoutingSchemaServiceApi = RoutingSchemaServiceApi;
    exports.RoutingVariableServiceApiAxiosParamCreator = RoutingVariableServiceApiAxiosParamCreator;
    exports.RoutingVariableServiceApiFp = RoutingVariableServiceApiFp;
    exports.RoutingVariableServiceApiFactory = RoutingVariableServiceApiFactory;
    exports.RoutingVariableServiceApi = RoutingVariableServiceApi;
    exports.SkillServiceApiAxiosParamCreator = SkillServiceApiAxiosParamCreator;
    exports.SkillServiceApiFp = SkillServiceApiFp;
    exports.SkillServiceApiFactory = SkillServiceApiFactory;
    exports.SkillServiceApi = SkillServiceApi;
    exports.UserHelperServiceApiAxiosParamCreator = UserHelperServiceApiAxiosParamCreator;
    exports.UserHelperServiceApiFp = UserHelperServiceApiFp;
    exports.UserHelperServiceApiFactory = UserHelperServiceApiFactory;
    exports.UserHelperServiceApi = UserHelperServiceApi;
    exports.Configuration = Configuration;
    exports.Client = Client;
    exports.Call = Call;
    exports.Agent = Agent;
    exports.Conversation = Conversation;
    exports.SipClient = SipClient;
    exports.ExternalClient = ExternalClient;
    exports.SipPhone = SipPhone;
    exports.Log = Log;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=index.umd.js.map
